2017-06-30  Phil Thompson  <phil@riverbankcomputing.com>

	* .hgtags:
	Added tag 4.12.1 for changeset c14f43801cc2
	[7d9f51a9593b] [tip] <4.12-maint>

	* NEWS:
	Released as v4.12.1.
	[c14f43801cc2] [4.12.1] <4.12-maint>

2017-06-15  Phil Thompson  <phil@riverbankcomputing.com>

	* qpy/QtCore/qpycore_pyqtboundsignal.cpp:
	Removed some assumptions about a slot receiver when it is a method.
	[c6004fde410a] <4.12-maint>

	* doc/docgen.conf:
	Fix some legacy http links.
	[7e5b523ab924] <4.12-maint>

2017-03-24  Phil Thompson  <phil@riverbankcomputing.com>

	* build.py:
	msip is now msipgen.
	[e4d02ca19c24] <4.12-maint>

	* lib/build-pyqt4.sh:
	Removed the build-pyqt4.sh script as it is now part of the build
	system.
	[8f34e88f49da] <4.12-maint>

2017-03-16  Phil Thompson  <phil@riverbankcomputing.com>

	* lib/configure-ng.py, lib/configure.py:
	QtXml is no longer deprecated in Qt5.
	[404e747e002d] <4.12-maint>

	* PyQt4.msp:
	Fix for building against Qt v5.8.0 and later.
	[81466ef1ee5b] <4.12-maint>

2017-03-03  Phil Thompson  <phil@riverbankcomputing.com>

	* qpy/QtCore/qpycore_types.cpp:
	Fixed a regression that affects user defined classes that use
	pyqtWrapperType as a meta-type but are not derived from
	sip.simplewrapper.
	[beba857bd97d] <4.12-maint>

2017-02-20  Phil Thompson  <phil@riverbankcomputing.com>

	* NEWS, lib/configure-ng.py, lib/configure.py:
	Pass the -D flag to SIP with debug builds.
	[e82534c138da] <4.12-maint>

2016-12-26  Phil Thompson  <phil@riverbankcomputing.com>

	* .hgtags:
	Added tag 4.12 for changeset 092a9edefe40
	[1517de4c152d]

	* NEWS:
	Released as v4.12.
	[092a9edefe40] [4.12]

2016-12-04  Phil Thompson  <phil@riverbankcomputing.com>

	* pylupdate/main.cpp:
	pylupdate now generates correct relative paths when -ts is used.
	[476e75155347]

	* pyuic/uic/uiparser.py:
	Fixed a crash when a .ui file doesn't contain a button group when it
	should.
	[6d0e7c5de2f0]

2016-10-25  Phil Thompson  <phil@riverbankcomputing.com>

	* PyQt4.msp, lib/configure-ng.py:
	SIP v4.19 is now required.
	[68ccdd558f8f]

2016-09-23  Phil Thompson  <phil@riverbankcomputing.com>

	* PyQt4.msp, lib/configure.py, qpy/QtCore/qpycore_chimera.cpp,
	qpy/QtCore/qpycore_pyqtsignal.cpp,
	qpy/QtCore/qpycore_qobject_helpers.cpp,
	qpy/QtCore/qpycore_types.cpp:
	Updates for SIP v4.19.
	[66ed246156fc]

2016-08-13  Phil Thompson  <phil@riverbankcomputing.com>

	* lib/build-pyqt4.sh:
	Updated build-pyqt4.sh for the revised ~bob layout.
	[41f22d9f30b4]

	* lib/build-pyqt4.sh:
	Fixed the name of the opensource download directory.
	[a76a45a5e7e5]

2016-08-12  Phil Thompson  <phil@riverbankcomputing.com>

	* lib/build-pyqt4.sh:
	Added build-pyqt4.sh as the legacy script for generating overnight
	snapshots.
	[81efbae5590c]

2016-06-10  Phil Thompson  <phil@riverbankcomputing.com>

	* PyQt4.msp:
	Fixed the build when the protect hack is not used.
	[16190713919c]

2016-05-05  Phil Thompson  <phil@riverbankcomputing.com>

	* qpy/QtCore/qpycore_pyqtboundsignal.cpp:
	Backed out changeset 194333545a2f This is a more intrusive change
	than first anticipated (based on the PyQt5 experience) so it's
	better to leave the bug unfixed.
	[bf9f0230a3de]

	* PyQt4.msp:
	Fixed a bug breaking the build of the QtDBus module.
	[f8a51466aeef]

2016-04-17  Phil Thompson  <phil@riverbankcomputing.com>

	* rbproduct.py:
	Removed the product plugin as it isn't helping as intended.
	[ffa00852ebe7]

	* sphinx/installation.rst:
	Fixed some Sphinx warnings.
	[0bb981ffc583]

	* Makefile, rbproduct.py:
	Added a minimal product plugin that supports minimal installs.
	[478ad0f58561]

2016-03-31  Phil Thompson  <phil@riverbankcomputing.com>

	* lib/configure-ng.py, lib/configure.py:
	Fixed confusion between os.pathsep and os.sep.
	[8a6e6de8b30e]

2016-03-28  Phil Thompson  <phil@riverbankcomputing.com>

	* qpy/QtCore/qpycore_pyqtboundsignal.cpp:
	Backed out changeset 06f347063026
	[88c1c9cd95c5]

	* qpy/QtCore/qpycore_pyqtboundsignal.cpp:
	Fixed a minor bug in the error handling of bound signals.
	[06f347063026]

2016-03-25  Phil Thompson  <phil@riverbankcomputing.com>

	* build.py:
	Use the new naming standards for source packages.
	[4190edc8f51a]

	* QAxContainer/qaxbase.sip:
	Removed uses of the deprecated /DocValue/ annotation.
	[1c8c7394191e]

2016-03-24  Phil Thompson  <phil@riverbankcomputing.com>

	* qpy/QtCore/qpycore_pyqtboundsignal.cpp:
	Connecting to a decorated method will now fail without a compatible
	signature.
	[194333545a2f]

2016-03-13  Phil Thompson  <phil@riverbankcomputing.com>

	* PyQt4.msp:
	Restored the QFlags copy ctor to ensure assignment helpers are
	generated.
	[203b66d61cf9]

2016-03-07  Phil Thompson  <phil@riverbankcomputing.com>

	* PyQt4.msp:
	Updated the project file to the latest MetaSIP version.
	[19cee2125593]

2016-03-01  Phil Thompson  <phil@riverbankcomputing.com>

	* lib/configure-ng.py:
	Don't embed the -f flag in PYQT_CONFIGURATION.
	[1de80a2aa9bf]

2016-02-27  Phil Thompson  <phil@riverbankcomputing.com>

	* PyQt4.msp:
	Renamed a number of enum members from None to None_.
	[dd08aa5ceced]

	* PyQt4.msp:
	More updated type hints.
	[45c54fb81b42]

	* PyQt4.msp:
	Updated the type hints for all callables.
	[5230b6b1990b]

	* PyQt4.msp:
	Replaced Iterator with Iterable in type hints.
	[8e6ba6f17184]

2016-02-26  Phil Thompson  <phil@riverbankcomputing.com>

	* PyQt4.msp:
	Make sure the datetime module is available to stub files.
	[c70cb1479d40]

	* PyQt4.msp:
	Removed some superfluous ctors.
	[9d7e22e884fe]

2016-02-25  Phil Thompson  <phil@riverbankcomputing.com>

	* PyQt4.msp:
	Updated the project file to the current version.
	[aaba7b771563]

2016-02-18  Phil Thompson  <phil@riverbankcomputing.com>

	* PyQt4.msp:
	Moved /TypeHintValue/ from individual arguments to the appropriate
	mapped type definitions.
	[e13652538f92]

	* PyQt4.msp:
	Rename some type hint aliases to be consistent with PyQt5.
	[89849b8fda37]

2016-02-16  Phil Thompson  <phil@riverbankcomputing.com>

	* PyQt4.msp:
	Added the type hint types for old-style signals and slots.
	[a479cd5f3076]

	* PyQt4.msp:
	Tweaked the type hints for pyqtSlot() and pyqtSignature().
	[af3011416715]

	* PyQt4.msp:
	Renamed some typing types.
	[61bb9de06d96]

2016-02-15  Phil Thompson  <phil@riverbankcomputing.com>

	* PyQt4.msp:
	Fixed remaining old-style TypeHintValue annotations.
	[bc353204a390]

	* qpy/QtCore/qpycore_qtlib.cpp:
	Fixed regressions related to the refactored SIP Qt support.
	[f73b59612c99]

2016-02-10  Phil Thompson  <phil@riverbankcomputing.com>

	* qpy/QtCore/qpycore_pyqtsignal.cpp:
	Updated the docstring for pyqtSignal().
	[b3c6b3b66994]

	* qpy/QtDBus/qpydbuspendingreply.sip, qpy/QtDBus/qpydbusreply.sip:
	Removed finaluses of /DocValue/.
	[bfa7d99054db]

	* sphinx/installation.rst:
	Fixed some version related typos in the docs.
	[d3482bda0a9a]

	* Makefile, PyQt4.msp:
	Tweaked the use of Optional now that we understand exactly what it
	means.
	[e2f3310787dc]

2016-02-08  Phil Thompson  <phil@riverbankcomputing.com>

	* PyQt4.msp:
	Attempted to make the type hint pseudo-types more readable in
	docstrings.
	[6f7d0667c880]

	* qpy/QtCore/qpycore_pyqtboundsignal.cpp,
	qpy/QtCore/qpycore_pyqtsignal.cpp:
	Improved the repr() of bound and unbound PyQt signals.
	[8e313416bb52]

	* Makefile, PyQt4.msp, qpy/QtCore/qpycore_pyqtsignal.cpp:
	Improved the repr() of unbound signals.
	[3fc59f7a7691]

2016-02-05  Phil Thompson  <phil@riverbankcomputing.com>

	* Makefile, PyQt4.msp, test/tests/classes/test_QFlags.py:
	Fixed a regression in the handling of QFlags.
	[f033a2dea8e9]

	* PyQt4.msp:
	Refined the typehints for ellipsis arguments.
	[f1677dd5917a]

	* PyQt4.msp:
	Further refinement of QFlags.
	[9728e8a54f1e]

	* PyQt4.msp, test/tests/classes/test_QFlags.py:
	Refactored the QFlags support so that is consistant and minimal.
	[7600ac4d4985]

2016-02-04  Phil Thompson  <phil@riverbankcomputing.com>

	* test/tests/classes/test_QFlags.py:
	Added the QFlags unit tests.
	[558eee916ee4]

	* PyQt4.msp:
	Added the /TypeHintIn/ class annotation where appropriate.
	[a3b257461842]

2016-02-03  Phil Thompson  <phil@riverbankcomputing.com>

	* PyQt4.msp:
	Replaced /DocValue/ with /TypeHintValue/.
	[e04b5d2b5af7]

	* Makefile, lib/configure-ng.py:
	Run sip with the -f flag.
	[c185cd1f1c77]

	* qpy/QtDBus/qpydbusreply.sip,
	qpy/QtDeclarative/qpydeclarativelistproperty.sip:
	Replaced /DocType/ with /TypeHint/ in the support code.
	[a52a55c00479]

	* Makefile, PyQt4.msp:
	Removed all uses of /DocType/.
	[1e207f6c0ccd]

	* Makefile, PyQt4.msp:
	Replaced TypeHint with TypeHintIn and TypeHintOut where appropriate.
	[0d70bb9dba16]

2016-02-02  Phil Thompson  <phil@riverbankcomputing.com>

	* Makefile, PyQt4.msp, sphinx/incompatibilities.rst:
	Removed all remaining implementations of qSwap().
	[3c82dc0a68f7]

	* Makefile, PyQt4.msp:
	Fixed a /TypeHint/ typo.
	[81322681e5bf]

	* PyQt4.msp:
	Removed redundant DocType and TypeHint annos.
	[a66ddbc91a94]

	* PyQt4.msp:
	Fixed the type hint for QAbstractItemModel.setItemData().
	[41335faca1b8]

	* PyQt4.msp:
	Properly fix QStringRef.
	[639d49aa71cf]

2016-02-01  Phil Thompson  <phil@riverbankcomputing.com>

	* PyQt4.msp:
	Added a missing /DocType/ to QStringRef.
	[8dc44059dd1f]

	* lib/configure-ng.py, sphinx/build_system.rst,
	sphinx/installation.rst:
	Updated configure-ng.py to handle PEP 484 stub files.
	[65a78775a249]

2016-01-31  Phil Thompson  <phil@riverbankcomputing.com>

	* Makefile, PyQt4.msp:
	Updated the project format to v8. Implemented the required
	handwritten type hint code.
	[8317759dc48b]

	* PyQt4.msp:
	Renamed the OpenGL type hint types.
	[4d50352f4130]

	* PyQt4.msp:
	Renamed /HintType/ to /TypeHint/.
	[eb4263ef76bb]

2016-01-30  Phil Thompson  <phil@riverbankcomputing.com>

	* PyQt4.msp:
	Added /HintType/ annotations where necessary.
	[ce05ffb29566]

2016-01-26  Phil Thompson  <phil@riverbankcomputing.com>

	* Makefile, lib/LICENSE.commercial.short, lib/LICENSE.gpl.short,
	lib/LICENSE.internal, lib/configure-ng.py, sphinx/conf.py:
	Updated the copyright notices.
	[f5c379f1edec]

2016-01-25  Phil Thompson  <phil@riverbankcomputing.com>

	* PyQt4.msp:
	Removed all implementations of qSwap().
	[dd17caf8fe5c]

2016-01-22  Phil Thompson  <phil@riverbankcomputing.com>

	* PyQt4.msp, qpy/QtCore/qpycore_pyqtproxy.cpp,
	qpy/QtCore/qpycore_pyqtproxy.h, qpy/QtCore/qpycore_sip_helpers.cpp:
	Fixes for building against sip v5.
	[80b5e1494320]

	* qpy/QtCore/qpycore_qtlib.cpp:
	Only call sipSetPossibleProxy() for sip v4.
	[5672107fc627]

	* PyQt4.msp, qpy/QtCore/qpycore_api.h,
	qpy/QtCore/qpycore_pyqtproxy.cpp, qpy/QtCore/qpycore_pyqtproxy.h,
	test/tests/metaobject/test_gc_slots.py:
	Refactored the garbage collection of slots for sip v5.
	[60fcab00604a]

2016-01-21  Phil Thompson  <phil@riverbankcomputing.com>

	* qpy/QtCore/qpycore.pro, qpy/QtCore/qpycore_pyqtproxy.cpp,
	qpy/QtCore/qpycore_qtlib.cpp, qpy/QtCore/qpycore_qtlib.h,
	qpy/QtCore/qpycore_types.h:
	Refactored most of the remaining code that depends on the Qt support
	implemented in sip v4.
	[6beb4d54832a]

	* qpy/QtCore/qpycore_qmetaobject_helpers.cpp:
	Removed a call to the deprecated sipConnectRx().
	[1780a9d76521]

2016-01-20  Phil Thompson  <phil@riverbankcomputing.com>

	* sphinx/extension_api.rst, sphinx/index.rst:
	Documented the public extension API.
	[7aa14e236317]

	* PyQt4.msp, qpy/QtDBus/qpydbus_post_init.cpp,
	qpy/QtDeclarative/qpydeclarative_post_init.cpp:
	Called Q_ASSERT() on the value returned from sipImportSymbol().
	[14c3c868155a]

	* qpy/QtCore/qpycore_init.cpp, qpy/QtCore/qpycore_public_api.h,
	qpy/QtDBus/qpydbus_chimera_helpers.cpp,
	qpy/QtDBus/qpydbus_chimera_helpers.h,
	qpy/QtDBus/qpydbus_post_init.cpp,
	qpy/QtDeclarative/qpydeclarative_chimera_helpers.cpp,
	qpy/QtDeclarative/qpydeclarative_chimera_helpers.h,
	qpy/QtDeclarative/qpydeclarative_post_init.cpp:
	Added the QVariant convertor registration functions to the public
	API.
	[31d4004ce7e5]

	* PyQt4.msp, qpy/QtCore/qpycore_init.cpp,
	qpy/QtCore/qpycore_public_api.h,
	qpy/QtCore/qpycore_pyqtboundsignal.cpp,
	qpy/QtCore/qpycore_qtlib.cpp:
	Added pyqt4_get_pyqtsignal_parts() to the public API.
	[f3170ae442a3]

	* PyQt4.msp, qpy/QtCore/qpycore.pro, qpy/QtCore/qpycore_init.cpp,
	qpy/QtCore/qpycore_public_api.h,
	qpy/QtCore/qpycore_qvariant_value.cpp,
	qpy/QtDBus/qpydbuspendingreply.cpp, qpy/QtDBus/qpydbusreply.cpp:
	Added pyqt4_from_qvariant_by_type() ot the public API.
	[66b2ff79a394]

2016-01-18  Phil Thompson  <phil@riverbankcomputing.com>

	* PyQt4.msp, qpy/QtCore/qpycore_init.cpp,
	qpy/QtCore/qpycore_public_api.h, qpy/QtCore/qpycore_pyqtslot.cpp:
	Added pyqt4_get_pyqtslot_parts() to the public API and fix the
	QtDBus module to use it.
	[192a4f5e4063]

2016-01-17  Phil Thompson  <phil@riverbankcomputing.com>

	* PyQt4.msp:
	Removed all uses of SIP_SLOT.
	[27b368969328]

	* PyQt4.msp:
	Fixed a documentation string.
	[ca3f5d6050b9]

	* PyQt4.msp:
	Completed the removal of SIP_RXOBJ_CON and SIP_SLOT_CON.
	[21a7e3aedeba]

	* PyQt4.msp:
	Removed the use of SIP_RXOBJ_CON from all dialog open() methods.
	[528d73a108f0]

	* PyQt4.msp, qpy/QtCore/qpycore_init.cpp,
	qpy/QtCore/qpycore_public_api.h, qpy/QtCore/qpycore_qtlib.cpp:
	Removed all uses of SIP_RXOBJ_CON except for the QtGui module.
	[f7e42c545486]

2016-01-16  Phil Thompson  <phil@riverbankcomputing.com>

	* PyQt4.msp:
	Removed all uses of SIP_SIGNAL.
	[76f8cf4b31ba]

	* PyQt4.msp, qpy/QtCore/qpycore_public_api.h,
	qpy/QtCore/qpycore_qtlib.cpp, qpy/QtCore/qpycore_sip_helpers.cpp:
	pyqt4_get_signal() now handles signal objects.
	[b5efe4794147]

	* PyQt4.msp, qpy/QtCore/qpycore_api.h, qpy/QtCore/qpycore_init.cpp,
	qpy/QtCore/qpycore_public_api.h, qpy/QtCore/qpycore_qtlib.cpp,
	qpy/QtCore/qpycore_sip_helpers.cpp:
	Added pyqt4_get_signal() to the public API.
	[e1bed57399b0]

2016-01-15  Phil Thompson  <phil@riverbankcomputing.com>

	* PyQt4.msp, qpy/QtCore/qpycore_api.h, qpy/QtCore/qpycore_init.cpp,
	qpy/QtCore/qpycore_misc.cpp, qpy/QtCore/qpycore_misc.h,
	qpy/QtCore/qpycore_public_api.cpp, qpy/QtCore/qpycore_public_api.h,
	qpy/QtCore/qpycore_shared.h:
	Some tidying up of the public API.
	[e97445a1cb66]

	* Makefile, PyQt4.msp, qpy/QtCore/qpycore_public_api.cpp,
	qpy/QtCore/qpycore_public_api.h,
	qpy/QtCore/qpycore_pyqtboundsignal.cpp,
	qpy/QtCore/qpycore_pyqtboundsignal.h,
	qpy/QtCore/qpycore_pyqtproxy.cpp, qpy/QtCore/qpycore_pyqtproxy.h:
	No longer use SIP_ANYSLOT.
	[ffbb9edd9f8e]

2016-01-12  Phil Thompson  <phil@riverbankcomputing.com>

	* PyQt4.msp, qpy/QtCore/qpycore_api.h, qpy/QtCore/qpycore_qtlib.cpp,
	qpy/QtCore/qpycore_sip_helpers.cpp,
	qpy/QtCore/qpycore_sip_helpers.h:
	Refactored QObject.connect().
	[ebd7866c5e3e]

	* PyQt4.msp:
	Refactored QObject.connectNotify() and QObject.disconnectNotify().
	[b4ede964024c]

	* PyQt4.msp, qpy/QtCore/qpycore_init.cpp:
	Refactored QObject.receivers().
	[e4dcb263638b]

	* PyQt4.msp, qpy/QtCore/qpycore_api.h, qpy/QtCore/qpycore_qtlib.cpp,
	qpy/QtCore/qpycore_sip_helpers.cpp:
	Refactored QObject.emit().
	[9237b00d973e]

	* Makefile, PyQt4.msp, qpy/QtCore/qpycore_api.h,
	qpy/QtCore/qpycore_pyqtmethodproxy.cpp,
	qpy/QtCore/qpycore_pyqtproxy.h, qpy/QtCore/qpycore_qtlib.cpp:
	Completed the refactoring of QObject.disconnect().
	[90175827fb3a]

	* Merged the current maintenance branch into the default.
	[9ac77e8026c3]

	* test/tests/metaobject/test_connections_old_style.py:
	Added unit tests for bad arguments for old-style disconnect().
	[56f884b39c9f] <4.11-maint>

	* test/tests/metaobject/test_connections_old_style.py:
	Added unit tests for bad arguments for old-style connect().
	[7dd72a7ea281] <4.11-maint>

	* test/tests/metaobject/test_connections_old_style.py:
	Added unit tests for old-style disconnect().
	[122a24cafbbc] <4.11-maint>

2016-01-11  Phil Thompson  <phil@riverbankcomputing.com>

	* pyuic/uic/uiparser.py:
	Fixed a regression in the handling of button groups when loading a
	.ui file.
	[6b2e6a904523] <4.11-maint>

	* Makefile, PyQt4.msp, qpy/QtCore/qpycore_api.h,
	qpy/QtCore/qpycore_qtlib.cpp:
	Added the stub of the migration of the sip4 Qt support.
	[6a64fe715215]

	* pyuic/uic/uiparser.py:
	Fixed a regression in the handling of button groups when loading a
	.ui file.
	[85dd5efaf948]

	* designer/python.pro-in, lib/GPL_EXCEPTION.TXT,
	lib/GPL_EXCEPTION_ADDENDUM.TXT, lib/LICENSE.GPL2, lib/LICENSE.GPL3,
	lib/OPENSOURCE-NOTICE.TXT, sphinx/static/default.css:
	Merged the current maintenance branch into the default branch.
	[b196765619d2]

	* qpy/QtCore/qpycore_pyqtboundsignal.cpp,
	qpy/QtCore/qpycore_pyqtmethodproxy.cpp,
	qpy/QtCore/qpycore_pyqtproperty.cpp,
	qpy/QtCore/qpycore_pyqtsignal.cpp, qpy/QtCore/qpycore_pyqtslot.cpp,
	qpy/QtCore/qpycore_types.cpp,
	qpy/QtDeclarative/qpydeclarativelistproperty.cpp:
	More sip5 fixes.
	[e071838202e3] <4.11-maint>

	* qpy/QtCore/qpycore_pyqtboundsignal.cpp:
	More sip5 changes.
	[30fe9d140339] <4.11-maint>

	* lib/configure-ng.py, qpy/QtCore/qpycore_pyqtboundsignal.cpp,
	qpy/QtCore/qpycore_pyqtslot.cpp:
	Fixes for sip5.
	[fc00c13bb116] <4.11-maint>

2016-01-06  Phil Thompson  <phil@riverbankcomputing.com>

	* sphinx/new_style_signals_slots.rst:
	Documented the PyQt_PyObject signal argument type.
	[27002b3cf1ce] <4.11-maint>

2015-12-15  Phil Thompson  <phil@riverbankcomputing.com>

	* Makefile:
	Switched the internal build system to Python v3.5.
	[e8028b5d2594] <4.11-maint>

2015-12-14  Phil Thompson  <phil@riverbankcomputing.com>

	* Makefile:
	Added support for venv to the internal build system.
	[8466d735a6c4] <4.11-maint>

2015-12-05  Phil Thompson  <phil@riverbankcomputing.com>

	* pyuic/uic/uiparser.py:
	Fixed pyuic's handling of the margins of layout widgets.
	[6493d33126f5] <4.11-maint>

2015-10-28  Phil Thompson  <phil@riverbankcomputing.com>

	* lib/configure-ng.py:
	Handle PATH components that are enclosed in quotes.
	[d5f52f3403f7] <4.11-maint>

	* PyQt4.msp:
	Fixed QStyleOptionButton.None.
	[3a4a57126086] <4.11-maint>

2015-10-25  Phil Thompson  <phil@riverbankcomputing.com>

	* qpy/QtCore/qpycore_pyqtproperty.cpp:
	Fixed the handling of a getter's docstring by pyqtProperty.
	[cb64cf7df330] <4.11-maint>

2015-09-19  Phil Thompson  <phil@riverbankcomputing.com>

	* qpy/QtCore/qpycore_qstring.cpp:
	Don't assume unicode objects being converted to QStrings are ready.
	[cc708df12d26] <4.11-maint>

2015-09-18  Phil Thompson  <phil@riverbankcomputing.com>

	* Makefile, pyuic/uic/properties.py:
	Fixed pyuic's handling of non-ASCII font family names.
	[147fb277a6e8] <4.11-maint>

2015-09-08  Phil Thompson  <phil@riverbankcomputing.com>

	* installers/BuildGPL.txt, installers/PyQt4-Qt4-gpl.nsi,
	installers/PyQt4-Qt5-gpl.nsi, installers/psql-config.bat:
	Updates to installers for Python v3.5.
	[ec8ff8d8e222] <4.11-maint>

	* lib/configure-ng.py:
	Use win32-msvc2015 for Python v3.5.
	[92a10920a144] <4.11-maint>

2015-09-01  Phil Thompson  <phil@riverbankcomputing.com>

	* Makefile:
	The internal build system now defaults to Python v3.5.
	[b57eda72a756] <4.11-maint>

2015-08-02  Phil Thompson  <phil@riverbankcomputing.com>

	* lib/configure-ng.py:
	Properly fix the different licensee values for the LGPL version of
	Qt.
	[4de100248645] <4.11-maint>

2015-07-22  Phil Thompson  <phil@riverbankcomputing.com>

	* PyQt4.msp, lib/SubclassCode/QtCore.versions, lib/configure-ng.py:
	Added the PyQt_Process feature for iOS.
	[9e9f7cd5a29b] <4.11-maint>

	* lib/configure-ng.py:
	Interpret a licensee of "Builder Qt" as being the LGPL version.
	[385471caa33b] <4.11-maint>

2015-07-17  Phil Thompson  <phil@riverbankcomputing.com>

	* installers/PyQt4-Qt5-gpl.nsi, installers/pyqt4-check.py:
	Updated the installer for Qt5.
	[8d582c64313f] <4.11-maint>

2015-07-01  Phil Thompson  <phil@riverbankcomputing.com>

	* pyuic/uic/uiparser.py:
	Fixed the adding of a widget to a box layout when an alignment is
	specified.
	[3f0dad48ec97] <4.11-maint>

2015-06-11  Phil Thompson  <phil@riverbankcomputing.com>

	* .hgtags:
	Added tag 4.11.4 for changeset ee2652e4e85d
	[60b1f4e054a1] <4.11-maint>

	* NEWS:
	Released as v4.11.4.
	[ee2652e4e85d] [4.11.4] <4.11-maint>

	* installers/pyqt4-check.py:
	Updated the PyQt4 check script now that we have an extra image
	format with Qt5.
	[84067dacdda4] <4.11-maint>

	* installers/PyQt4-Qt5-gpl.nsi:
	Removed the accessibility plugins from the Qt5 installer.
	[a801041eb3d2] <4.11-maint>

	* PyQt4.msp:
	Fixed a bug compiling against Qt5.
	[f16b9eb9fa23] <4.11-maint>

	* installers/PyQt4-Qt5-gpl.nsi:
	Updated the default Qt5 version in the Windows installer.
	[a356a91783bd] <4.11-maint>

	* Makefile, pyqtdoc/renderer.py:
	Updated the references to Digia in the docs.
	[c09964de7d12] <4.11-maint>

2015-06-07  Phil Thompson  <phil@riverbankcomputing.com>

	* pyuic/uic/Compiler/compiler.py,
	pyuic/uic/Compiler/qobjectcreator.py:
	Make sure all generedt imports are sorted and therefore repeatable.
	[deec3fd32e3e] <4.11-maint>

2015-06-02  Phil Thompson  <phil@riverbankcomputing.com>

	* NEWS:
	Updated the NEWS file.
	[7efb81d3b2a8] <4.11-maint>

2015-05-27  Phil Thompson  <phil@riverbankcomputing.com>

	* PyQt4.msp:
	Completed the support for Qt v4.8.7.
	[3e34b5bd2b24] <4.11-maint>

	* PyQt4.msp:
	Completed the initial scan of Qt v4.8.7.
	[dbba8c672c8e] <4.11-maint>

2015-05-26  Phil Thompson  <phil@riverbankcomputing.com>

	* Makefile, doc/pyqtdoc/PyQt4.xfm, installers/PyQt4-Qt4-gpl.nsi:
	Updated the doc generator and installers for Qt v4.8.7.
	[7b384a4a516c] <4.11-maint>

2015-05-23  Phil Thompson  <phil@riverbankcomputing.com>

	* lib/configure-ng.py, sphinx/installation.rst:
	Added the --no-python-dbus option to configure-ng.py.
	[d742e2d89b38] <4.11-maint>

2015-05-18  Phil Thompson  <phil@riverbankcomputing.com>

	* pyuic/uic/driver.py, pyuic/uic/objcreator.py,
	pyuic/uic/port_v2/load_plugin.py, pyuic/uic/port_v3/load_plugin.py,
	pyuic/uic/uiparser.py:
	Fixed deprecation warnings in pyuic.
	[3b26fc624104] <4.11-maint>

2015-05-08  Phil Thompson  <phil@riverbankcomputing.com>

	* Makefile:
	Fixed a typo in the previous change.
	[ffef79bd4f57] <4.11-maint>

	* Makefile:
	Fix the path to SIP for OS/X.
	[80d29568fd52] <4.11-maint>

2015-05-06  Phil Thompson  <phil@riverbankcomputing.com>

	* pyuic/uic/Compiler/qobjectcreator.py:
	Fixed a typo in the previous fix.
	[c089b32daca1] <4.11-maint>

	* pyuic/uic/Compiler/qobjectcreator.py,
	pyuic/uic/Loader/qobjectcreator.py, pyuic/uic/icon_cache.py,
	pyuic/uic/objcreator.py:
	Fixed the handling of themed icons by uic.loadUi().
	[debb218e6fe0] <4.11-maint>

2015-04-04  Phil Thompson  <phil@riverbankcomputing.com>

	* pyuic/uic/properties.py, pyuic/uic/uiparser.py:
	Fixed pyuic's handling of default margins.
	[00a3c8d2587d] <4.11-maint>

	* pyuic/uic/properties.py, pyuic/uic/uiparser.py:
	Fixed pyuic's handling of the default spacing.
	[d39116ae0f76] <4.11-maint>

2015-04-03  Phil Thompson  <phil@riverbankcomputing.com>

	* pylupdate/main.cpp:
	pylupdate now saves locations as relative to the .ts file.
	[1496e92367f5] <4.11-maint>

2015-04-01  Phil Thompson  <phil@riverbankcomputing.com>

	* PyQt4.msp:
	Added QWIDGETSIZE_MAX to QtGui.
	[6f6f7460ca3d] <4.11-maint>

2015-03-25  Phil Thompson  <phil@riverbankcomputing.com>

	* sphinx/static/classic.css, sphinx/static/default.css:
	Fixed the stylesheet.
	[4cbee1709ebd] <4.11-maint>

2015-03-11  Phil Thompson  <phil@riverbankcomputing.com>

	* sphinx/conf.py:
	Updated for sphinx v1.3.
	[265be2eab2fa] <4.11-maint>

	* pyuic/uic/uiparser.py:
	pyuic now handles empty zorder elements.
	[5cab57dce7c4] <4.11-maint>

	* lib/configure-ng.py:
	Added nostrup to the generated .pro file.
	[0c2869fa5480] <4.11-maint>

2015-03-01  Phil Thompson  <phil@riverbankcomputing.com>

	* pyuic/uic/uiparser.py:
	pyuic will now ignore spacer items when setting the z-order.
	[8313084030e1] <4.11-maint>

2015-02-14  Phil Thompson  <phil@riverbankcomputing.com>

	* Makefile:
	Default to sip4.
	[83d48b092f7c] <4.11-maint>

	* Makefile, lib/configure-ng.py:
	Installing into a virtual env should now work.
	[40a7e6667c0d] <4.11-maint>

2015-02-08  Phil Thompson  <phil@riverbankcomputing.com>

	* lib/configure-ng.py:
	Improved the implementation of the executable search.
	[7649dd4c2e64] <4.11-maint>

	* Makefile, lib/configure-ng.py:
	Use sip5 in preference to sip4.
	[70ec41ae0377] <4.11-maint>

2015-02-06  Phil Thompson  <phil@riverbankcomputing.com>

	* PyQt4.msp:
	Added some missing QEvent.Type enum values.
	[5d830e9012ae] <4.11-maint>

	* PyQt4.msp:
	Fixed all pseudo-ctors that take a QVariant argument.
	[5c941d8fb16b] <4.11-maint>

2015-02-01  Phil Thompson  <phil@riverbankcomputing.com>

	* lib/configure-ng.py:
	configure-ng.py will now ignore old moc generated C++ files.
	[e270102197b1] <4.11-maint>

2015-01-31  Phil Thompson  <phil@riverbankcomputing.com>

	* lib/configure-ng.py, sphinx/installation.rst:
	Added the --license-dir command line option to configure-ng.py.
	[3860cd760eba] <4.11-maint>

2015-01-30  Phil Thompson  <phil@riverbankcomputing.com>

	* lib/configure-ng.py:
	configure-ng.py will now handle a blank licensee.
	[58cba0e39f74] <4.11-maint>

	* qpy/QtCore/qpycore_misc.cpp:
	Converting argv now uses the current locale codec rather than
	Latin-1.
	[263fa1a7c3d8] <4.11-maint>

	* pyuic/uic/uiparser.py:
	pyuic now supports the z-order of widgets.
	[e1fb81fca18d] <4.11-maint>

	* pyuic/uic/properties.py, pyuic/uic/uiparser.py:
	Improved the fix for handling frame shadows of lines.
	[e03f99623150] <4.11-maint>

2015-01-29  Phil Thompson  <phil@riverbankcomputing.com>

	* pyuic/uic/properties.py, pyuic/uic/uiparser.py:
	Fixed pyuic's handling of the frame shadow of lines.
	[d651c0094e96] <4.11-maint>

	* pyrcc/rcc.cpp, pyuic/uic/__init__.py:
	Removed the timestamp from the header generated by pyrcc.
	[f67a1a3ba439] <4.11-maint>

	* pyuic/uic/__init__.py:
	Removed the timestamp from the header generated by pyuic.
	[4a18f77c9854] <4.11-maint>

2015-01-23  Phil Thompson  <phil@riverbankcomputing.com>

	* qpy/QtCore/qpycore_qstring.cpp:
	Fixed a regression converting a QString with a surrogate pair as the
	last character.
	[0842394703a2] <4.11-maint>

2015-01-14  Phil Thompson  <phil@riverbankcomputing.com>

	* qpy/QtCore/qpycore_types.cpp:
	Fixed the previous fix.
	[db40514060bd] <4.11-maint>

2015-01-12  Phil Thompson  <phil@riverbankcomputing.com>

	* qpy/QtCore/qpycore_types.cpp:
	Ensure any exception is cleared after introspecting QObject class
	attributes.
	[2dadd297b329] <4.11-maint>

2015-01-02  Phil Thompson  <phil@riverbankcomputing.com>

	* lib/LICENSE.commercial.short, lib/LICENSE.gpl,
	lib/LICENSE.gpl.short, lib/LICENSE.internal:
	Updated the copyright notices.
	[80132fdfb984] <4.11-maint>

	* lib/configure-ng.py, sphinx/build_system.rst,
	sphinx/introduction.rst:
	Documentation updates anticipating the change from snapshots to
	previews.
	[5637bd1c4c2a] <4.11-maint>

2014-12-22  Phil Thompson  <phil@riverbankcomputing.com>

	* sphinx/introduction.rst:
	Updated the docs regardig the commercial license.
	[66379812fa5f] <4.11-maint>

	* lib/configure-ng.py, lib/configure.py:
	Fixed the configure scripts for the changes to the names of the
	license files.
	[89c8027184c6] <4.11-maint>

	* build.py, installers/PyQt4-Qt4-gpl.nsi,
	installers/PyQt4-Qt5-gpl.nsi, lib/GPL_EXCEPTION.TXT,
	lib/GPL_EXCEPTION_ADDENDUM.TXT, lib/LICENSE.GPL2, lib/LICENSE.GPL3,
	lib/LICENSE.commercial.short, lib/LICENSE.gpl,
	lib/LICENSE.gpl.short, lib/OPENSOURCE-NOTICE.TXT:
	Aligned the GPL licensing with Qt.
	[436412d027d3] <4.11-maint>

2014-12-21  Phil Thompson  <phil@riverbankcomputing.com>

	* lib/LICENSE.commercial:
	Updated the commercial license to v4.0.
	[9a31c427f796] <4.11-maint>

2014-12-16  Phil Thompson  <phil@riverbankcomputing.com>

	* qpy/QtCore/qpycore_qstring.cpp:
	Fixed the QString to Unicode conversion to not assume that a QString
	has a trailing null QChar.
	[feec4cda951e] <4.11-maint>

2014-11-29  Phil Thompson  <phil@riverbankcomputing.com>

	* installers/PyQt4-Qt5-gpl.nsi:
	Updated the version of Qt5 used in the installer.
	[0853c2ed18f9] <4.11-maint>

	* PyQt4.msp:
	Fixed an incorrect transfer annotation on a QCompleter ctor.
	[d038e5a3a89c] <4.11-maint>

2014-11-27  Phil Thompson  <phil@riverbankcomputing.com>

	* PyQt4.msp:
	Fixed the return values of the addWidget() and insertWidget()
	methods of QStackedLayout.
	[ab9fd6324d7c] <4.11-maint>

2014-11-16  Phil Thompson  <phil@riverbankcomputing.com>

	* build.py:
	A source package now contains a full ChangeLog.
	[6325cd14b33b] <4.11-maint>

2014-11-10  Phil Thompson  <phil@riverbankcomputing.com>

	* installers/PyQt4-Qt5-gpl.nsi:
	Remove redundant code from the Qt5 installer.
	[59ae4401905b] <4.11-maint>

2014-11-09  Phil Thompson  <phil@riverbankcomputing.com>

	* .hgtags:
	Added tag 4.11.3 for changeset 1514e4c6f4aa
	[e6ecc132de7b] <4.11-maint>

	* NEWS:
	Released as v4.11.3.
	[1514e4c6f4aa] [4.11.3] <4.11-maint>

2014-11-05  Phil Thompson  <phil@riverbankcomputing.com>

	* build.py, pyqtdoc/xform.py:
	Fixed a unicode handling problem in the document generator.
	[535f80ae9242] <4.11-maint>

2014-10-24  Phil Thompson  <phil@riverbankcomputing.com>

	* lib/configure-ng.py:
	Fixed a regression in configure-ng.py related to the DBus Python
	module.
	[adb94530c076] <4.11-maint>

2014-10-23  Phil Thompson  <phil@riverbankcomputing.com>

	* PyQt4.msp:
	Fixed the previous fix (shouldn't program after only one cup of
	tea).
	[b33b409e24f7] <4.11-maint>

	* PyQt4.msp:
	Reduced the delay in the input hook for Windows.
	[c952f8b545d9] <4.11-maint>

2014-10-22  Phil Thompson  <phil@riverbankcomputing.com>

	* lib/configure-ng.py:
	Always check for the Python dbus module.
	[d8a3e969c515] <4.11-maint>

	* lib/configure-ng.py:
	Run qmake once, recursively.
	[c1c46f99c0ef] <4.11-maint>

	* lib/configure-ng.py:
	Renamed the .pro files for pyrcc4 and pylupdate4.
	[0fb4cc78de68] <4.11-maint>

	* designer/designer.pro-in, designer/python.pro-in, lib/configure-
	ng.py, lib/configure.py:
	Renamed the .pro file for the designer plugin.
	[cfa775fb92a5] <4.11-maint>

2014-10-15  Phil Thompson  <phil@riverbankcomputing.com>

	* PyQt4.msp:
	Removed the redundant __unicode__ methods as they break with Python
	v2.6 and earlier.
	[43b79301ca04] <4.11-maint>

2014-10-10  Phil Thompson  <phil@riverbankcomputing.com>

	* lib/configure-ng.py:
	Handle OS/X with --enable-shared as well as --enable-framework.
	[5cfd02044003] <4.11-maint>

2014-10-03  Phil Thompson  <phil@riverbankcomputing.com>

	* PyQt4.msp:
	Updated the project file to the latest format.
	[61cdc8feb321] <4.11-maint>

2014-10-01  Phil Thompson  <phil@riverbankcomputing.com>

	* PyQt4.msp, lib/configure-ng.py, lib/configure.py:
	Fixed QNetworkAccessManager.createRequest() so that it aborts rather
	than crashes when None is returned or there is an ungandled Python
	exception.
	[27135af9a809] <4.11-maint>

	* designer/python.pro-in:
	Fixed a typo in the .pro file for the Designer plugin.
	[c78795d1a1e9] <4.11-maint>

2014-09-23  Phil Thompson  <phil@riverbankcomputing.com>

	* installers/PyQt4-Qt4-gpl.nsi:
	The Qt4 installer now uses relative paths in the qt.conf files.
	[fae7bb3b67eb] <4.11-maint>

	* installers/PyQt4-Qt5-gpl.nsi:
	Updates to the Qt5 installer for Qt v5.3.2 and the updated version
	of ICU.
	[dda6a6544218] <4.11-maint>

2014-09-22  Phil Thompson  <phil@riverbankcomputing.com>

	* lib/configure-ng.py:
	Fix building against Qt v5.3.2.
	[02988583236e] <4.11-maint>

2014-09-16  Phil Thompson  <phil@riverbankcomputing.com>

	* lib/configure-ng.py:
	Fixed a configure-ng.py regression when introspecting for a static
	Python library.
	[a33079682483] <4.11-maint>

2014-09-11  Phil Thompson  <phil@riverbankcomputing.com>

	* .hgtags:
	Added tag 4.11.2 for changeset f8b8b95963ad
	[dbfd711f07a0] <4.11-maint>

	* NEWS:
	Released as v4.11.2.
	[f8b8b95963ad] [4.11.2] <4.11-maint>

2014-09-10  Phil Thompson  <phil@riverbankcomputing.com>

	* pyuic/uic/uiparser.py:
	Fixed a typo in the most recent pyuic changes.
	[219e73ee7a65] <4.11-maint>

	* lib/configure-ng.py, lib/configure.py:
	Improved a configure.py error message.
	[d64eb76a9459] <4.11-maint>

2014-09-09  Phil Thompson  <phil@riverbankcomputing.com>

	* designer/pluginloader.cpp, designer/python.pro-in, lib/configure-
	ng.py:
	Reverted the behaviour of the designer plugin so that it explicitly
	loads the Python interpreter library.
	[ff6fa1363cbc] <4.11-maint>

2014-09-04  Phil Thompson  <phil@riverbankcomputing.com>

	* NEWS:
	Updated the NEWS file.
	[e6a7b908d5a9] <4.11-maint>

2014-09-03  Phil Thompson  <phil@riverbankcomputing.com>

	* pyuic/uic/uiparser.py:
	Fixed a pyuic bug handling the alignment of box layouts.
	[2beddcfc99fd] <4.11-maint>

2014-09-02  Phil Thompson  <phil@riverbankcomputing.com>

	* PyQt4.msp:
	Fixed the handling of Python exceptions in QWebPage.extension().
	[7d19343b836a] <4.11-maint>

2014-08-25  Phil Thompson  <phil@riverbankcomputing.com>

	* lib/configure-ng.py:
	Avoid a qmake warning by embedding the SIP flags earlier. Fix the
	license check when using a configuration file.
	[84b2dc214e8d] <4.11-maint>

2014-08-14  Phil Thompson  <phil@riverbankcomputing.com>

	* sphinx/new_style_signals_slots.rst:
	Tightened up the docs regarding pyqtSignal().
	[3d5d058df79e] <4.11-maint>

	* installers/PyQt4-Qt4-gpl.nsi, installers/PyQt4-Qt5-gpl.nsi:
	Updated the installers to include qmake and mkspecs which are needed
	by lrelease when it is given a .pro file.
	[b0319b7959e1] <4.11-maint>

2014-07-31  Phil Thompson  <phil@riverbankcomputing.com>

	* PyQt4.msp:
	Fixed QAbstractPrintDialog.PrintDialogOption.None for Python v3.
	[bb8ff2f38c2f] <4.11-maint>

2014-07-22  Phil Thompson  <phil@riverbankcomputing.com>

	* installers/BuildGPL.txt:
	Updated the internal docs for installing MSVC2010.
	[2c3f3d227e9b] <4.11-maint>

2014-07-20  Phil Thompson  <phil@riverbankcomputing.com>

	* PyQt4.msp:
	Added a missing /TransferThis/ to the QItemSelectionModel single arg
	ctor.
	[b9f5b3ced004] <4.11-maint>

2014-07-12  Phil Thompson  <phil@riverbankcomputing.com>

	* PyQt4.msp:
	Make sure widgets always have an owner even if the layout isn't in a
	widget.
	[c0c550858ebb] <4.11-maint>

	* PyQt4.msp:
	Ownership fixes for QLayout.addChildWidget().
	[b581455d5a6e] <4.11-maint>

	* PyQt4.msp:
	Ensure that the ownership of widgets in a layout are always correct.
	[3cb30662bcce] <4.11-maint>

	* lib/configure-ng.py:
	Fixed a regression in the handling of the qmake spec when building
	against the OS/X binary installer.
	[5e48b7444a5a] <4.11-maint>

2014-07-10  Phil Thompson  <phil@riverbankcomputing.com>

	* designer/python.pro-in, lib/configure-ng.py:
	Fixes to work around QTBUG-39300.
	[ebd39a944b7e] <4.11-maint>

	* PyQt4.msp, lib/SubclassCode/QtNetwork.versions:
	Fixed building against Qt5 without SSL support.
	[ddffde17eedb] <4.11-maint>

2014-07-03  Phil Thompson  <phil@riverbankcomputing.com>

	* .hgtags:
	Added tag 4.11.1 for changeset 1f578533deca
	[b6804609f1d8] <4.11-maint>

	* NEWS:
	Released as v4.11.1.
	[1f578533deca] [4.11.1] <4.11-maint>

	* sphinx/deploy_commercial.rst, sphinx/installation.rst:
	Updated the docs to refer to pyqtdeploy rather than VendorID.
	[df4d2be05820] <4.11-maint>

2014-07-01  Phil Thompson  <phil@riverbankcomputing.com>

	* installers/BuildGPL.txt:
	Updates to the installer docs.
	[1715f910b979] <4.11-maint>

2014-06-27  Phil Thompson  <phil@riverbankcomputing.com>

	* installers/PyQt4-Qt5-gpl.nsi:
	Updated the Qt5 installer for Qt v5.3.1.
	[6ff5c1ddabc1] <4.11-maint>

2014-06-17  Phil Thompson  <phil@riverbankcomputing.com>

	* pyuic/uic/uiparser.py:
	Fixed a pyuic regression in the handling of implicit QTableWidget
	dimensions.
	[e1e46b3cad30] <4.11-maint>

2014-06-16  Phil Thompson  <phil@riverbankcomputing.com>

	* lib/configure-ng.py, sphinx/installation.rst:
	Removed the --consolidate argument to configure-ng.py as it never
	worked and pyqtdeploy is the way forward.
	[1b6513d3741f] <4.11-maint>

	* lib/configure-ng.py:
	Fixed the handling of QtAssistant in configure-ng.py.
	[daa4b3e27144] <4.11-maint>

2014-06-14  Phil Thompson  <phil@riverbankcomputing.com>

	* lib/configure-ng.py:
	Make sure -fno-exceptions is used on darwin.
	[c5448342f24f] <4.11-maint>

	* lib/configure-ng.py:
	Try to make sure -spec isn't passed unless it is really needed.
	[aef9d9b38af4] <4.11-maint>

	* lib/configure-ng.py:
	Fixed the handling of the qmake spec for darwin.
	[c16920986ec4] <4.11-maint>

2014-06-08  Phil Thompson  <phil@riverbankcomputing.com>

	* lib/configure-ng.py, lib/configure.py:
	Fixed configure.py etc to not create blank lines in the output of
	the test program that determines the detail of the Qt installation.
	[123dfb701c3e] <4.11-maint>

2014-06-03  Phil Thompson  <phil@riverbankcomputing.com>

	* lib/configure-ng.py:
	Fixes for Python v2.6.
	[e4bc318a116e] <4.11-maint>

2014-06-02  Phil Thompson  <phil@riverbankcomputing.com>

	* lib/configure-ng.py:
	Fixed the previous fix.
	[b771f7a0ebb3] <4.11-maint>

	* lib/configure-ng.py:
	Fixed the handling of the default qmake spec so that the Linux
	linker version scripts get generated and exceptions are disabled.
	[b0a5108c2096] <4.11-maint>

	* lib/configure-ng.py:
	Fixed the linker version scripts created for Linux.
	[2577924b19fe] <4.11-maint>

2014-06-01  Phil Thompson  <phil@riverbankcomputing.com>

	* pylupdate/fetchtr.cpp, pylupdate/main.cpp:
	Added the -tr-function, -trUtf8-function and -translate-function
	command line options to pylupdate4.
	[b42b9f1407d3] <4.11-maint>

	* lib/configure.py:
	Fixed building against Qt5 with configure.py.
	[78a0e95230b2] <4.11-maint>

2014-05-30  Phil Thompson  <phil@riverbankcomputing.com>

	* qpy/QtCore/qpycore_qvariant_value.cpp:
	Improved the previous fix to handle API v1 properly.
	[9d5a6843b580] <4.11-maint>

	* qpy/QtCore/qpycore_qvariant_value.cpp:
	Fixed the QSettings.value() handling of an invalid value when a
	requested type is specified.
	[c1880812fbe5] <4.11-maint>

	* qpy/QtCore/qpycore_qvariant_value.cpp:
	Fixed QSettings.value() so that a desired type of QStringList works
	on Linux.
	[ce82a2c7b6a1] <4.11-maint>

	* qpy/QtCore/qpycore.pro, qpy/QtDBus/qpydbus.pro,
	qpy/QtDeclarative/qpydeclarative.pro,
	qpy/QtDesigner/qpydesigner.pro, qpy/QtGui/qpygui.pro,
	qpy/QtOpenGL/qpyopengl.pro:
	Fixed a build regression with configure.py.
	[e8700c99e8da] <4.11-maint>

2014-05-29  Phil Thompson  <phil@riverbankcomputing.com>

	* Makefile, installers/PyQt4-Qt5-gpl.nsi:
	Fixed the Qt versions in the installers. Updated the cross-compile
	target version.
	[328d88582f7e]

2014-05-26  Phil Thompson  <phil@riverbankcomputing.com>

	* .hgtags:
	Added tag 4.11 for changeset 7928d1870f9a
	[d9397191fa8d]

	* NEWS:
	Released as v4.11.
	[7928d1870f9a] [4.11]

2014-05-25  Phil Thompson  <phil@riverbankcomputing.com>

	* lib/configure-ng.py:
	Fixed a build regression on Windows.
	[7a93baf0ff6a]

	* sphinx/conf.py:
	Fixed the documentation copyright notice.
	[77c0d3bb5ad5]

2014-05-23  Phil Thompson  <phil@riverbankcomputing.com>

	* Makefile:
	Added the Android build target.
	[6fe3d7dcabbf]

2014-05-16  Phil Thompson  <phil@riverbankcomputing.com>

	* Makefile, PyQt4.msp:
	Cross-compilation to the iPhone simulator now works.
	[17a2b6634edf]

	* Makefile, PyQt4.msp, lib/configure-ng.py, lib/configure.py,
	qpy/QtGui/opengl_types.sip, qpy/QtOpenGL/opengl_types.sip:
	Fixes for compiling for the iPhone simulator and Qt5.
	[eda0aeeae88c]

	* lib/configure-ng.py:
	Make sure the -B flag doesn't appear in PYQT_CONFIGURATION.
	[c67cf4b88dfa]

	* lib/configure-ng.py:
	Fixed the handling of the print range bug feature.
	[036835e0e029]

	* lib/configure-ng.py, sphinx/installation.rst:
	Renamed qt_disabled_features to pyqt_disabled_features.
	[0bc633e3b347]

	* lib/configure-ng.py:
	Make use of SIP v4.16's handling of timelines to avoid having to
	work out the exact tag to use.
	[6de7f589d502]

	* PyQt4.msp:
	Make sure all historical versions of Qt have been defined.
	[6b8264db0319]

2014-05-14  Phil Thompson  <phil@riverbankcomputing.com>

	* lib/configure-ng.py:
	Don't create the QScintilla .api file if it isn't going to be
	installed.
	[965252bb4098]

	* lib/configure-ng.py, sphinx/installation.rst:
	Adjustments to the license handling because there is no way to
	discover the licensee when cross-compiling.
	[d3d4aa6f0304]

2014-05-12  Phil Thompson  <phil@riverbankcomputing.com>

	* PyQt4.msp:
	Fixed for building against Qt v5.3.0-rc1.
	[573fd2ef7168]

	* Makefile, sphinx/installation.rst:
	Documented the new configure-ng.py options.
	[8dd378ee81db]

	* qpy/QtDeclarative/qpydeclarativelistproperty.cpp:
	Fixed a warning message with Python v3.4.
	[39d8695ce964]

	* build.py, configurations/rpi_py3.cfg:
	Removed the configurations directory.
	[1d76f23f1903]

	* Makefile, designer/pluginloader.cpp, designer/python.pro-in, lib
	/configure-ng.py:
	Backported the --target-py-version, --sysroot and --no-tools options
	to configure-ng.py from PyQt5. The Designer plugin no longer tries
	to load the Python library.
	[9422a8f8046a]

2014-04-30  Phil Thompson  <phil@riverbankcomputing.com>

	* qpy/QtCore/qpycore_pyqtboundsignal.cpp:
	Qt::UniqueConnection is a flag.
	[6e141d7b9925]

	* qpy/QtCore/qpycore_pyqtboundsignal.cpp:
	Disable the Qt::UniqueConnection support for Qt prior to v4.6.
	[dd6f8946e151]

2014-04-29  Phil Thompson  <phil@riverbankcomputing.com>

	* qpy/QtCore/qpycore_pyqtboundsignal.cpp:
	Implement support for Qt::UniqueConnection when connecting to Python
	slots.
	[d6f34d97c659]

2014-04-28  Phil Thompson  <phil@riverbankcomputing.com>

	* lib/configure-ng.py, lib/configure.py:
	Fixed the handling of deprecated methods when building against QT
	v5.
	[1d247094537d]

	* PyQt4.msp:
	Added the missing %MethodCode for QDialog.exec() when building
	against Qt v5.
	[927678eb5cf2]

2014-04-26  Phil Thompson  <phil@riverbankcomputing.com>

	* lib/configure.py:
	Handle the unsupported directory of Qt's qmake specs.
	[1d1919d42630]

	* lib/configure-ng.py, lib/configure.py:
	Fixed the configure scripts for Qt v4.8.6.
	[efc3f9901b5c]

	* Makefile, NEWS, doc/pyqtdoc/PyQt4.xfm, installers/PyQt4-Qt4-gpl.nsi,
	installers/PyQt4-Qt5-gpl.nsi:
	Infrastructure updates for Qt v4.8.6. Updated the NEWS file.
	[e7c47fae898a]

	* Merged the v4.8.6 update into the trunk.
	[a2372f20bce1]

	* PyQt4.msp:
	Updated the project for Qt v4.8.6.
	[bc2d84b884ba] <4.10-maint>

2014-04-22  Phil Thompson  <phil@riverbankcomputing.com>

	* sphinx/incompatibilities.rst, sphinx/new_style_signals_slots.rst:
	Documented the no_receiver_check issues.
	[8f4cebfc25d1]

	* lib/configure-ng.py, lib/configure.py:
	SIP v4.16 is now required.
	[a48d3b1c0de2]

2014-04-21  Phil Thompson  <phil@riverbankcomputing.com>

	* qpy/QtCore/qpycore_pyqtboundsignal.cpp:
	Another trivial docstring fix.
	[d01106d533c4]

	* qpy/QtCore/qpycore_pyqtboundsignal.cpp:
	Fixed the connect() docstring.
	[e861e90cd5d7]

	* qpy/QtCore/qpycore_pyqtboundsignal.cpp,
	qpy/QtCore/qpycore_pyqtproxy.cpp, qpy/QtCore/qpycore_pyqtproxy.h,
	qpy/QtCore/qpycore_pyqtsignal.cpp:
	Implemented the 'no_receiver_check' argument to connect(). By
	default checks are now made.
	[732656fcb8a4]

2014-04-20  Phil Thompson  <phil@riverbankcomputing.com>

	* Qt5-TODO.txt, installers/pyqt-check.py, installers/pyqt-config.bat,
	installers/qsci-config.bat, installers/sip-config.bat,
	lib/SubclassCode/QtGuiQt4.versions, qpy/QtCore/qpycore.pro,
	qpy/QtDBus/qpydbus.pro, qpy/QtDeclarative/qpydeclarative.pro,
	qpy/QtDesigner/qpydesigner.pro, qpy/QtGui/qpygui.pro,
	qpy/QtOpenGL/qpyopengl.pro:
	Merged the v4.10 maintenance branch into the trunk.
	[961f0c8bfdea]

	* lib/configure-ng.py:
	Fixed a progress message.
	[42b109ae4bc7] <4.10-maint>

	* lib/configure-ng.py:
	The modules generated for a static build now have a _s suffix.
	[fd7839c69c1f] <4.10-maint>

2014-04-19  Phil Thompson  <phil@riverbankcomputing.com>

	* lib/configure-ng.py:
	Fixed a build regression from the PyQt5 changes.
	[640d56ee0ac1] <4.10-maint>

2014-04-15  Phil Thompson  <phil@riverbankcomputing.com>

	* Makefile, qpy/QtCore/qpycore_qstring.cpp:
	Fixed a bug in the conversion of QStrings with surrogate pairs.
	[850f2d2c1d2b] <4.10-maint>

	* Makefile, lib/configure-ng.py:
	Make sure the SIP include directory is searched before the Python
	include directory if they are different.
	[d8bc69ec55c3] <4.10-maint>

2014-04-12  Phil Thompson  <phil@riverbankcomputing.com>

	* Makefile, lib/configure-ng.py, qpy/QtCore/qpycore.pro,
	qpy/QtDBus/qpydbus.pro, qpy/QtDeclarative/qpydeclarative.pro,
	qpy/QtDesigner/qpydesigner.pro, qpy/QtGui/qpygui.pro,
	qpy/QtOpenGL/qpyopengl.pro:
	Backported the changes from PyQt5 so that the qpy support code is
	not built as separate static libraries.
	[f2a49d947d12] <4.10-maint>

2014-04-06  Phil Thompson  <phil@riverbankcomputing.com>

	* pyuic/uic/uiparser.py:
	Fixed pyuic handling of non-exclusive button groups.
	[ff915a78616f] <4.10-maint>

2014-03-29  Phil Thompson  <phil@riverbankcomputing.com>

	* pyuic/uic/uiparser.py:
	Fixed pyuic's handling of connecting to QButtonGroups.
	[53faf7a0264a] <4.10-maint>

2014-03-26  Phil Thompson  <phil@riverbankcomputing.com>

	* PyQt4.msp, lib/configure-ng.py, lib/configure.py,
	qpy/QtCore/qpycore.pro:
	Fixed all the 'deprecated before' to be 0x050000.
	[1bfabeb2b945] <4.10-maint>

2014-03-23  Phil Thompson  <phil@riverbankcomputing.com>

	* installers/PyQt4-Qt5-gpl.nsi:
	Fixed the installer for building against Qt v5.2.0.
	[ea6388aba0f3] <4.10-maint>

2014-03-21  Phil Thompson  <phil@riverbankcomputing.com>

	* PyQt4.msp:
	Added a missing /KeepReference/ to QThreadPool::globalInstance().
	Added /ReleaseGIL/ to start() and tryStart() for documentation
	reasons. Removed /NewThread/ from QRunnable::run().
	[65266e342a03] <4.10-maint>

	* PyQt4.msp, lib/configure-ng.py, lib/configure.py,
	sphinx/deploy_commercial.rst, sphinx/installation.rst:
	VendorID is Python v2 specific.
	[86780d605572] <4.10-maint>

2014-03-14  Phil Thompson  <phil@riverbankcomputing.com>

	* .hgtags:
	Added tag 4.10.4 for changeset 6726592a58da
	[c3753e3cba7b] <4.10-maint>

	* NEWS:
	Released as v4.10.4.
	[6726592a58da] [4.10.4] <4.10-maint>

2014-03-12  Phil Thompson  <phil@riverbankcomputing.com>

	* pyqtdoc/renderer.py:
	Removed old Nokia references in the class documentation.
	[a4cce1fd573c] <4.10-maint>

2014-03-09  Phil Thompson  <phil@riverbankcomputing.com>

	* lib/LICENSE.commercial:
	Updates to the commercial license.
	[c501e53f3456] <4.10-maint>

2014-03-05  Phil Thompson  <phil@riverbankcomputing.com>

	* NEWS:
	Updated the NEWS file.
	[bfe6e40923a4] <4.10-maint>

2014-03-04  Phil Thompson  <phil@riverbankcomputing.com>

	* pylupdate/fetchtr.cpp:
	Backed out fb98d48c977b (pylupdate support for nested classes)
	because it breaks a common use case.
	[bdca24701400] <4.10-maint>

2014-02-22  Phil Thompson  <phil@riverbankcomputing.com>

	* lib/LICENSE.commercial:
	Updated the commercial license.
	[08b90128d7a3] <4.10-maint>

	* PyQt4.msp, qpy/QtCore/qpycore_pyqtboundsignal.cpp:
	Added the signal hack #3.
	[8fd12a854829] <4.10-maint>

2014-02-21  Phil Thompson  <phil@riverbankcomputing.com>

	* qpy/QtCore/qpycore_chimera_storage.cpp:
	Fixed the handling of results of JavaScript functions in QML.
	[6c0638222852] <4.10-maint>

	* lib/configure-ng.py:
	Fix remaining misleading error messages about qmake on Windows.
	[dbe24380bcd7] <4.10-maint>

	* lib/configure-ng.py:
	Fixed the pyuic4 wrapper for Python v3.4 on OS/X.
	[7940d69f67af] <4.10-maint>

2014-02-20  Phil Thompson  <phil@riverbankcomputing.com>

	* PyQt4.msp, qpy/QtCore/qpycore_pyqtboundsignal.cpp,
	qpy/QtCore/qpycore_pyqtsignal.cpp, qpy/QtCore/qpycore_pyqtsignal.h,
	qpy/QtCore/qpycore_sip_helpers.cpp, sphinx/qt_v5.rst:
	Fixes for Qt5 signals with optional arguments.
	[e9d065a69fe1] <4.10-maint>

2014-02-18  Phil Thompson  <phil@riverbankcomputing.com>

	* PyQt4.msp, QAxContainer/qaxbase.sip, QAxContainer/qaxobject.sip,
	QAxContainer/qaxwidget.sip, lib/configure-ng.py,
	qpy/QtCore/qpycore_chimera.cpp, qpy/QtCore/qpycore_pyqtsignal.cpp,
	qpy/QtCore/qpycore_qobject_helpers.cpp,
	qpy/QtCore/qpycore_types.cpp:
	Changes needed by the SIP v11.0 internal API.
	[cbd0eb550a22] <4.10-maint>

2014-02-15  Phil Thompson  <phil@riverbankcomputing.com>

	* examples/demos/qtdemo/qtdemo_rc2.py,
	examples/demos/qtdemo/qtdemo_rc3.py,
	examples/demos/qtdemo/xml/examples.xml,
	examples/webkit/webftpclient.py:
	Added the port of the webftpclient example from Moritz Warning.
	[e26679855f40] <4.10-maint>

2014-02-10  Phil Thompson  <phil@riverbankcomputing.com>

	* lib/configure-ng.py:
	Allow for the possiblilty that the -query flag was added to qmake
	sometime during the Qt v4 release rather than at the start.
	[ae7c36a8ce82] <4.10-maint>

	* lib/configure.py:
	configure.py now uses the correct Qt library dependencies when doing
	the module checks.
	[7359d88dd717] <4.10-maint>

2014-02-09  Phil Thompson  <phil@riverbankcomputing.com>

	* Makefile:
	Removed a testing artifact.
	[44a4c91b4230] <4.10-maint>

	* lib/configure-ng.py:
	Backed out the change to set the install names as it is Qt5
	specific.
	[aab307e07f7b] <4.10-maint>

	* Makefile, qpy/QtCore/qpycore_pyqtboundsignal.cpp,
	qpy/QtCore/qpycore_pyqtmethodproxy.cpp,
	qpy/QtCore/qpycore_pyqtproperty.cpp,
	qpy/QtCore/qpycore_pyqtsignal.cpp, qpy/QtCore/qpycore_types.cpp:
	Suppress warning messages about tp_finalize.
	[449975dad707] <4.10-maint>

	* lib/LICENSE.GPL2, lib/LICENSE.GPL3, lib/LICENSE.commercial.short,
	lib/LICENSE.gpl.short, lib/LICENSE.internal:
	Updated the copyright notices.
	[029d37a91550] <4.10-maint>

	* lib/configure-ng.py:
	The extension modules now have the correct install name on OS/X.
	[aad4627f18b7] <4.10-maint>

	* pylupdate/fetchtr.cpp:
	Fixes for the handling of nested classes in pylupdate from Matteo
	Bertini.
	[fb98d48c977b] <4.10-maint>

2014-02-05  Phil Thompson  <phil@riverbankcomputing.com>

	* examples/widgets/tetrix.py:
	Fixes to the tetrix.py example from Mike Taverne.
	[700742f90f4b] <4.10-maint>

2014-02-03  Phil Thompson  <phil@riverbankcomputing.com>

	* Makefile, qpy/QtCore/qpycore_qstring.cpp:
	Fixed the QString to Python conversion for Python v3.3 and later as
	I hadn't realised that the KIND is interpreted very strictly.
	[539cf1d7306d] <4.10-maint>

2014-01-17  Phil Thompson  <phil@riverbankcomputing.com>

	* lib/configure.py:
	The --use-arch argument to configure.py can now be specified more
	than once.
	[578e568cc881] <4.10-maint>

2014-01-04  Phil Thompson  <phil@riverbankcomputing.com>

	* qpy/QtCore/qpycore_qstring.cpp:
	Fixed the PEP 393 conversion from QString to Python unicode objects
	so that it properly handles surrogates. Also made the common case
	where the text is Latin-1 faster and the final object smaller.
	[595c1453ae29] <4.10-maint>

	* PyQt4.msp:
	The PyQt_Printer and PyQT_PrintDialog features are now respected
	when building against Qt v5.
	[99f8a4ee2d14] <4.10-maint>

2013-12-20  Phil Thompson  <phil@riverbankcomputing.com>

	* PyQt4.msp:
	Fixed bugs in the error handling of the QMultiMap mapped types in
	QSslCertificate.
	[f28b04f7b22d] <4.10-maint>

2013-11-17  Phil Thompson  <phil@riverbankcomputing.com>

	* examples/mainwindows/recentfiles.py,
	examples/widgets/stylesheet/stylesheeteditor.py:
	A couple of examples fixes.
	[e52357d82574] <4.10-maint>

	* examples/demos/declarative/samegame/SamegameCore/samegame.js,
	examples/demos/declarative/samegame/highscores/score_data.xml,
	examples/demos/declarative/samegame/highscores/score_style.xsl,
	examples/demos/declarative/samegame/highscores/scores.php,
	examples/sql/connection.py:
	Fixed the permissions on some example files.
	[97e2b498e1d2] <4.10-maint>

2013-11-16  Phil Thompson  <phil@riverbankcomputing.com>

	* Makefile:
	Fixes to the build system for Linux.
	[b7f7b023b0e7] <4.10-maint>

2013-11-15  Phil Thompson  <phil@riverbankcomputing.com>

	* pyrcc/main.cpp:
	pyrcc4 uses the local encoding for the name of the .qrc file.
	[7e4c494ac6a4] <4.10-maint>

2013-11-11  Phil Thompson  <phil@riverbankcomputing.com>

	* examples/demos/qtdemo/scanitem.py,
	examples/demos/textedit/textedit.py,
	examples/designer/plugins/widgets/datetimeedit.py,
	examples/graphicsview/diagramscene/diagramscene.py,
	examples/itemviews/chart/chart.py,
	examples/itemviews/pixelator/pixelator.py,
	examples/widgets/tetrix.py:
	Various fixes to the examples from Dmitry Shachnev.
	[315a27c0f0a7] <4.10-maint>

2013-10-12  Phil Thompson  <phil@riverbankcomputing.com>

	* lib/configure-ng.py:
	Fixed the handling of VendorID in configure-ng.py.
	[f62fabcefe39] <4.10-maint>

2013-10-03  Phil Thompson  <phil@riverbankcomputing.com>

	* qpy/QtCore/qpycore_pyqtconfigure.cpp:
	Fixed an incorrect (for Python2) format character.
	[f24cac93a1b0] <4.10-maint>

2013-09-28  Phil Thompson  <phil@riverbankcomputing.com>

	* qpy/QtCore/qpycore_pyqtsignal.cpp:
	Improve the text of the exception raised when the type of a C++
	signal argument couldn't be parsed.
	[507d15ce70b8] <4.10-maint>

2013-09-08  Phil Thompson  <phil@riverbankcomputing.com>

	* pylupdate/fetchtr.cpp:
	Added support for the different line endings to pylupdate based on a
	patch from Florent Rougon.
	[4615fa986d0c] <4.10-maint>

	* lib/configure-ng.py:
	Do a better job of detecting when the user is trying to use Qt3. Do
	a better job of detecting when the use doesn't have write
	permissions.
	[ca90872e3409] <4.10-maint>

2013-09-07  Phil Thompson  <phil@riverbankcomputing.com>

	* examples/opengl/2dpainting.py, examples/opengl/grabber.py,
	examples/opengl/hellogl.py, examples/opengl/overpainting.py,
	examples/opengl/textures/textures.py:
	Fixed the OpenGL examples for Python3.
	[10f815377ace] <4.10-maint>

2013-09-01  Phil Thompson  <phil@riverbankcomputing.com>

	* pylupdate/fetchtr.cpp:
	pylupdate now handles backslash at the end of a line within a quoted
	string.
	[f32540dbcf98] <4.10-maint>

2013-08-26  Phil Thompson  <phil@riverbankcomputing.com>

	* PyQt4.msp:
	Fixed build errors in third-party modules that use --public-not-
	protected.
	[62e7a4b7a2eb] <4.10-maint>

2013-08-23  Phil Thompson  <phil@riverbankcomputing.com>

	* lib/configure.py:
	Fixed the MULTIARCH support in configure.py.
	[05cf2e0947c2] <4.10-maint>

2013-08-22  Phil Thompson  <phil@riverbankcomputing.com>

	* lib/configure-ng.py, lib/configure.py:
	Added MULTIARCH support to configure.py and configure-ng.py.
	[1ece6fbc7ae1] <4.10-maint>

2013-08-21  Phil Thompson  <phil@riverbankcomputing.com>

	* .hgtags:
	Added tag 4.10.3 for changeset f4bb7434878e
	[76d1f2da3492] <4.10-maint>

	* NEWS:
	Released as v4.10.3.
	[f4bb7434878e] [4.10.3] <4.10-maint>

2013-08-19  Phil Thompson  <phil@riverbankcomputing.com>

	* installers/BuildGPL.txt, installers/PyQt4-Qt5-gpl.nsi,
	installers/qt4-config.bat, installers/qt5-config.bat:
	Updated the Windows build documentation and scripts.
	[b909e0d46deb] <4.10-maint>

	* NEWS:
	Updated the NEWS file.
	[ce44513297ff] <4.10-maint>

	* PyQt4.msp, lib/configure-ng.py, lib/configure.py:
	Resolved all the qreal/double confusions.
	[605664c75dfd] <4.10-maint>

	* lib/configure-ng.py:
	Fixed an error message bug in configure-ng.py.
	[a51bfcb5660a] <4.10-maint>

2013-08-16  Phil Thompson  <phil@riverbankcomputing.com>

	* PyQt4.msp:
	Fixed the error detection in the QList convertors based on Matt
	Newell's patch.
	[46e226c787d4] <4.10-maint>

2013-08-10  Phil Thompson  <phil@riverbankcomputing.com>

	* lib/configure-ng.py:
	Fixed the handling of the Designer plugin installation directory.
	[e0e54a5ec774] <4.10-maint>

	* lib/configure-ng.py:
	Made sure the qmake version is checked before any other output.
	[157d07cb2306] <4.10-maint>

2013-07-28  Phil Thompson  <phil@riverbankcomputing.com>

	* PyQt4.msp:
	Fixed QWidget.x11Info() and QWidget.x11PictureHandle() for Qt5.
	[1822d54bd3a4] <4.10-maint>

	* pyuic/uic/uiparser.py:
	Grid alignments can now be a set of or-ed values.
	[f593c09fdaf9] <4.10-maint>

2013-07-26  Phil Thompson  <phil@riverbankcomputing.com>

	* pyuic/uic/uiparser.py:
	Added support for the alignment of grid items in pyuic.
	[3ea3fe511f2b] <4.10-maint>

2013-07-23  Phil Thompson  <phil@riverbankcomputing.com>

	* PyQt4.msp:
	Fixed an incorrect declaration.
	[65be699d04ee] <4.10-maint>

	* PyQt4.msp:
	Fixed QTextBlock.setUserData() and
	QSyntaxHighlighter.setCurrentBlockUserData() so that an explicit
	reference to the owning document doesn't need to be kept.
	[e5df94f5e2e3] <4.10-maint>

2013-07-07  Phil Thompson  <phil@riverbankcomputing.com>

	* PyQt4.msp, lib/configure-ng.py, lib/configure.py:
	Backed out changeset eb0d879b6560, the correct fix is to SIP.
	[05a01eef7a2e] <4.10-maint>

	* PyQt4.msp, lib/configure-ng.py, lib/configure.py:
	Worked around a incompatibility with QProcess in Qt v5.1.
	[eb0d879b6560] <4.10-maint>

2013-07-06  Phil Thompson  <phil@riverbankcomputing.com>

	* lib/configure-ng.py:
	Improved the error message when configure-ng.py detects an incorrect
	Qt version.
	[6c409d355b1f] <4.10-maint>

2013-07-05  Phil Thompson  <phil@riverbankcomputing.com>

	* Makefile, PyQt4.msp, doc/pyqtdoc/PyQt4.xfm,
	installers/PyQt4-Qt4-gpl.nsi:
	Updated for Qt v4.8.5.
	[27b0052cd892] <4.10-maint>

2013-07-01  Phil Thompson  <phil@riverbankcomputing.com>

	* PyQt4.msp:
	Updated the project file to v6.
	[15d06998490a] <4.10-maint>

2013-06-30  Phil Thompson  <phil@riverbankcomputing.com>

	* PyQt4.msp, lib/configure-ng.py, lib/configure.py,
	qpy/QtCore/qpycore_api.h, qpy/QtCore/qpycore_init.cpp,
	qpy/QtCore/qpycore_pyqtconfigure.cpp,
	qpy/QtCore/qpycore_qobject_helpers.h:
	Changed the handling of QObject ctor keyword arguments so that it
	doesn't break cooperative multi-inheritance. SIP v4.15 is now
	required.
	[6bd5b16970bd] <4.10-maint>

2013-06-28  Phil Thompson  <phil@riverbankcomputing.com>

	* lib/configure-ng.py:
	Make sure the --spec value passed to configure-ng.py is always used.
	[3cf1c8d23252] <4.10-maint>

2013-06-25  Phil Thompson  <phil@riverbankcomputing.com>

	* lib/configure-ng.py:
	Make the pyuic5 wrapper executable before running qmake so that the
	permissions don't get stripped when installing on Linux.
	[ef55432a0194] <4.10-maint>

2013-06-21  Phil Thompson  <phil@riverbankcomputing.com>

	* PyQt4.msp, lib/SubclassCode/QtGui.versions,
	lib/SubclassCode/QtGuiQt4.versions,
	lib/SubclassCode/QtOpenGL.versions, lib/configure-ng.py,
	lib/configure.py:
	Disabling deprecated features when building against Qt5 now covers
	the deprecated modules, OpenGL classes and QColor methods.
	[35d3f3943fed] <4.10-maint>

2013-06-16  Phil Thompson  <phil@riverbankcomputing.com>

	* .hgtags:
	Added tag 4.10.2 for changeset 5cabcb832d5b
	[a870fd9b136e] <4.10-maint>

	* NEWS:
	Released as v4.10.2.
	[5cabcb832d5b] [4.10.2] <4.10-maint>

	* examples/demos/qtdemo/menumanager.py:
	Fixed the qtdemo.py fix for Qt5.
	[4f230733e847] <4.10-maint>

	* examples/designer/plugins/plugins.py:
	Fixed the plugins.py example so that it doesn't have to be run from
	the directory containing the script.
	[a7f0600b6897] <4.10-maint>

	* examples/demos/qtdemo/menumanager.py, sphinx/introduction.rst:
	Work around the problem of qtdemo.py crashing on exit when built
	against Qt5.
	[d06e79a117d7] <4.10-maint>

2013-06-12  Phil Thompson  <phil@riverbankcomputing.com>

	* installers/BuildGPL.txt, lib/configure-ng.py:
	Minor tweak to configure-ng.py.
	[11b3001947c9] <4.10-maint>

	* lib/configure-ng.py:
	Fixes for configure-ng.py to handle debug builds on Windows.
	[62aa127979cc] <4.10-maint>

	* installers/PyQt4-Qt4-gpl.nsi, installers/PyQt4-Qt5-gpl.nsi:
	Updates to the installers to handle conflicts with PyQt5.
	[ea1ae190589a] <4.10-maint>

2013-06-08  Phil Thompson  <phil@riverbankcomputing.com>

	* PyQt4.msp:
	QSyntaxHighlighter.setCurrentBlockUserData() now keeps a reference
	to the document.
	[3bab4bbdf026] <4.10-maint>

2013-06-07  Phil Thompson  <phil@riverbankcomputing.com>

	* PyQt4.msp:
	Updated the project format to v4.
	[c2c370eedd20] <4.10-maint>

2013-05-14  Phil Thompson  <phil@riverbankcomputing.com>

	* PyQt4.msp:
	Removed a wrong /Transfer/ annotation from
	QWebFrame.addToJavaScriptWindowObject().
	[a8a14dd99d1e] <4.10-maint>

2013-05-05  Phil Thompson  <phil@riverbankcomputing.com>

	* PyQt4.msp:
	Several fixes for properly tracking QPropertyAnimation instances.
	Several fixes for handling the parenting of transitions.
	[74ade0e1faf2] <4.10-maint>

	* installers/BuildGPL.txt, installers/pyqt-check.py, installers/pyqt-
	config.bat, installers/pyqt4-check.py, installers/pyqt4-config.bat,
	installers/qsci-config.bat, installers/qsci-pyqt4-config.bat,
	installers/sip-config.bat, installers/sip-pyqt4-config.bat:
	Updated the install docs and configuration scripts so there are no
	clashes with PyQt5.
	[7d01af970f11] <4.10-maint>

	* build.py:
	Changed the format of the name of a snapshot to match other
	packages.
	[e923fc91a70b] <4.10-maint>

2013-05-04  Phil Thompson  <phil@riverbankcomputing.com>

	* designer/python.pro-in, installers/PyQt4-Qt4-gpl.nsi,
	installers/PyQt4-Qt5-gpl.nsi:
	Renamed the Python Qt Designer plugin so that it is distinguished
	between the PyQt5 version.
	[6f54723ef2ba] <4.10-maint>

2013-05-01  Phil Thompson  <phil@riverbankcomputing.com>

	* PyQt4.msp:
	Ignore methods introduced in Qt5 that have QLatin1String arguments.
	[8a31588c88b1] <4.10-maint>

2013-04-29  Phil Thompson  <phil@riverbankcomputing.com>

	* PyQt4.msp:
	Added a missing /Transfer/ from
	QStandardItemModel.invisibleRootItem().
	[7358a55baa40] <4.10-maint>

	* qpy/QtDesigner/qpydesigner.pro:
	Fixed the deprecated qmake usage for the QtDesigner support library.
	[628506da8237] <4.10-maint>

	* installers/BuildGPL.txt:
	Updated the installer instructions now that we won't be making
	changes for new versions of Qt5.
	[18e909495d85] <4.10-maint>

	* PyQt4.msp:
	Removed Qt v5.0.1 from the projetc file.
	[0370c87cf74a] <4.10-maint>

2013-04-28  Phil Thompson  <phil@riverbankcomputing.com>

	* PyQt4.msp:
	qabstractnativeeventfilter.h doesn't need parsing.
	[a8b5f8a64044] <4.10-maint>

2013-04-27  Phil Thompson  <phil@riverbankcomputing.com>

	* PyQt4.msp:
	Added the historical Qt_4_1_0 version tag.
	[b8c14d94f81c] <4.10-maint>

2013-04-25  Phil Thompson  <phil@riverbankcomputing.com>

	* installers/PyQt4-Qt5-gpl.nsi:
	Updated the Qt5 installer to include the qminimal.dll platform
	plugin.
	[ffcf323516fc] <4.10-maint>

2013-04-23  Phil Thompson  <phil@riverbankcomputing.com>

	* qpy/QtCore/qpycore_pyqtboundsignal.cpp:
	Connections to partial slots of objects in a different thread are
	now handled correctly.
	[d9c6e01fe9ce] <4.10-maint>

	* lib/configure-ng.py:
	Directories are now ignored when searching for qmake and sip.
	[688f8850e093] <4.10-maint>

	* Makefile, lib/configure-ng.py:
	Checking for modules is now tolerant of qmake failing to create a
	makefile which can happen with an unsupported Qt5 module.
	[bf24a762c5be] <4.10-maint>

2013-04-22  Phil Thompson  <phil@riverbankcomputing.com>

	* Qt5-TODO.txt:
	Removed the PyQt5 TODO list.
	[e93e243169f6] <4.10-maint>

	* sphinx/conf.py:
	Fixed the documentation copyright notice.
	[84fce71da84f] <4.10-maint>

	* lib/README:
	Fixed a typo in the README file.
	[b95a86307d59] <4.10-maint>

	* lib/configure-ng.py, lib/configure.py:
	The --no-deprecated flag is now completely ignored unless building
	against Qt5.
	[e81cef303b62] <4.10-maint>

	* lib/configure-ng.py:
	Remove an old debug message from configure-ng.py.
	[ac3e914d79b6] <4.10-maint>

	* lib/configure-ng.py:
	Fixed the handling of --no-deprecated in configure-ng.py.
	[315764c91c43] <4.10-maint>

2013-04-21  Phil Thompson  <phil@riverbankcomputing.com>

	* installers/PyQt4-Qt5-gpl.nsi:
	Fixed the installer for Qt v5.0.2.
	[c598177d8b85] <4.10-maint>

	* .hgtags:
	Added tag 4.10.1 for changeset c3dbc7e06f67
	[1fee7f006e5f] <4.10-maint>

	* NEWS:
	Released as v4.10.1.
	[c3dbc7e06f67] [4.10.1] <4.10-maint>

2013-04-19  Phil Thompson  <phil@riverbankcomputing.com>

	* PyQt4.msp, qpy/QtCore/qpycore_api.h,
	qpy/QtCore/qpycore_pyqtpyobject.cpp:
	Added pyqtSetPickleProtocol() and pyqtPickleProtocol().
	[66f4c96140c6] <4.10-maint>

2013-04-14  Phil Thompson  <phil@riverbankcomputing.com>

	* installers/BuildGPL.txt, pyuic/uic/Compiler/compiler.py,
	pyuic/uic/Loader/loader.py, pyuic/uic/__init__.py,
	pyuic/uic/driver.py, pyuic/uic/pyuic.py, pyuic/uic/uiparser.py,
	sphinx/designer.rst:
	Added the --resource-suffix option to pyuoc4. Added the
	resource_suffix optional argument to compileUi(), loadUi() and
	loadUiType().
	[7710ca89491b] <4.10-maint>

	* installers/BuildGPL.txt, lib/configure.py:
	Allow QtDesigner to be built when universal binaries are found.
	[f6a02739d96d] <4.10-maint>

2013-04-13  Phil Thompson  <phil@riverbankcomputing.com>

	* installers/PyQt4-Qt5-gpl.nsi:
	Updated the installers for Qt v5.0.2.
	[07c1da3f0909] <4.10-maint>

2013-04-10  Phil Thompson  <phil@riverbankcomputing.com>

	* sphinx/new_style_signals_slots.rst:
	Slightly clarified the use of normalised and non-normalised C++
	types when specifying signal arguments to select particular new-
	style signals.
	[227b3c0affb4] <4.10-maint>

2013-04-09  Phil Thompson  <phil@riverbankcomputing.com>

	* QAxContainer/qaxbase.sip:
	Fixed QAxBase.dynamicCall().
	[351cafd3a145] <4.10-maint>

	* lib/configure-ng.py:
	Fixed configure-ng.py not installing some things when doing an out-
	of-tree build.
	[34824cff2035] <4.10-maint>

	* installers/pyqt-config.bat:
	Fixed a bug with the new PyQt configuration .bat file.
	[f4b809d031c0] <4.10-maint>

	* PyQt4.msp:
	The behaviour of qInstallMsgHandler() with Qt5 is now the same as
	with Qt4.
	[2969a081764f] <4.10-maint>

	* pylupdate/fetchtr.cpp:
	Updated pylupdate to handle the _translate() function generated by
	the current pyuic.
	[a26e86c66d34] <4.10-maint>

	* PyQt4.msp:
	Removed a call to QString::toAscii() when building against Qt5.
	[df002d853d40] <4.10-maint>

	* lib/README, lib/configure-ng.py, sphinx/build_system.rst,
	sphinx/installation.rst:
	Documented configure-ng.py.
	[68edd29cb7c8] <4.10-maint>

2013-04-08  Phil Thompson  <phil@riverbankcomputing.com>

	* installers/PyQt4-Qt4-gpl.nsi, installers/PyQt4-Qt5-gpl.nsi,
	installers/pyqt-config.bat:
	Updated the installers for the configure-ng.py based build.
	[46229b0d689d] <4.10-maint>

	* lib/configure-ng.py:
	configure-ng.py will now build against Qt5 on Windows.
	[75686fce4a00] <4.10-maint>

	* lib/configure-ng.py:
	configure-ng.py fixes for building QAxContainer with Qt5.
	[3cb65cd4ba03] <4.10-maint>

	* installers/PyQt4-Qt4-gpl.nsi, installers/PyQt4-Qt5-gpl.nsi,
	installers/pyqt-config.bat:
	Update the installers for configure-ng.py. This means we no longer
	include pyqtconfig.py, sipconfig.py etc.
	[78c211f3ab97] <4.10-maint>

2013-04-07  Phil Thompson  <phil@riverbankcomputing.com>

	* installers/pyqt-config.bat, lib/configure-ng.py:
	Basic Windows fixes for configure-ng.py.
	[a8db83af435d] <4.10-maint>

2013-04-06  Phil Thompson  <phil@riverbankcomputing.com>

	* lib/configure-ng.py:
	Fixed configure-ng.py for out-of-tree builds of the dbus module.
	[07de71ff25d8] <4.10-maint>

	* lib/configure-ng.py:
	configure-ng.py now makes the pyuic4 wrapper executable after it
	runs qmake so that the Makefile doesn't try and strip it.
	[28a40cef99ba] <4.10-maint>

	* lib/configure-ng.py:
	Fixed configure-ng.py for the dbus module.
	[ae6c85684222] <4.10-maint>

	* Makefile, lib/configure-ng.py:
	configure-ng.py now supports consolidated builds.
	[0cf4cbf0d0d5] <4.10-maint>

2013-03-30  Phil Thompson  <phil@riverbankcomputing.com>

	* lib/configure-ng.py:
	configure-ng.py now fully supports out-of-tree builds.
	[3eeadbfc8ff6] <4.10-maint>

	* lib/configure-ng.py:
	configure-ng.py now generates Makefiles for out-of-tree builds.
	[dc6440d4bc25] <4.10-maint>

2013-03-29  Phil Thompson  <phil@riverbankcomputing.com>

	* PyQt4.msp:
	Fixed QCoreApplication.translate() and QObject.tr() for Qt5.
	[3ade65901e3e] <4.10-maint>

	* PyQt4.msp, examples/ipc/localfortuneclient.py,
	examples/ipc/localfortuneserver.py:
	Fixed QLocalServer.listen() for Qt5 and Python2.
	[dc07164d313e] <4.10-maint>

2013-03-27  Phil Thompson  <phil@riverbankcomputing.com>

	* Makefile, lib/configure-ng.py, lib/configure.py,
	sphinx/build_system.rst:
	Support the Qt5 split between architecture dependent and independent
	data directories. Some tidying up of configure-ng.py.
	[3395e34bdcd0] <4.10-maint>

2013-03-20  Phil Thompson  <phil@riverbankcomputing.com>

	* Makefile, lib/configure-ng.py:
	Fixed building against Qt5.
	[19c32f448665] <4.10-maint>

	* lib/configure.py, qpy/QtCore/qpycore.pro, qpy/QtDBus/qpydbus.pro,
	qpy/QtDeclarative/qpydeclarative.pro,
	qpy/QtDesigner/qpydesigner.pro, qpy/QtGui/qpygui.pro,
	qpy/QtOpenGL/qpyopengl.pro:
	The debug versions of the qpy libraries no longer have different
	names.
	[0765201cd762] <4.10-maint>

	* Makefile:
	Switched the internal build system to configure-ng.py.
	[9668612bd06a] <4.10-maint>

	* examples/activeqt/webbrowser/mainwindow.ui,
	examples/activeqt/webbrowser/mainwindow_rc2.py,
	examples/activeqt/webbrowser/mainwindow_rc3.py,
	examples/activeqt/webbrowser/ui_mainwindow.py,
	examples/activeqt/webbrowser/webbrowser.py,
	examples/animation/animatedtiles/animatedtiles.py,
	examples/animation/animatedtiles/animatedtiles_rc2.py,
	examples/animation/animatedtiles/animatedtiles_rc3.py,
	examples/animation/appchooser/appchooser.py,
	examples/animation/appchooser/appchooser_rc2.py,
	examples/animation/appchooser/appchooser_rc3.py,
	examples/animation/easing/easing.py,
	examples/animation/easing/easing_rc2.py,
	examples/animation/easing/easing_rc3.py,
	examples/animation/states/states.py,
	examples/animation/states/states_rc2.py,
	examples/animation/states/states_rc3.py,
	examples/animation/stickman/stickman.py,
	examples/animation/stickman/stickman_rc2.py,
	examples/animation/stickman/stickman_rc3.py,
	examples/declarative/modelviews/objectlistmodel/objectlistmodel.py,
	e
	xamples/declarative/modelviews/objectlistmodel/objectlistmodel_rc2.p
	y, examples/declarative/modelviews/objectlistmodel/objectlistmodel_r
	c3.py, examples/demos/embeddeddialogs/embeddeddialogs.py,
	examples/demos/embeddeddialogs/embeddeddialogs_rc2.py,
	examples/demos/embeddeddialogs/embeddeddialogs_rc3.py,
	examples/demos/qtdemo/qtdemo.py,
	examples/demos/qtdemo/qtdemo_rc2.py,
	examples/demos/qtdemo/qtdemo_rc3.py,
	examples/demos/spreadsheet/spreadsheet.py,
	examples/demos/spreadsheet/spreadsheet_rc2.py,
	examples/demos/spreadsheet/spreadsheet_rc3.py,
	examples/demos/textedit/textedit.py,
	examples/demos/textedit/textedit_rc2.py,
	examples/demos/textedit/textedit_rc3.py,
	examples/desktop/systray/systray.py,
	examples/desktop/systray/systray_rc2.py,
	examples/desktop/systray/systray_rc3.py,
	examples/dialogs/classwizard/classwizard.py,
	examples/dialogs/classwizard/classwizard_rc2.py,
	examples/dialogs/classwizard/classwizard_rc3.py,
	examples/dialogs/configdialog/configdialog.py,
	examples/dialogs/configdialog/configdialog_rc2.py,
	examples/dialogs/configdialog/configdialog_rc3.py,
	examples/draganddrop/delayedencoding/delayedencoding.py,
	examples/draganddrop/delayedencoding/delayedencoding_rc2.py,
	examples/draganddrop/delayedencoding/delayedencoding_rc3.py,
	examples/draganddrop/draggableicons/draggableicons.py,
	examples/draganddrop/draggableicons/draggableicons_rc2.py,
	examples/draganddrop/draggableicons/draggableicons_rc3.py,
	examples/draganddrop/draggabletext/draggabletext.py,
	examples/draganddrop/draggabletext/draggabletext_rc2.py,
	examples/draganddrop/draggabletext/draggabletext_rc3.py,
	examples/draganddrop/fridgemagnets/fridgemagnets.py,
	examples/draganddrop/fridgemagnets/fridgemagnets_rc2.py,
	examples/draganddrop/fridgemagnets/fridgemagnets_rc3.py,
	examples/draganddrop/puzzle/puzzle.py,
	examples/draganddrop/puzzle/puzzle_rc2.py,
	examples/draganddrop/puzzle/puzzle_rc3.py,
	examples/graphicsview/collidingmice/collidingmice.py,
	examples/graphicsview/collidingmice/mice_rc2.py,
	examples/graphicsview/collidingmice/mice_rc3.py,
	examples/graphicsview/diagramscene/diagramscene.py,
	examples/graphicsview/diagramscene/diagramscene_rc2.py,
	examples/graphicsview/diagramscene/diagramscene_rc3.py,
	examples/graphicsview/dragdroprobot/dragdroprobot.py,
	examples/graphicsview/dragdroprobot/dragdroprobot_rc2.py,
	examples/graphicsview/dragdroprobot/dragdroprobot_rc3.py,
	examples/graphicsview/padnavigator/padnavigator.py,
	examples/graphicsview/padnavigator/padnavigator_rc2.py,
	examples/graphicsview/padnavigator/padnavigator_rc3.py,
	examples/itemviews/chart/chart.py,
	examples/itemviews/chart/chart_rc2.py,
	examples/itemviews/chart/chart_rc3.py,
	examples/itemviews/editabletreemodel/editabletreemodel.py,
	examples/itemviews/editabletreemodel/editabletreemodel_rc2.py,
	examples/itemviews/editabletreemodel/editabletreemodel_rc3.py,
	examples/itemviews/editabletreemodel/mainwindow.ui,
	examples/itemviews/editabletreemodel/ui_mainwindow.py,
	examples/itemviews/pixelator/pixelator.py,
	examples/itemviews/pixelator/pixelator_rc2.py,
	examples/itemviews/pixelator/pixelator_rc3.py,
	examples/itemviews/puzzle/puzzle.py,
	examples/itemviews/puzzle/puzzle_rc2.py,
	examples/itemviews/puzzle/puzzle_rc3.py,
	examples/itemviews/simpletreemodel/simpletreemodel.py,
	examples/itemviews/simpletreemodel/simpletreemodel_rc2.py,
	examples/itemviews/simpletreemodel/simpletreemodel_rc3.py,
	examples/mainwindows/application/application.py,
	examples/mainwindows/application/application_rc2.py,
	examples/mainwindows/application/application_rc3.py,
	examples/mainwindows/dockwidgets/dockwidgets.py,
	examples/mainwindows/dockwidgets/dockwidgets_rc2.py,
	examples/mainwindows/dockwidgets/dockwidgets_rc3.py,
	examples/mainwindows/mdi/mdi.py,
	examples/mainwindows/mdi/mdi_rc2.py,
	examples/mainwindows/mdi/mdi_rc3.py,
	examples/mainwindows/sdi/sdi.py,
	examples/mainwindows/sdi/sdi_rc2.py,
	examples/mainwindows/sdi/sdi_rc3.py, examples/network/ftp/ftp.py,
	examples/network/ftp/ftp_rc2.py, examples/network/ftp/ftp_rc3.py,
	examples/opengl/textures/textures.py,
	examples/opengl/textures/textures_rc2.py,
	examples/opengl/textures/textures_rc3.py,
	examples/painting/basicdrawing/basicdrawing.py,
	examples/painting/basicdrawing/basicdrawing_rc2.py,
	examples/painting/basicdrawing/basicdrawing_rc3.py,
	examples/painting/svgviewer/svgviewer.py,
	examples/painting/svgviewer/svgviewer_rc2.py,
	examples/painting/svgviewer/svgviewer_rc3.py,
	examples/tools/customcompleter/customcompleter.py,
	examples/tools/customcompleter/customcompleter_rc2.py,
	examples/tools/customcompleter/customcompleter_rc3.py,
	examples/tools/i18n/i18n.py, examples/tools/i18n/i18n_rc2.py,
	examples/tools/i18n/i18n_rc3.py,
	examples/webkit/fancybrowser/fancybrowser.py,
	examples/webkit/fancybrowser/jquery_rc2.py,
	examples/webkit/fancybrowser/jquery_rc3.py,
	examples/webkit/formextractor/formextractor.py,
	examples/webkit/formextractor/formextractor_rc2.py,
	examples/webkit/formextractor/formextractor_rc3.py,
	examples/widgets/stylesheet/stylesheet.py,
	examples/widgets/stylesheet/stylesheet_rc2.py,
	examples/widgets/stylesheet/stylesheet_rc3.py,
	examples/widgets/tooltips/tooltips.py,
	examples/widgets/tooltips/tooltips_rc2.py,
	examples/widgets/tooltips/tooltips_rc3.py,
	examples/xmlpatterns/schema/schema.py,
	examples/xmlpatterns/schema/schema_rc2.py,
	examples/xmlpatterns/schema/schema_rc3.py, lib/configure-ng.py,
	lib/configure.py:
	The examples now have pre-built resource files rather than build
	them as part of the installation process.
	[04b69c56db3c] <4.10-maint>

2013-03-19  Phil Thompson  <phil@riverbankcomputing.com>

	* lib/configure-ng.py:
	configure-ng.py now handles the running of pyrcc4 against the
	examples.
	[7b8a544a91d2] <4.10-maint>

	* designer/python.pro-in, lib/configure-ng.py:
	configure-ng.py now handles the Qt Designer plugin.
	[a2748606c696] <4.10-maint>

	* lib/configure-ng.py, qpy/QtCore/qpycore.pro, qpy/QtDBus/qpydbus.pro,
	qpy/QtDeclarative/qpydeclarative.pro,
	qpy/QtDesigner/qpydesigner.pro, qpy/QtGui/qpygui.pro,
	qpy/QtOpenGL/qpyopengl.pro:
	configure-ng.py now handles pylupdate4 and pyrcc4. The qpy .pro
	files now have warnings enabled.
	[3c6866322dd7] <4.10-maint>

	* lib/configure-ng.py:
	configure-ng.py now handles pyuic4 and the uic module.
	[c9d7cea4f216] <4.10-maint>

	* lib/configure-ng.py:
	configure-ng.py now builds the dbus support module.
	[d9a6523db0e2] <4.10-maint>

2013-03-18  Phil Thompson  <phil@riverbankcomputing.com>

	* lib/configure-ng.py:
	configure-ng.py now handles elementtree.
	[c9fde076b375] <4.10-maint>

	* lib/configure-ng.py:
	configure-ng.py now builds the composite module and installs the
	.api file.
	[3dcde0bdd933] <4.10-maint>

	* lib/configure-ng.py:
	configure-ng.py now installs __init__.py.
	[26424a57fa80] <4.10-maint>

	* lib/configure-ng.py:
	configure-ng.py now builds all the regular modules.
	[4889761ed269] <4.10-maint>

	* lib/configure-ng.py:
	Removed the universal binary support from configure-ng.py as it is
	not supported by Qt5.
	[f0b0ab2ec55e] <4.10-maint>

	* lib/configure-ng.py:
	configure-ng.py now builds the QtOpenGL module.
	[e2c1700899c2] <4.10-maint>

2013-03-17  Phil Thompson  <phil@riverbankcomputing.com>

	* lib/configure-ng.py:
	configure-ng.py will now build the QtCore module.
	[eb987247618f] <4.10-maint>

2013-03-15  Phil Thompson  <phil@riverbankcomputing.com>

	* build.py:
	Non-Windows source packages now include the QAxContainer .sip files
	and non-X11 source packages now include the DBus .sip files.
	[4e349e5cd326] <4.10-maint>

	* PyQt4.msp:
	Fixed QSyntaxHighlighter::setCurrentBlockUserData() when the
	protected/public hack is disabled (ie. on Windows).
	[fb3d89c82296] <4.10-maint>

2013-03-13  Phil Thompson  <phil@riverbankcomputing.com>

	* lib/configure-ng.py:
	configure-ng.py now generates C++ code and associated .pro files.
	[ba2fe994bb0b] <4.10-maint>

2013-03-12  Phil Thompson  <phil@riverbankcomputing.com>

	* lib/configure-ng.py:
	configure-ng.py now gathers all the needed configuration
	information.
	[aea7dd82f704] <4.10-maint>

	* lib/configure-ng.py:
	Further work on configure-ng.py. The QtGui module is now detected.
	[6be9310b84a0] <4.10-maint>

2013-03-11  Phil Thompson  <phil@riverbankcomputing.com>

	* PyQt4.msp:
	Fixed QTextBlockUserData ownership issues when calling
	QSyntaxHighlighter.setCurrentBlockUserData() and
	QTextBlock.setUserData().
	[1723f580e589] <4.10-maint>

2013-03-08  Phil Thompson  <phil@riverbankcomputing.com>

	* installers/PyQt4-Qt4-gpl.nsi:
	Added the qtaccessiblewidgets4.dll to the Qt4 Windows installers.
	[5859d9c1e93e] <4.10-maint>

	* installers/PyQt4-Qt5-gpl.nsi:
	Fixed dumb typos in the previous fix.
	[7db2892db623] <4.10-maint>

	* installers/PyQt4-Qt5-gpl.nsi:
	Added the accessible plugins to the Qt5 Windows installer.
	[7776cf6cd6e1] <4.10-maint>

	* installers/PyQt4-Qt5-gpl.nsi:
	Added the missing icudt49.dll to the Qt5 based Windows installer.
	[cb2a8fc0b5c5] <4.10-maint>

	* lib/configure-ng.py:
	More work on configure-ng.py.
	[bbff01cad1e8] <4.10-maint>

2013-03-07  Phil Thompson  <phil@riverbankcomputing.com>

	* lib/configure-ng.py:
	More work on configure-ng.py.
	[e8468e2f8a71] <4.10-maint>

2013-03-06  Phil Thompson  <phil@riverbankcomputing.com>

	* lib/configure-ng.py:
	More work on configure-ng.py.
	[5bbdfbba080e] <4.10-maint>

2013-03-05  Phil Thompson  <phil@riverbankcomputing.com>

	* lib/configure-ng.py:
	configure-ng.py now runs the -h flag without sipconfig.py.
	[6158a83b247d] <4.10-maint>

	* PyQt4.msp:
	Added a missing /Transfer/ to QTreeWidget.invisibleRootItem().
	[85635bd2f453] <4.10-maint>

2013-03-04  Phil Thompson  <phil@riverbankcomputing.com>

	* installers/qsci-config.bat:
	Fixed the QScintilla configuration .bat file.
	[90522b46ebd0] <4.10-maint>

2013-03-01  Phil Thompson  <phil@riverbankcomputing.com>

	* .hgtags:
	Added tag 4.10 for changeset 88c1f8ec7a38
	[b7f9ddeeb391]

	* NEWS:
	Released as v4.10.
	[88c1f8ec7a38] [4.10]

2013-02-09  Phil Thompson  <phil@riverbankcomputing.com>

	* qpy/QtCore/qpycore_pyqtsignal.cpp, qpy/QtCore/qpycore_pyqtsignal.h:
	Fixed a regression in the error handling of defining Qt signals so
	that QSignalMapper doesn't raise unncessary exceptions when QWidget
	has not been imported.
	[857940cc7ac7]

2013-02-06  Phil Thompson  <phil@riverbankcomputing.com>

	* installers/BuildGPL.txt, installers/qsci-config.bat:
	Added qsci-config.bat for QScintilla's new configure.py.
	[3a23595fcebe]

	* NEWS, Qt5-TODO.txt, lib/configure-ng.py, lib/configure.py,
	qpy/QtCore/qpycore_post_init.cpp,
	qpy/QtCore/qpycore_post_init.cpp.in, sphinx/build_system.rst:
	Added support for QtCore.PYQT_CONFIGURATION.
	[edc6504c58df]

2013-02-05  Phil Thompson  <phil@riverbankcomputing.com>

	* installers/BuildGPL.txt, installers/PyQt4-Qt4-gpl.nsi,
	installers/PyQt4-Qt5-gpl.nsi, installers/qt5-config.bat:
	Fixed the qt5-config.bat script. Updated the installer scripts so
	that the installer number is only added for subsequent versions.
	[00f1b86f7175]

2013-02-04  Phil Thompson  <phil@riverbankcomputing.com>

	* installers/PyQt4-Qt4-gpl.nsi, installers/PyQt4-Qt5-gpl.nsi:
	Renamed the Windows installers so that the PyQt version is more
	obvious.
	[a2557682038f]

2013-02-03  Phil Thompson  <phil@riverbankcomputing.com>

	* installers/PyQt4-Qt5-gpl.nsi, installers/pyqt-check.py:
	Fixed the Qt5 installer to include everything that is needed.
	Updated pyqt-check.py for Qt5.
	[49b20a53f7aa]

	* PyQt4.msp:
	Use the Qt5 implementation of WId.
	[46b7ee6f4ed4]

2013-02-02  Phil Thompson  <phil@riverbankcomputing.com>

	* qpy/QtCore/qwineventnotifier.sip:
	Add Qt scope to the use of HANDLE.
	[9432c415dc0f]

	* PyQt4.msp:
	Added QAbstractNativeEventFilter.
	[0cc9fb348ffe]

	* PyQt4.msp, qpy/QtCore/qwineventnotifier.sip:
	Added QWinEventNotifier. Added registerEventNotifier() and
	unregisterEventNotifier() to QAbstractEventDispatcher. Added
	installNativeEventFilter() and removeNativeEventFilter() to
	QAbstractEventDispatcher and QCoreApplication.
	[ae75a5c2a626]

	* PyQt4.msp, QAxContainer/qaxobject.sip, QAxContainer/qaxwidget.sip,
	lib/configure.py:
	Updated QAxObject and QAxWidget for Qt5. Fixed the missing HWND for
	Qt5. Fixed the QAxContainer build.
	[2fedf4fef4f4]

	* PyQt4.msp:
	Use Q_OS_WIN rather than Q_OS_WIN32.
	[74cbe4e74ebf]

	* lib/configure.py:
	Fixed a decoding problem with Python3 in configure.py.
	[b0fde58ea807]

	* PyQt4.msp:
	Updates for Qt5/Windows.
	[86bd7c35936f]

2013-02-01  Phil Thompson  <phil@riverbankcomputing.com>

	* installers/BuildGPL.txt, installers/PyQt4-Qt5-gpl.nsi,
	installers/qt5-config.bat:
	More installer and doc changes for Qt5.
	[d7878427bb5b]

	* installers/BuildGPL.txt:
	Updated the installer docs to cover building Qt5.
	[4eb0efcf0898]

	* PyQt4.msp, installers/BuildGPL.txt, installers/PyQt4-Qt5-gpl.nsi,
	installers/qt5-config.bat:
	Updated for Qt v5.0.1.
	[ce700ab0ea24]

2013-01-31  Phil Thompson  <phil@riverbankcomputing.com>

	* build.py, installers/BuildGPL.txt, installers/PyQt-gpl.nsi,
	installers/PyQt4-Qt4-gpl.nsi, installers/PyQt4-Qt5-gpl.nsi,
	installers/qt-config.bat, installers/qt4-config.bat,
	installers/qt5-config.bat:
	Various changes to the GPL installer scripts and build notes in
	preparation for support for Qt5. Added accessibility support to the
	Qt4 build.
	[c4d8c8b03b7c]

2013-01-25  Phil Thompson  <phil@riverbankcomputing.com>

	* qpy/QtCore/qpycore_chimera.cpp, qpy/QtCore/qpycore_chimera.h:
	Fixed a bug with the handling of QVariant with Qt5.
	[51857d721e64]

	* sphinx/designer.rst:
	Fixed a couple of bugs in the Designer example code.
	[9c8593de34e0]

2013-01-18  Phil Thompson  <phil@riverbankcomputing.com>

	* PyQt4.msp:
	Restored the /Transfer/ annotations to the menuBar() and statusBar()
	methods of QMainWindow. The root cause of the original problem was a
	SIP bug.
	[f0118624625e]

2013-01-15  Phil Thompson  <phil@riverbankcomputing.com>

	* lib/configure-ng.py, lib/configure.py:
	Change the build system to not detect QtDBus prior to Qt v4.7 which
	was the version that was current when we added support for it.
	[e143a1307289]

2013-01-11  Phil Thompson  <phil@riverbankcomputing.com>

	* PyQt4.msp:
	Fixed the super-type of QGestureRecognizer.
	[4c2c40a76893]

	* lib/LICENSE.GPL2, lib/LICENSE.GPL3, lib/LICENSE.commercial.short,
	lib/LICENSE.gpl.short, lib/LICENSE.internal:
	Updated the copyright notices.
	[d9476fe9bbc9]

2013-01-08  Phil Thompson  <phil@riverbankcomputing.com>

	* PyQt4.msp:
	Fixed the handling of qintptr and quintptr for Qt5.
	[c21a07c6072f]

	* PyQt4.msp:
	Fixed QWebPage.extension() so that Python reimplementations are
	passed specific sub-classes for the option and output arguments.
	[6ab77c4c30f8]

2013-01-02  Phil Thompson  <phil@riverbankcomputing.com>

	* Makefile, PyQt4.msp, installers/BuildGPL.txt:
	Fixed build problems on OS/X when concatanation isn't specified.
	[d637d1e32894]

2012-12-29  Phil Thompson  <phil@riverbankcomputing.com>

	* PyQt4.msp:
	Fixed some C that should have been C++.
	[44a9d919fa47]

	* lib/configure.py:
	Build system fixes for Qt5 under Linux.
	[0aebdbbfdd68]

2012-12-21  Phil Thompson  <phil@riverbankcomputing.com>

	* PyQt4.msp:
	Fixed /Transfer/ annotations on menuBar() and statusBar() of
	QMainWindow.
	[87332d15cad2]

2012-12-20  Phil Thompson  <phil@riverbankcomputing.com>

	* Makefile, NEWS, PyQt4.msp, installers/BuildGPL.txt:
	Updated for Qt v5.0.0.
	[07fe7a82297e]

2012-12-19  Phil Thompson  <phil@riverbankcomputing.com>

	* examples/declarative/toys/dynamicscene/qml/Button.qml,
	examples/declarative/toys/dynamicscene/qml/GenericSceneItem.qml,
	examples/declarative/toys/dynamicscene/qml/PaletteItem.qml,
	examples/declarative/toys/dynamicscene/qml/PerspectiveItem.qml,
	examples/declarative/toys/dynamicscene/qml/Sun.qml,
	examples/declarative/toys/dynamicscene/qml/itemCreation.js,
	examples/declarative/ui-components/scrollbar/pics/niagara_falls.jpg,
	lib/SubclassCode/QtGui.versions, pyuic/uic/Compiler/proxy_type.py,
	sphinx/qsettings.rst, sphinx/qvariant.rst:
	Merged the 4.9 maintenance branch into the trunk.
	[ca339b33f10b]

	* PyQt4.msp,
	examples/demos/declarative/minehunt/MinehuntCore/Explosion.qml,
	examples/demos/declarative/minehunt/MinehuntCore/Tile.qml,
	examples/demos/declarative/minehunt/minehunt.qml,
	examples/demos/declarative/samegame/SamegameCore/BoomBlock.qml,
	examples/demos/declarative/samegame/SamegameCore/Button.qml,
	examples/demos/declarative/samegame/SamegameCore/Dialog.qml,
	examples/demos/declarative/samegame/samegame.qml, lib/configure-
	ng.py, lib/configure.py:
	Updated QtDeclarative for Qt5.
	[f7ae313dfdc7] <4.9-maint>

	* PyQt4.msp, lib/configure-ng.py, lib/configure.py:
	Updated QtOpenGL for Qt5.
	[72770743d492] <4.9-maint>

	* designer/python.pro-in:
	Fixed a deprecation warning in the building of the Designer plugin.
	[ae1c4161714d] <4.9-maint>

	* designer/pluginloader.h:
	Fixed the Designer plugin to use the standard interface name.
	[c3d59eebade4] <4.9-maint>

2012-12-18  Phil Thompson  <phil@riverbankcomputing.com>

	* PyQt4.msp, designer/pluginloader.cpp, designer/pluginloader.h, lib
	/configure-ng.py, lib/configure.py:
	Updated QtDesigner for Qt5.
	[a47575efdf77] <4.9-maint>

	* PyQt4.msp, lib/configure-ng.py, lib/configure.py:
	Ported QtDBus to Qt5.
	[cfb5521d717f] <4.9-maint>

	* PyQt4.msp, lib/configure-ng.py, lib/configure.py:
	Updated QtMultimedia for Qt5.
	[b780fe4c40e9] <4.9-maint>

	* PyQt4.msp:
	Marked the deprecated methods of QtTest and QtScript.
	[876f5c906c90] <4.9-maint>

	* PyQt4.msp, lib/configure-ng.py, lib/configure.py:
	Updated QtTest for Qt5. SIP v4.14.3 is now required.
	[3185a9d983b4] <4.9-maint>

	* PyQt4.msp, lib/configure-ng.py, lib/configure.py:
	Updated QtScript and QtScriptTools for Qt5.
	[2e496514c121] <4.9-maint>

	* PyQt4.msp, lib/configure-ng.py, lib/configure.py:
	Updated phonon for Qt5.
	[495ac7cfa29b] <4.9-maint>

	* PyQt4.msp, lib/configure.py:
	Fixed the building of QtXmlPatterns against Qt5.
	[8bc66fe29cae] <4.9-maint>

	* PyQt4.msp:
	Resolved the outstanding TODO items for Qt5.
	[90b11eaa3d96] <4.9-maint>

	* Makefile, NEWS, PyQt4.msp:
	Updates for Qt v5-rc2.
	[f7c203b8e767] <4.9-maint>

2012-12-08  Phil Thompson  <phil@riverbankcomputing.com>

	* .hgtags:
	Added tag 4.9.6 for changeset d7a19a62cbca
	[31c0e434a23f] <4.9-maint>

	* NEWS:
	Released as v4.9.6.
	[d7a19a62cbca] [4.9.6] <4.9-maint>

2012-12-07  Phil Thompson  <phil@riverbankcomputing.com>

	* PyQt4.msp, pylupdate/translator.h:
	Completed the updates for Qt v5-rc1.
	[9565ce63ec2f] <4.9-maint>

	* Makefile, NEWS, PyQt4.msp:
	Updated QtGui for Qt v5-rc1.
	[dfa23c96bc85] <4.9-maint>

	* PyQt4.msp:
	Initial scan of QtCore for Qt v5-rc1.
	[fac4c57bb9b7] <4.9-maint>

2012-12-06  Phil Thompson  <phil@riverbankcomputing.com>

	* QAxContainer/qaxbase.sip:
	Fixed an earlier fix to QAxBase.
	[bd5c2fe465d2] <4.9-maint>

	* installers/BuildGPL.txt:
	Updated the installer documentation.
	[9e327901d828] <4.9-maint>

	* installers/sip-config.bat:
	Fixed the SIP configuration script so that it doesn't hardcode the
	platform.
	[96906c4a2084] <4.9-maint>

2012-12-05  Phil Thompson  <phil@riverbankcomputing.com>

	* installers/BuildGPL.txt, installers/mysql-config.bat, installers
	/psql-config.bat:
	Added configuration scripts for MySQL and PostgreSQL drivers.
	[53733ff6df76] <4.9-maint>

2012-12-03  Phil Thompson  <phil@riverbankcomputing.com>

	* PyQt4.msp, lib/configure-ng.py, lib/configure.py:
	Updated for Qt v4.8.4.
	[cb5b89b8e9cd] <4.9-maint>

	* examples/declarative/modelviews/objectlistmodel/view.qml,
	examples/declarative/toys/clocks/clocks.qml,
	examples/declarative/toys/clocks/content/Clock.qml,
	examples/declarative/toys/clocks/content/QuitButton.qml,
	examples/declarative/toys/clocks/content/quit.png,
	examples/declarative/toys/corkboards/Day.qml,
	examples/declarative/toys/corkboards/corkboards.qml,
	examples/declarative/toys/dynamicscene/Button.qml,
	examples/declarative/toys/dynamicscene/GenericSceneItem.qml,
	examples/declarative/toys/dynamicscene/PaletteItem.qml,
	examples/declarative/toys/dynamicscene/PerspectiveItem.qml,
	examples/declarative/toys/dynamicscene/Sun.qml,
	examples/declarative/toys/dynamicscene/dynamicscene.qml,
	examples/declarative/toys/dynamicscene/itemCreation.js,
	examples/declarative/toys/dynamicscene/qml/Button.qml,
	examples/declarative/toys/dynamicscene/qml/GenericSceneItem.qml,
	examples/declarative/toys/dynamicscene/qml/PaletteItem.qml,
	examples/declarative/toys/dynamicscene/qml/PerspectiveItem.qml,
	examples/declarative/toys/dynamicscene/qml/Sun.qml,
	examples/declarative/toys/dynamicscene/qml/itemCreation.js,
	examples/declarative/toys/tic-tac-toe/content/Button.qml,
	examples/declarative/toys/tic-tac-toe/content/TicTac.qml,
	examples/declarative/toys/tic-tac-toe/tic-tac-toe.qml,
	examples/declarative/toys/tvtennis/tvtennis.qml,
	examples/declarative/ui-components/dialcontrol/content/Dial.qml,
	examples/declarative/ui-
	components/dialcontrol/content/QuitButton.qml, examples/declarative
	/ui-components/dialcontrol/content/quit.png, examples/declarative
	/ui-components/dialcontrol/dialcontrol.qml, examples/declarative/ui-
	components/flipable/content/Card.qml, examples/declarative/ui-
	components/flipable/flipable.qml, examples/declarative/ui-
	components/progressbar/content/ProgressBar.qml, examples/declarative
	/ui-components/progressbar/main.qml, examples/declarative/ui-
	components/scrollbar/ScrollBar.qml, examples/declarative/ui-
	components/scrollbar/main.qml, examples/declarative/ui-
	components/scrollbar/niagara_falls.jpg, examples/declarative/ui-
	components/scrollbar/pics/niagara_falls.jpg, examples/declarative
	/ui-components/searchbox/SearchBox.qml, examples/declarative/ui-
	components/searchbox/main.qml, examples/declarative/ui-
	components/slideswitch/content/Switch.qml, examples/declarative/ui-
	components/slideswitch/slideswitch.qml, examples/declarative/ui-
	components/spinner/content/Spinner.qml, examples/declarative/ui-
	components/spinner/main.qml, examples/declarative/ui-
	components/tabwidget/TabWidget.qml, examples/declarative/ui-
	components/tabwidget/main.qml, examples/demos/qtdemo/menumanager.py,
	examples/demos/qtdemo/qmlShell.qml:
	Updated the QML examples from Qt v4.8.4 to eliminate the warning
	messages about the instances of "import Qt 4.7".
	[4f18b5233a2f] <4.9-maint>

	* doc/pyqtdoc/PyQt4.xfm, installers/PyQt-gpl.nsi:
	Build system changes for Qt v4.8.4.
	[d767725c5fce] <4.9-maint>

	* lib/configure-ng.py:
	More changes to the new configuration script.
	[173a88275e58] <4.9-maint>

2012-11-22  Phil Thompson  <phil@riverbankcomputing.com>

	* pyuic/uic/uiparser.py:
	Fixed a pyuic bug when a layout is given an explicit margin.
	[eb3707b921b4] <4.9-maint>

2012-11-20  Phil Thompson  <phil@riverbankcomputing.com>

	* QAxContainer/qaxbase.sip:
	Fixed QAxBase so that dynamicCall() and querySubObject() update the
	list of arguments on return.
	[be9a242a82c1] <4.9-maint>

2012-11-19  Phil Thompson  <phil@riverbankcomputing.com>

	* PyQt4.msp, qpy/QtCore/qpycore_api.h, qpy/QtCore/qpycore_qstring.cpp:
	Fixed a couple of regressions building against Qt4.
	[613edeb8564c] <4.9-maint>

	* Makefile, pyuic/uic/Compiler/compiler.py,
	pyuic/uic/Compiler/qtproxies.py, pyuic/uic/properties.py,
	sphinx/build_system.rst, sphinx/dbus.rst,
	sphinx/deploy_commercial.rst, sphinx/designer.rst,
	sphinx/gotchas.rst, sphinx/i18n.rst, sphinx/incompatibilities.rst,
	sphinx/incompatible_apis.rst, sphinx/index.rst,
	sphinx/installation.rst, sphinx/introduction.rst,
	sphinx/keyword_arguments.rst, sphinx/new_style_signals_slots.rst,
	sphinx/old_style_signals_slots.rst, sphinx/pickle.rst,
	sphinx/pyqt_qsettings.rst, sphinx/pyqt_qvariant.rst,
	sphinx/python_shell.rst, sphinx/python_v3.rst, sphinx/qml.rst,
	sphinx/qt_properties.rst, sphinx/qt_v5.rst, sphinx/resources.rst:
	Documentation tidy-ups (anticipating PyQt5).
	[21fb0e222468] <4.9-maint>

	* PyQt4.msp:
	Reverted the recent encoding changes as it is better to be
	compatible and (possibly) wrong.
	[09a19d1af4e9] <4.9-maint>

	* Makefile, PyQt4.msp:
	Fix for building without deprecated features.
	[96959c366acc] <4.9-maint>

	* PyQt4.msp, examples/demos/qtdemo/demoitem.py, lib/configure-ng.py,
	lib/configure.py, pylupdate/main.cpp, pylupdate/metatranslator.cpp,
	qpy/QtCore/qpycore.pro:
	Fixed pylupdate for Qt5-beta2. Fixed qtdemo.py for Qt5-beta2. All
	the modules that currently support Qt5 now support beta2.
	[fc697a4c0315] <4.9-maint>

	* PyQt4.msp:
	The QtNetwork modules now supports Qt5-beta2.
	[cf9782978014] <4.9-maint>

2012-11-17  Phil Thompson  <phil@riverbankcomputing.com>

	* Makefile, PyQt4.msp:
	The deprecated Qt4 features are now restored to QtGui.
	[021687bb7145] <4.9-maint>

	* PyQt4.msp, qpy/QtCore/qpycore_api.h, qpy/QtCore/qpycore_qstring.cpp:
	The deprecated Qt4 features are now restored to QtCore.
	[0aafceb02811] <4.9-maint>

	* Makefile, PyQt4.msp, lib/configure-ng.py, lib/configure.py,
	sphinx/installation.rst:
	Added the --no-deprecated option to configure.py. Added the stubs
	for re-introducing support for features deprecated in Qt5.
	[5a9c144d7316] <4.9-maint>

2012-11-16  Phil Thompson  <phil@riverbankcomputing.com>

	* Makefile, PyQt4.msp:
	QtCore now supports Qt5-beta2.
	[eb5d1f3ffd0b] <4.9-maint>

2012-11-15  Phil Thompson  <phil@riverbankcomputing.com>

	* Makefile, PyQt4.msp, qpy/QtCore/qpycore_api.h,
	qpy/QtCore/qpycore_chimera.cpp, qpy/QtCore/qpycore_qstring.cpp:
	QtCore now supports Qt5-beta2.
	[4cc2c28be058] <4.9-maint>

2012-11-14  Phil Thompson  <phil@riverbankcomputing.com>

	* PyQt4.msp, lib/configure-ng.py, lib/configure.py:
	Initial Qt5-beta2 changes related to QtWebKit being renamed to
	QtWebKitWidgets.
	[852f57b7ee58] <4.9-maint>

2012-11-13  Phil Thompson  <phil@riverbankcomputing.com>

	* Makefile, lib/configure-ng.py:
	More configure-ng.py work.
	[4d74d3bd6314] <4.9-maint>

	* lib/configure.py:
	Restored configure.py to before the cross-compilation support
	changes. All related work will now be done in configure-ng.py.
	[c9a8fbc44cbf] <4.9-maint>

	* Makefile, build.py, configurations/rpi_py3.cfg, lib/configure-ng.py,
	lib/configure.py, lib/rpi.cfg:
	More fixes for cross-compilation. Preparations for the new build
	system.
	[17e5ca332fbd] <4.9-maint>

	* PyQt4.msp:
	Fixed QVariantAnimation for Qt5.
	[b35d046175cf] <4.9-maint>

2012-11-12  Phil Thompson  <phil@riverbankcomputing.com>

	* Makefile, lib/configure.py, lib/rpi.cfg:
	More support for cross-compilation.
	[80730f7cf317] <4.9-maint>

	* Makefile, lib/configure.py, lib/rpi.cfg:
	Added the start of support for cross-compilation.
	[562ec95d2fc2] <4.9-maint>

	* lib/configure.py:
	Removed support for the mega-windows build from configure.py.
	[ec8bd962cdb8] <4.9-maint>

2012-11-11  Phil Thompson  <phil@riverbankcomputing.com>

	* PyQt4.msp, lib/configure.py:
	Fixed a build problem against OS/X non-Cocoa Qt v4.8 and later.
	[fe4e7f1c9f51] <4.9-maint>

2012-11-10  Phil Thompson  <phil@riverbankcomputing.com>

	* PyQt4.msp, Qt5-TODO.txt:
	Added the missing constBits() and constScanLine() methods to QImage.
	[5d8f2d809b23] <4.9-maint>

2012-11-04  Phil Thompson  <phil@riverbankcomputing.com>

	* sphinx/gotchas.rst:
	Clarified the docs regarding sip.voidptr and memoryview.
	[a76fd13f54f9] <4.9-maint>

2012-10-28  Phil Thompson  <phil@riverbankcomputing.com>

	* lib/configure.py:
	Fixed the build to handle the Python config include directory being
	different to the regular Python include directory.
	[1b4b26628739] <4.9-maint>

2012-10-08  Phil Thompson  <phil@riverbankcomputing.com>

	* Makefile, PyQt4.msp, lib/SubclassCode/QtGui.versions,
	lib/SubclassCode/QtGuiQt4.versions, lib/SubclassCode/mksccode.py:
	Implemented QScreen for Qt5.
	[95094339d25b] <4.9-maint>

2012-10-07  Phil Thompson  <phil@riverbankcomputing.com>

	* Makefile, PyQt4.msp:
	A QPoint can now be specified whenever a QPointF is expected.
	[f7b4fc5c2e79] <4.9-maint>

	* PyQt4.msp, lib/QMetaObjectFormats.txt,
	qpy/QtCore/qpycore_pyqtboundsignal.cpp,
	qpy/QtCore/qpycore_pyqtsignal.cpp, qpy/QtCore/qpycore_pyqtsignal.h,
	qpy/QtCore/qpycore_qobject_getattr.cpp:
	Backed out the signal handling changes that support choosing an
	overload based on the number of arguments to emit(). The approach is
	just wrong and doesn't work. Fixed the signature of
	QAbstractItemModel.dataChanged() for Qt5 to properly fix the above
	problem.
	[047e78e233a7] <4.9-maint>

	* qpy/QtCore/qpycore_chimera.cpp:
	Fixed a problem parsing QWidget based types with Qt5 caused by it
	registering QWidget* as a user type.
	[54a73237d721] <4.9-maint>

2012-10-05  Phil Thompson  <phil@riverbankcomputing.com>

	* Makefile, PyQt4.msp:
	Fixed the implementation of QUrl.FormattingOptions for Qt5.
	[c637c0fc6f5f] <4.9-maint>

	* Makefile, PyQt4.msp:
	Implemented QLCDNumber.setNumDigits() for Qt5 so that Designer4 .ui
	files are usable with Qt5.
	[477415fb7ce9] <4.9-maint>

	* qpy/QtCore/qpycore_pyqtboundsignal.cpp,
	qpy/QtCore/qpycore_pyqtboundsignal.h,
	qpy/QtCore/qpycore_pyqtproxy.cpp, qpy/QtCore/qpycore_pyqtsignal.cpp,
	qpy/QtCore/qpycore_pyqtsignal.h,
	qpy/QtCore/qpycore_qobject_getattr.cpp,
	qpy/QtCore/qpycore_sip_helpers.cpp, qpy/QtCore/qpycore_types.cpp:
	Refactored signal support again to resolve a regression in the
	handling of overloaded signals.
	[6b4c37e45948] <4.9-maint>

2012-10-03  Phil Thompson  <phil@riverbankcomputing.com>

	* Makefile, PyQt4.msp:
	Fixed some ownership issues with QScriptEngine and
	QScriptEngineAgent.
	[dfed2357a8bc] <4.9-maint>

	* lib/configure.py:
	SIP v4.14.1 is now required.
	[5b1cd8e6e75f] <4.9-maint>

	* PyQt4.msp:
	Added the missing (but undocumented) locale and widget members to
	QStyleOptionViewItem for Qt5.
	[2c65850e632b] <4.9-maint>

	* qpy/QtCore/qpycore_pyqtboundsignal.cpp,
	qpy/QtCore/qpycore_pyqtsignal.cpp,
	qpy/QtCore/qpycore_qobject_getattr.cpp:
	When emitting a signal that supports optional arguments the unbound
	signal used is the one that matches the number of supplied arguments
	rather than the one that the bound signal is bound to.
	[a2f79ec1be76] <4.9-maint>

	* qpy/QtCore/qpycore_chimera.h,
	qpy/QtCore/qpycore_pyqtboundsignal.cpp,
	qpy/QtCore/qpycore_pyqtboundsignal.h,
	qpy/QtCore/qpycore_pyqtproxy.cpp, qpy/QtCore/qpycore_pyqtsignal.cpp,
	qpy/QtCore/qpycore_pyqtsignal.h,
	qpy/QtCore/qpycore_qobject_getattr.cpp,
	qpy/QtCore/qpycore_sip_helpers.cpp,
	qpy/QtCore/qpycore_sip_helpers.h, qpy/QtCore/qpycore_types.cpp:
	Refactored the implementation of signals prior to improving the
	support for calling signals with optional arguments. The docstring
	for a bound signal now only includes the docstring of specific
	unbound signal overload.
	[224e6247d454] <4.9-maint>

2012-09-30  Phil Thompson  <phil@riverbankcomputing.com>

	* PyQt4.msp:
	Fixed QTreeWidget.indexOfTopLevelItem() for all versions of Qt.
	[a2bc9d615aaa] <4.9-maint>

	* PyQt4.msp:
	Fixed the docstrings for all Qt5 implementations of dataChanged().
	[c0840943eec2] <4.9-maint>

	* PyQt4.msp:
	Added Qt4 compatibility references to the Qt5 support for the
	QStyleOption classes.
	[7337a500c76b] <4.9-maint>

	* Makefile, PyQt4.msp:
	Fixed QApplication.palette() for Qt5.
	[aff5dab10b01] <4.9-maint>

2012-09-29  Phil Thompson  <phil@riverbankcomputing.com>

	* .hgtags:
	Added tag 4.9.5 for changeset 1bc4bbde25e0
	[118d2f4a3630] <4.9-maint>

	* NEWS:
	Released as v4.9.5.
	[1bc4bbde25e0] [4.9.5] <4.9-maint>

2012-09-28  Phil Thompson  <phil@riverbankcomputing.com>

	* NEWS, examples/demos/qtdemo/xml/examples.xml,
	examples/tools/customcompleter/customcompleter.py,
	examples/tools/customcompleter/customcompleter.qrc,
	examples/tools/customcompleter/resources/wordlist.txt:
	Added the customcompleter.py example.
	[2a300de91e6e] <4.9-maint>

2012-09-27  Phil Thompson  <phil@riverbankcomputing.com>

	* installers/BuildGPL.txt:
	Further Windows installer documentation changes.
	[9eb6aac99275] <4.9-maint>

	* installers/BuildGPL.txt, installers/PyQt-gpl.nsi:
	Further Windows installer documentation updates. Updated the link to
	the Qt homepage in the installer.
	[8e3e4da458eb] <4.9-maint>

	* installers/BuildGPL.txt, installers/PyQt-gpl.nsi:
	Updated the internal build instructions for MSVC 2010 x64. Updated
	the location of the Qt docs in the Windows installer.
	[2a1d269451c1] <4.9-maint>

2012-09-25  Phil Thompson  <phil@riverbankcomputing.com>

	* lib/configure.py:
	Another Qt5-beta1 fix for building pyrcc4.
	[1453d84fc481] <4.9-maint>

	* PyQt4.msp, lib/configure.py:
	Various fixes for building against Qt5-beta1 on Linux.
	[8f28f5418b79] <4.9-maint>

	* installers/BuildGPL.txt, installers/PyQt-gpl.nsi:
	Some internal documentation updates for MSVC 2010.
	[2cb63a4afc90] <4.9-maint>

2012-09-24  Phil Thompson  <phil@riverbankcomputing.com>

	* lib/configure.py:
	Fixed configure.py for the LGPL version of Qt5-beta1.
	[3e881fe8af84] <4.9-maint>

2012-09-19  Phil Thompson  <phil@riverbankcomputing.com>

	* PyQt4.msp:
	Added the missing QPointF operator*(qreal, QPointF).
	[b007d37329a0] <4.9-maint>

2012-09-16  Phil Thompson  <phil@riverbankcomputing.com>

	* Makefile, NEWS, PyQt4.msp, doc/pyqtdoc/PyQt4.xfm, lib/configure.py:
	Added support for Qt v4.8.3.
	[e8962761d9f7] <4.9-maint>

2012-09-15  Phil Thompson  <phil@riverbankcomputing.com>

	* qpy/QtCore/qpycore_qstring.cpp:
	Fixed a bug in the PEP393 conversion from UCS1 Unicode to QString.
	[85c7c0c9c6e4] <4.9-maint>

	* Makefile, PyQt4.msp, lib/QMetaObjectFormats.txt:
	Fixed the QString comparison operators for Qt5. All tests now pass
	with Qt v5-beta1.
	[78042a30d382] <4.9-maint>

	* qpy/QtCore/qpycore_pyqtproxy.cpp:
	Further PyQtProxy fixes for Qt5.
	[6ce9c674f3fc] <4.9-maint>

	* qpy/QtCore/qpycore_pyqtproxy.cpp:
	Fixed PyQtProxy so that signals are added to the meta-object before
	slots.
	[fdc83015bec5] <4.9-maint>

	* Makefile, lib/QMetaObjectFormats.txt,
	test/tests/metaobject/test_pyqtproperty.py,
	test/tests/metaobject/test_pyqtsignature.py,
	test/tests/metaobject/test_pyqtslot.py:
	Various test fixes for Qt v5-beta1.
	[9040599e8ccb] <4.9-maint>

	* qpy/QtCore/qpycore_types.cpp:
	Fixed property types for Qt5 QObject sub-classes, although the
	behaviour is now slightly different than for Qt4.
	[c32ca16478ff] <4.9-maint>

	* qpy/QtCore/qpycore_types.cpp:
	Fixed the initial readable and writeable states of properties for
	Qt5.
	[1d19cf3405bc] <4.9-maint>

2012-09-14  Phil Thompson  <phil@riverbankcomputing.com>

	* Makefile, test/tests/metaobject/test_qvariantmap.py:
	Fixed a unit test bug for Python3.
	[fb7b53ddf9e4] <4.9-maint>

	* pyrcc/rcc.cpp:
	Fixed pyrcc4 for Qt v5-beta1.
	[ff7f9f6536d8] <4.9-maint>

	* PyQt4.msp, lib/configure.py:
	QtXml now builds against Qt v5-beta1.
	[906ce7cb7530] <4.9-maint>

	* PyQt4.msp, lib/configure.py:
	QtWebKit now builds against Qt v5-beta1.
	[7c50f6b22ae2] <4.9-maint>

	* Makefile, PyQt4.msp, lib/configure.py,
	qpy/QtCore/qpycore_pyqtproxy.cpp:
	QtSql now builds against Qt v5-beta1.
	[fe7a09fe433a] <4.9-maint>

	* Makefile, PyQt4.msp, lib/SubclassCode/QtNetwork.versions,
	lib/configure.py, qpy/QtCore/qpycore_pyqtproxy.cpp,
	qpy/QtCore/qpycore_pyqtproxy.h:
	SIP v4.14 is now required. QtNetwork now builds against Qt v5-beta1.
	[a5223e4c201c] <4.9-maint>

	* PyQt4.msp, lib/configure.py:
	QtSvg now builds against Qt v5-beta1.
	[8d4eef4f8542] <4.9-maint>

	* PyQt4.msp, lib/configure.py:
	QtHelp will now build against Qt v5-beta1.
	[e6586ddf2149] <4.9-maint>

2012-09-11  Phil Thompson  <phil@riverbankcomputing.com>

	* PyQt4.msp:
	Updated the QtGui sub-class convertor code for Qt v5-beta1.
	[4609dca587a0] <4.9-maint>

	* PyQt4.msp, lib/SubclassCode/QtGui.versions:
	The QtCore and QtGui modules now build against Qt v5-beta1.
	[5840ebfdf3eb] <4.9-maint>

	* PyQt4.msp:
	Updated QtWidgets from Qt v5-beta1
	[404305cda772] <4.9-maint>

	* PyQt4.msp:
	Updated QtPrintSupport for Qt v5-beta1.
	[4a9d653d3c31] <4.9-maint>

	* Makefile, PyQt4.msp:
	Updated QtGui for Qt v5-beta1 (but not QtWidgets and
	QtPrintSupport).
	[8d08462ea831] <4.9-maint>

2012-09-10  Phil Thompson  <phil@riverbankcomputing.com>

	* PyQt4.msp:
	QtCore now builds against Qt v5-beta1.
	[d0cccb4295cb] <4.9-maint>

2012-09-07  Phil Thompson  <phil@riverbankcomputing.com>

	* PyQt4.msp:
	Fixed connectNotify() and disconnectNotify() for Qt5.
	[304317205ef4] <4.9-maint>

2012-09-06  Phil Thompson  <phil@riverbankcomputing.com>

	* lib/configure.py:
	Fixed the build system for Qt5-beta1.
	[1b0ce0f34919] <4.9-maint>

	* Makefile, qpy/QtCore/qpycore_pyqtboundsignal.cpp,
	qpy/QtCore/qpycore_pyqtproxy.cpp, qpy/QtCore/qpycore_pyqtproxy.h,
	qpy/QtCore/qpycore_qmetaobject_helpers.cpp,
	qpy/QtCore/qpycore_qmetaobjectbuilder.h,
	qpy/QtCore/qpycore_qobject_getattr.cpp,
	qpy/QtCore/qpycore_sip_helpers.cpp, qpy/QtCore/qpycore_types.cpp:
	Fixed PyQtProxy for Qt5. The QtCore support library now compiles
	against Qt5-beta1.
	[6711bb28821e] <4.9-maint>

2012-09-04  Phil Thompson  <phil@riverbankcomputing.com>

	* lib/QMetaObjectFormats.txt, qpy/QtCore/qpycore.pro,
	qpy/QtCore/qpycore_qmetaobjectbuilder.h,
	qpy/QtCore/qpycore_qobject_helpers.cpp,
	qpy/QtCore/qpycore_types.cpp, qpy/QtCore/qpycore_types.h:
	Added initial support for QMetaObject revision 7.
	[3ad1e0f2a0f2] <4.9-maint>

	* Qt5-TODO.txt, lib/QMetaObjectFormats.txt,
	qpy/QtCore/qpycore_types.cpp:
	Finshed properly documenting the revision 6 QMetaObject format.
	[7ca304ff209a] <4.9-maint>

2012-09-03  Phil Thompson  <phil@riverbankcomputing.com>

	* Makefile, lib/QMetaObjectFormats.txt:
	Added the start of the QMetaObject format document.
	[7b99c5b5bfbd] <4.9-maint>

	* Makefile, PyQt4.msp, lib/configure.py, qpy/QtCore/qpycore_api.h,
	qpy/QtCore/qpycore_chimera.cpp,
	qpy/QtCore/qpycore_qabstracteventdispatcher.cpp,
	qpy/QtCore/qpycore_types.cpp, qpy/QtCore/qpycore_types.h:
	Initial update to QtCore for Qt v5-beta1.
	[5fb2aa4067a8] <4.9-maint>

2012-08-15  Phil Thompson  <phil@riverbankcomputing.com>

	* PyQt4.msp:
	Removed all calls to (the now deprecated) sipTransferBreak().
	[6373b573b392] <4.9-maint>

2012-08-11  Phil Thompson  <phil@riverbankcomputing.com>

	* pyrcc/rcc.cpp:
	The timestamp in the comments of the output of pyrcc4 is now
	converted to UTF8 rather than Latin1.
	[cdc766160e37] <4.9-maint>

2012-08-10  Phil Thompson  <phil@riverbankcomputing.com>

	* PyQt4.msp:
	Implemented __str__ and __unicode__ for QChar.
	[ed00d7318b30] <4.9-maint>

	* sphinx/dbus.rst, sphinx/introduction.rst:
	Updated the DBus documentation.
	[cab6a052e0ee] <4.9-maint>

2012-07-13  Phil Thompson  <phil@riverbankcomputing.com>

	* pyuic/uic/Compiler/qobjectcreator.py, pyuic/uic/objcreator.py:
	Fixed a regression in pyuic's handling of custom widgets.
	[29b668ada14c] <4.9-maint>

2012-07-10  Phil Thompson  <phil@riverbankcomputing.com>

	* sphinx/index.rst, sphinx/pyqt_qsettings.rst,
	sphinx/pyqt_qvariant.rst, sphinx/qsettings.rst, sphinx/qvariant.rst:
	Fixed a problem with the QVariant and QSettings sections of the
	reference documentation which caused them to be overwritten.
	[fd0f3da9d79c] <4.9-maint>

2012-06-26  Phil Thompson  <phil@riverbankcomputing.com>

	* .hgtags:
	Added tag 4.9.4 for changeset 271d455ceabe
	[e046fc58565c] <4.9-maint>

	* NEWS:
	Released as v4.9.4.
	[271d455ceabe] [4.9.4] <4.9-maint>

	* lib/configure.py:
	Backed out the Debian configure changes as they break non-Linux
	platforms. Fixed the issue in a different way.
	[3db36ce9d937] <4.9-maint>

2012-06-24  Phil Thompson  <phil@riverbankcomputing.com>

	* .hgtags:
	Added tag 4.9.3 for changeset be3bdb13b8a3
	[bb841cf1a1ca] <4.9-maint>

	* NEWS:
	Released as v4.9.3.
	[be3bdb13b8a3] [4.9.3] <4.9-maint>

	* PyQt4.msp:
	Fixed QByteArray.__getitem__ so that it does bounds checking.
	[9569093a74f1] <4.9-maint>

2012-06-23  Phil Thompson  <phil@riverbankcomputing.com>

	* lib/configure.py:
	Fixed a regression in the setting of the qmake spec name on OS/X.
	[b756550aebdd] <4.9-maint>

2012-06-22  Phil Thompson  <phil@riverbankcomputing.com>

	* lib/configure.py:
	Applied patches from Debian for when the ld --no-add-needed flag is
	set.
	[d0d1c4101e69] <4.9-maint>

2012-06-20  Phil Thompson  <phil@riverbankcomputing.com>

	* .hgtags:
	Added tag 4.9.2 for changeset 0ee020cfad4a
	[5ad2ca9b8b6e] <4.9-maint>

	* NEWS:
	Released as v4.9.2.
	[0ee020cfad4a] [4.9.2] <4.9-maint>

	* installers/BuildGPL.txt:
	Updated the Windows installer instructions for the latest
	QScintilla.
	[587b72276b04] <4.9-maint>

	* build.py:
	Updated the Qt version that the docs are built for.
	[49c50c0b18d5] <4.9-maint>

2012-06-19  Phil Thompson  <phil@riverbankcomputing.com>

	* Makefile, NEWS, qpy/QtCore/qpycore_qstring.cpp:
	Worked around the broken XCode v4 LLVM compiler.
	[9271e14ab3fc] <4.9-maint>

2012-06-04  Phil Thompson  <phil@riverbankcomputing.com>

	* installers/BuildGPL.txt:
	Updated the GPL installer build instructions for Qt v4.8.2.
	[93480e10d581] <4.9-maint>

	* installers/PyQt-gpl.nsi:
	Updated the Windows installer for Qt v4.8.2.
	[c6c6c070e1c5] <4.9-maint>

	* PyQt4.msp:
	Added the convert to sub-class code for the Qt5 QtGui module.
	[ffd34aa3572e] <4.9-maint>

	* lib/SubclassCode/mksccode.py:
	Ported the mksccode.py script to Python3.
	[2591ae27b2a7] <4.9-maint>

2012-06-03  Phil Thompson  <phil@riverbankcomputing.com>

	* PyQt4.msp:
	Fixed the build warning messages against Qt5.
	[d49ae8bd9152] <4.9-maint>

	* PyQt4.msp:
	The QtGui module now runs under Qt5.
	[9a03334b44cd] <4.9-maint>

	* PyQt4.msp, lib/SubclassCode/QtGui.versions:
	Fixes so that the QtGui modules now builds under Qt5.
	[7f375c5ed8cd] <4.9-maint>

	* Makefile, PyQt4.msp:
	Fixes so that the Qt5 .sip files are generated.
	[c4be684963f3] <4.9-maint>

	* PyQt4.msp, lib/configure.py:
	Completed the Qt5 QtWidgets support.
	[f2ea8574532e] <4.9-maint>

2012-06-02  Phil Thompson  <phil@riverbankcomputing.com>

	* PyQt4.msp:
	More work on the Qt4 QtWidgets support.
	[f3d8967f652c] <4.9-maint>

	* PyQt4.msp:
	More work on the Qt4 QtWidgets support.
	[8db15a78b54e] <4.9-maint>

	* PyQt4.msp:
	Completed the Qt5 QtPrintSupport support.
	[ac114552a6cd] <4.9-maint>

	* PyQt4.msp:
	Completed the Qt5 QtGui support.
	[90700afedbb0] <4.9-maint>

2012-06-01  Phil Thompson  <phil@riverbankcomputing.com>

	* Makefile, PyQt4.msp:
	Work on Qt5 support for QtGui.
	[3d5981f350cb] <4.9-maint>

	* Makefile, PyQt4.msp, lib/configure.py:
	Completed the Qt5 support for QtCore.
	[e5c1d5dc3bc7] <4.9-maint>

	* Makefile, PyQt4.msp, Qt5-TODO.txt:
	Completed the Qt5 QtCore parsing.
	[1b91bc133be5] <4.9-maint>

2012-05-30  Phil Thompson  <phil@riverbankcomputing.com>

	* PyQt4.msp:
	More Qt5 QtCore work.
	[219fc4249132] <4.9-maint>

2012-05-29  Phil Thompson  <phil@riverbankcomputing.com>

	* PyQt4.msp:
	More Qt5 QtCore work.
	[bfdb1e35efed] <4.9-maint>

	* PyQt4.msp:
	Updated QtCore for about a third of Qt5.
	[9ce04bb2cdaf] <4.9-maint>

	* PyQt4.msp:
	Scanned the QtCore directory for Qt5.
	[318f8b63a60f] <4.9-maint>

2012-05-28  Phil Thompson  <phil@riverbankcomputing.com>

	* Makefile, PyQt4.msp, doc/pyqtdoc/PyQt4.xfm:
	Updated for Qt v4.8.2.
	[441c080de828] <4.9-maint>

2012-05-25  Phil Thompson  <phil@riverbankcomputing.com>

	* PyQt4.msp, installers/BuildGPL.txt:
	Updated the metasip project file to v2.
	[90a33f169ed0] <4.9-maint>

2012-05-16  Phil Thompson  <phil@riverbankcomputing.com>

	* qpy/QtCore/qpycore_pyqtboundsignal.cpp:
	Fixed the exception raised when emitting a signal defined in a mixin
	class.
	[fa0ccc58c397] <4.9-maint>

	* sphinx/new_style_signals_slots.rst:
	Documented the need to use new-style disconnects for connections
	made new style.
	[618013835d1b] <4.9-maint>

2012-04-26  Phil Thompson  <phil@riverbankcomputing.com>

	* PyQt4.msp:
	Made sure all operators defined in the QSsl namespace are only
	enabled if Qt has been built with OpenSSL support.
	[57236e12b4e2] <4.9-maint>

	* sphinx/new_style_signals_slots.rst:
	Updated the docs to include pyqtBoundSignal.signal.
	[8c104981eac8] <4.9-maint>

	* NEWS, qpy/QtCore/qpycore_post_init.cpp,
	qpy/QtCore/qpycore_pyqtboundsignal.cpp:
	Exposed the pyqtBoundSignal type object. Added the signal attribute
	to pyqtBoundSignal.
	[3bcd95f8b338] <4.9-maint>

	* NEWS, qpy/QtCore/qpynullvariant.sip, sphinx/incompatibilities.rst:
	Implemented QPyNullVariant.__bool__() to always return False thereby
	mimicing the behaviour of None.
	[35a14a51d331] <4.9-maint>

2012-04-17  Phil Thompson  <phil@riverbankcomputing.com>

	* qpy/QtCore/qpycore_pyqtproxy.cpp:
	Refactored PyQtProxy so that an instance is only deleted when the
	slot has finished executing and when there are no pending queued
	signals (even after all signals have been disconnected).
	[b656a91810b6] <4.9-maint>

2012-04-16  Phil Thompson  <phil@riverbankcomputing.com>

	* pyuic/uic/Loader/loader.py, pyuic/uic/Loader/qobjectcreator.py,
	pyuic/uic/__init__.py, sphinx/designer.rst:
	Added the package argument to uic.loadUi() which is required to
	specify the base package for any relative imports of custom widgets.
	[f03a8a04d68d] <4.9-maint>

2012-04-14  Phil Thompson  <phil@riverbankcomputing.com>

	* dbus/dbus.cpp, dbus/helper.h:
	Fixed the dbus.mainloop.qt module when a connection is unexpectedly
	broken.
	[7a93395c2cec] <4.9-maint>

	* pyuic/uic/Loader/qobjectcreator.py:
	Improved a pyuic exception when dynamically loading a .ui file that
	tried to import a custom widget from a non-existent module.
	[ec219159004e] <4.9-maint>

	* Makefile:
	Switched the Makefile back to building all modules.
	[7ed34b68bdbe] <4.9-maint>

	* Makefile, qpy/QtCore/qpycore_pyqtboundsignal.cpp:
	Replaced the Q_ASSERT with an exception when trying to emit a signal
	that was not defined in the main (left hand) super-class branch.
	This situation can arise for C when it inherits from A and B and
	both A and B inherit from QObject.
	[61207962459d] <4.9-maint>

	* lib/SubclassCode/QtGui.versions:
	Updated the QtGui sub-class code for Qt5.
	[a04767e0aebb] <4.9-maint>

	* PyQt4.msp:
	Initial QtGui changes for Qt5.
	[1c7a59ad8b1f] <4.9-maint>

2012-04-05  Phil Thompson  <phil@riverbankcomputing.com>

	* Makefile, PyQt4.msp:
	QtCore now builds against Qt5.
	[ed1e8b9e9c65] <4.9-maint>

	* Makefile, PyQt4.msp, lib/configure.py,
	qpy/QtCore/qpycore_sip_helpers.cpp:
	Most of QtCore will now build against Qt5.
	[1f3d558c9e6a] <4.9-maint>

2012-04-04  Phil Thompson  <phil@riverbankcomputing.com>

	* Makefile, lib/configure.py:
	configure.py changes for Qt v5.
	[28484a7e6d7f] <4.9-maint>

	* Makefile, PyQt4.msp, doc/pyqtdoc/PyQt4.xfm, installers/PyQt-gpl.nsi:
	Updated the metasip project for Qt v4.8.1.
	[060c249a0d11] <4.9-maint>

2012-04-03  Phil Thompson  <phil@riverbankcomputing.com>

	* PyQt4.msp:
	qRegisterDraggedTypes() was added to Qt v4.5, not v4.2.
	[ee1d90e822b1] <4.9-maint>

2012-04-02  Phil Thompson  <phil@riverbankcomputing.com>

	* lib/configure.py:
	Fixed a configure.py bug on OS/X when the Designer plugin cannot be
	built.
	[ede0bc2d4b72] <4.9-maint>

2012-03-29  Phil Thompson  <phil@riverbankcomputing.com>

	* qpy/QtCore/qpycore_qobject_helpers.cpp:
	Raise an exception (to avoid a seg fault) when accessing
	staticMetaObject before the type is fully complete.
	[68f3058fbc4c] <4.9-maint>

2012-03-23  Phil Thompson  <phil@riverbankcomputing.com>

	* qpy/QtDBus/qpydbuspendingreply.sip, qpy/QtDBus/qpydbusreply.sip:
	Fixed a build problem with QtDBus and versions of Qt prior to v4.7.
	[7df26c475ead] <4.9-maint>

2012-03-20  Phil Thompson  <phil@riverbankcomputing.com>

	* pyuic/uic/Compiler/proxy_metaclass.py,
	pyuic/uic/Compiler/proxy_type.py, pyuic/uic/Compiler/qtproxies.py,
	pyuic/uic/icon_cache.py, pyuic/uic/objcreator.py,
	pyuic/uic/port_v2/proxy_base.py, pyuic/uic/port_v3/proxy_base.py:
	Added support for themed icons to pyuic.
	[72848d9b3dbe] <4.9-maint>

2012-03-19  Phil Thompson  <phil@riverbankcomputing.com>

	* lib/LICENSE.GPL2, lib/LICENSE.GPL3, lib/LICENSE.commercial.short,
	lib/LICENSE.gpl.short, lib/LICENSE.internal, pyqtdoc/renderer.py:
	Updated the year on various copyright statements.
	[4f809ce4996d] <4.9-maint>

	* qpy/QtDeclarative/qpydeclarative_chimera_helpers.cpp:
	An empty list is never considered as an empty QList<QObject *>.
	[b85b470e0068] <4.9-maint>

2012-03-09  Phil Thompson  <phil@riverbankcomputing.com>

	* lib/configure.py:
	Fixed the building of the Designer plugin on OS/X where the version
	of the Python framework is not Current.
	[b99fb4a42763] <4.9-maint>

	* designer/pluginloader.cpp, qpy/QtCore/qpycore_qstring.cpp:
	Unicode updates for Python v3.3.
	[ecbd491fecf7] <4.9-maint>

	* lib/configure.py:
	Fixed the previous fix.
	[8494fbc574b6] <4.9-maint>

	* lib/configure.py:
	Updated the handling of sys.platform for Python v3.3.
	[87233a0582d6] <4.9-maint>

2012-02-19  Phil Thompson  <phil@riverbankcomputing.com>

	* PyQt4.msp:
	Renamed QFtp.Command.None to QFtp.Command.None_.
	[2b3d99e784b3] <4.9-maint>

	* examples/demos/qtdemo/xml/examples.xml,
	examples/demos/spreadsheet/images/interview.png,
	examples/demos/spreadsheet/printview.py,
	examples/demos/spreadsheet/spreadsheet.py,
	examples/demos/spreadsheet/spreadsheet.qrc,
	examples/demos/spreadsheet/spreadsheetdelegate.py,
	examples/demos/spreadsheet/spreadsheetitem.py,
	examples/demos/spreadsheet/util.py:
	Added the Spreadsheet example from Hans-Peter Jansen.
	[43b0b35e9a06] <4.9-maint>

2012-02-10  Phil Thompson  <phil@riverbankcomputing.com>

	* .hgtags:
	Added tag 4.9.1 for changeset f293b05df72f
	[81387c2d1828] <4.9-maint>

	* NEWS:
	Updated the NEWS file. Released as v4.9.1.
	[f293b05df72f] [4.9.1] <4.9-maint>

2012-02-09  Phil Thompson  <phil@riverbankcomputing.com>

	* PyQt4.msp:
	Added the missing QPixmap.HBitmapFormat.Alpha.
	[309fffc3b4af] <4.9-maint>

2012-01-29  Phil Thompson  <phil@riverbankcomputing.com>

	* dbus/dbus.cpp:
	Fixed the previous dbus change for Python v3.
	[83ed847d0273] <4.9-maint>

2012-01-27  Phil Thompson  <phil@riverbankcomputing.com>

	* PyQt4.msp:
	Fixed QPainterPathStroker.setDashPattern() so that it uses qreal
	rather than double.
	[0f6a0ac446f2] <4.9-maint>

	* dbus/dbus.cpp, lib/configure.py:
	Initial support for the Python v3 version of the standard DBus
	Python bindings.
	[8012ed2db538] <4.9-maint>

2012-01-26  Phil Thompson  <phil@riverbankcomputing.com>

	* PyQt4.msp:
	No longer track QGraphicsScene instances as they must outlive
	QGraphicsScene instances and the (newer) /KeepReference/ annotation
	will ensure that.
	[fa66c1118a9c] <4.9-maint>

	* pyuic/uic/icon_cache.py:
	Fixed a pyuic bug where it fails to handle an empty iconset.
	[8565ecd48610] <4.9-maint>

2012-01-05  Phil Thompson  <phil@riverbankcomputing.com>

	* PyQt4.msp:
	QPainter can now be used as a context manager.
	[602cb9ca8a0c] <4.9-maint>

2012-01-04  Phil Thompson  <phil@riverbankcomputing.com>

	* PyQt4.msp:
	Fixed the annotation on QGestureRecognizer::create().
	[567bf81de1e5] <4.9-maint>

	* PyQt4.msp:
	qRegisterDraggedTypes() is OS/X specific.
	[f957ca49dea7] <4.9-maint>

	* designer/pluginloader.cpp:
	The Designer plugin loader now imports PyQt4.QtDesigner after the
	first plugin to allow the plugin to change the API version. (Thanks
	to Fabian Knittel.) Plugins are now loaded in alphabetical order.
	[3fb14926126d] <4.9-maint>

	* PyQt4.msp:
	Removed all definitions of the internal doItemsLayout().
	[8a8ba843c589] <4.9-maint>

2011-12-29  Phil Thompson  <phil@riverbankcomputing.com>

	* lib/configure.py:
	Try and build QtDBus on Windows as well, just in case this gets
	properly supported one day.
	[3264a745e75b] <4.9-maint>

2011-12-27  Phil Thompson  <phil@riverbankcomputing.com>

	* PyQt4.msp:
	Added support for QMacPasteboardMime.
	[82b7a4fceccf] <4.9-maint>

2011-12-22  Phil Thompson  <phil@riverbankcomputing.com>

	* .hgtags:
	Added tag 4.9 for changeset f8a6c3596673
	[11a8b148350e]

	* NEWS:
	Released as v4.9.
	[f8a6c3596673] [4.9]

2011-12-19  Phil Thompson  <phil@riverbankcomputing.com>

	* PyQt4.msp:
	Fixed %PickleCode for QByteArray for Python v3.
	[189b39e6b6c3]

2011-12-18  Phil Thompson  <phil@riverbankcomputing.com>

	* PyQt4.msp, installers/BuildGPL.txt, installers/PyQt-gpl.nsi,
	installers/pyqt-check.py, qpy/QtCore/qpycore_chimera.cpp,
	qpy/QtOpenGL/qpyopengl_uniform_value_array.cpp:
	Various fixes for building the GPL version on Windows with Python
	v2.5.
	[b00ee70180ed]

2011-12-17  Phil Thompson  <phil@riverbankcomputing.com>

	* NEWS, PyQt4.msp:
	Completed the support for QPainter.drawPixmapFragments().
	[1cac12f7b6d3]

	* PyQt4.msp:
	Updated for Qt v4.8.0.
	[e3e889747995]

2011-12-10  Phil Thompson  <phil@riverbankcomputing.com>

	* pyuic/uic/uiparser.py:
	pyuic4 now makes sure that a module implementing a resource file is
	only imported once.
	[86ab82ddf2a6]

	* pyuic/uic/Compiler/qtproxies.py:
	Fixed a regression in the handling of translated strings by pyuic4.
	[34ab56e97c27]

2011-12-05  Phil Thompson  <phil@riverbankcomputing.com>

	* PyQt4.msp:
	Added a QDBusArgument ctor that does an implicit add().
	QDBusArgument now handles QStringList explicitly so that it can be
	used with QString v2 API.
	[aea28dc027e5]

2011-12-04  Phil Thompson  <phil@riverbankcomputing.com>

	* doc/pyqtdoc/qdbusargument.html#details:
	Updated the documentation for QDBusArgument.
	[512e7813ed74]

	* PyQt4.msp:
	Renamed QDBusArgument.write() to add().
	[a1d5330f0b16]

2011-12-03  Phil Thompson  <phil@riverbankcomputing.com>

	* PyQt4.msp:
	Fixed problems building QtDBus when not using concatanation.
	[65564eb2fcf4]

2011-12-02  Phil Thompson  <phil@riverbankcomputing.com>

	* PyQt4.msp:
	Changed QDBusArgument.write() to use a QMetaType.Type to specify the
	integer sub-type to be consistent with beginArray() and beginMap().
	[a9d455da47d1]

	* PyQt4.msp:
	Implemented QDBusArgument.write().
	[ce07595ee6d3]

	* qpy/QtDBus/qpydbus_chimera_helpers.cpp:
	DBus dicts are now demarshalled to Python dicts.
	[7651d4278945]

	* qpy/QtDBus/qpydbus_chimera_helpers.cpp:
	QDBusObjectPath, QDBusSignal and QDBusVariant instances are now
	demarshalled automatically. DBus structures are now demarshalled to
	tuples.
	[28ca12b5e1ca]

2011-11-30  Phil Thompson  <phil@riverbankcomputing.com>

	* qpy/QtDBus/qpydbus_chimera_helpers.cpp:
	Added support for demarshalling DBus basic types, variants and
	arrays.
	[ee8b9c7eb565]

	* qpy/QtDBus/qpydbus.pro, qpy/QtDBus/qpydbus_chimera_helpers.cpp:
	Fixed build problems with the internal QtDBus support library.
	[63fbff430ec2]

	* PyQt4.msp:
	Added the missing cornerWidget() and setCornerWidget() methods to
	QMenuBar.
	[89d8df1a429b]

	* PyQt4.msp, qpy/QtDBus/qpydbus.pro, qpy/QtDBus/qpydbus_api.h,
	qpy/QtDBus/qpydbus_chimera_helpers.cpp,
	qpy/QtDBus/qpydbus_chimera_helpers.h,
	qpy/QtDBus/qpydbus_post_init.cpp,
	qpy/QtDeclarative/qpydeclarative_chimera_helpers.h:
	Added the QDBusObjectPath, QDBusSignature and QDBusVariant classes.
	Added the QDBusArgument class with stubs for the marshalling
	methods. Added the stubs for automatically demarshalling a
	QDBusArgument.
	[92eed912c78c]

2011-11-29  Phil Thompson  <phil@riverbankcomputing.com>

	* qpy/QtCore/qpycore_chimera.cpp, qpy/QtCore/qpycore_chimera.h,
	qpy/QtCore/qpycore_init.cpp, qpy/QtDeclarative/qpydeclarative.pro,
	qpy/QtDeclarative/qpydeclarative_chimera_helpers.cpp,
	qpy/QtDeclarative/qpydeclarative_chimera_helpers.h,
	qpy/QtDeclarative/qpydeclarative_post_init.cpp:
	Implemented an internal API for extending the QVariant to/from
	PyObject conversions in sub-modules. Refactored QtDeclarative to use
	the new API.
	[8b83a180ea1a]

	* PyQt4.msp:
	Fixed the QtDBus module header file version numbers.
	[0af46bb95018]

	* sphinx/incompatibilities.rst:
	Fixed a couple of documentation typos.
	[fe3c6efbb8bf]

	* PyQt4.msp:
	Changes required for the const fix in the latest SIP.
	[7d46ebfee711]

2011-11-28  Phil Thompson  <phil@riverbankcomputing.com>

	* PyQt4.msp, lib/SubclassCode/QtGui.versions,
	lib/SubclassCode/mksccode.py:
	The sub-class convertor code generator now handles platform specific
	classes. Fixed the QtGui QObject sub-class convertor code.
	[e824094192b0]

	* lib/configure.py:
	Support for sys.platform being 'linux3'.
	[b589cda444dd]

2011-11-24  Phil Thompson  <phil@riverbankcomputing.com>

	* Makefile, qpy/QtCore/qpycore_pyqtconfigure.cpp:
	Properly fixed pyqtConfigure() for QVariant properties.
	[e8284ed41e49]

	* qpy/QtCore/qpycore_chimera.cpp, qpy/QtCore/qpycore_chimera.h,
	qpy/QtCore/qpycore_pyqtconfigure.cpp:
	Backed out changeset 1554 as it breaks (eg.) QAction's shortcut
	property.
	[9219004556d5]

2011-11-23  Phil Thompson  <phil@riverbankcomputing.com>

	* Makefile, lib/configure.py:
	Fixed the problem building a debug version on OS/X. The main
	Makefile is now portable between OS/X and Linux build environments.
	[3d2da74db8a9]

2011-11-22  Phil Thompson  <phil@riverbankcomputing.com>

	* PyQt4.msp:
	Added some missing declarations of private reimplementations of
	virtuals.
	[5af94bf8cca7]

2011-11-19  Phil Thompson  <phil@riverbankcomputing.com>

	* examples/dbus/remotecontrolledcar/car/car.py,
	examples/dbus/remotecontrolledcar/controller/controller.py:
	Tweaks to the remotecontrolledcar example.
	[43be96e17a4d]

2011-11-18  Phil Thompson  <phil@riverbankcomputing.com>

	* NEWS, examples/dbus/chat/chat.py,
	examples/dbus/remotecontrolledcar/car/car.py,
	examples/dbus/remotecontrolledcar/controller/controller.py,
	examples/dbus/remotecontrolledcar/controller/controller.ui,
	examples/dbus/remotecontrolledcar/controller/ui_controller.py:
	Added the remotecontrolledcar DBus example.
	[256a44f5cdb7]

	* Makefile, NEWS, doc/pyqtdoc/qtdbus.html#details,
	pyqtdoc/renderer.py, sphinx/dbus.rst, sphinx/introduction.rst:
	Added the QtDBus documentation.
	[34ac6f55d0fd]

	* build.py, lib/pyqtconfig.py.in, sphinx/build_system.rst:
	Added the QtDBusModuleMakefile to the build system.
	[1cd50b3c3073]

2011-11-17  Phil Thompson  <phil@riverbankcomputing.com>

	* qpy/QtOpenGL/qpyopengl_attribute_array.cpp,
	qpy/QtOpenGL/qpyopengl_uniform_value_array.cpp:
	Fixes for building under Python v3.
	[f8c4558189c4]

	* Makefile, PyQt4.msp:
	Added the sub-class convertor code for the QtDBus module.
	[4af996c32961]

	* PyQt4.msp:
	Implemented QDBusServiceWatcher and QDBusUnixFileDescriptor.
	[459332778d9c]

	* qpy/QtDBus/qpydbusreply.cpp, qpy/QtDBus/qpydbusreply.h,
	qpy/QtDBus/qpydbusreply.sip:
	Completed the implementation of QDBusReply.
	[a6850b1261df]

	* qpy/QtDBus/qpydbus.pro, qpy/QtDBus/qpydbuspendingreply.cpp,
	qpy/QtDBus/qpydbuspendingreply.h,
	qpy/QtDBus/qpydbuspendingreply.sip:
	Added QtDBusPendingReply.
	[7814c130f69c]

2011-11-16  Phil Thompson  <phil@riverbankcomputing.com>

	* Makefile, PyQt4.msp, qpy/QtDBus/qpydbusreply.cpp,
	qpy/QtDBus/qpydbusreply.h, qpy/QtDBus/qpydbusreply.sip:
	QDBusReply.value() now supports an optional 'type' argument (similar
	to QSettings.value()).
	[b77423c56396]

	* Makefile, PyQt4.msp, qpy/QtCore/qpycore.pro,
	qpy/QtCore/qpycore_api.h, qpy/QtCore/qpycore_init.cpp,
	qpy/QtCore/qpycore_qsettings_value.cpp,
	qpy/QtCore/qpycore_qvariant_value.cpp, qpy/QtCore/qpycore_shared.h:
	Refactored the support for QSettings.value() so that the approach
	can be reused elsewhere.
	[07c138268dd2]

2011-11-15  Phil Thompson  <phil@riverbankcomputing.com>

	* examples/dbus/pingpong/ping.py, examples/dbus/pingpong/pong.py,
	qpy/QtDBus/qpydbusreply.cpp, qpy/QtDBus/qpydbusreply.h:
	QDBusReply instances can now be created from QDBusMessage instances.
	Added the pingpong DBus example.
	[2574ef349195]

	* Makefile, PyQt4.msp, lib/configure.py, qpy/QtDBus/qpydbusreply.sip:
	Completed the implementation of QDBusConnectionInterface.
	[d29e9c53bb99]

	* PyQt4.msp:
	Completed the implementation of QDBusAbstractInterface.
	[3817a84d1f7d]

	* Makefile, PyQt4.msp:
	Completed the support for QDBusConnection.
	[7cba9e4ecb49]

2011-11-10  Phil Thompson  <phil@riverbankcomputing.com>

	* Makefile, PyQt4.msp:
	Implemented the remaining easy parts of QDBusConnectionInterface.
	[09bea80c6d27]

	* Makefile, PyQt4.msp:
	Implemented the remaining easy parts of QDBusConnection.
	[256e813d7aa8]

	* PyQt4.msp, examples/dbus/chat/chat.py, qpy/QtCore/qpycore_init.cpp,
	qpy/QtCore/qpycore_pyqtslot.cpp, qpy/QtCore/qpycore_shared.h:
	Added QDBusConnection.connect() overload used by the chat.py
	example.
	[81c86552f260]

2011-11-09  Phil Thompson  <phil@riverbankcomputing.com>

	* qpy/QtCore/qpycore_classinfo.cpp, qpy/QtCore/qpycore_classinfo.h:
	Added the missing Q_CLASSINFO implementation files to hg.
	[d327351899e9]

	* PyQt4.msp, examples/dbus/chat/chat.py:
	Completed the implementation of the chat.py example (though not yet
	using the same connection sytax as the C++ version).
	[d2b521de47a8]

	* PyQt4.msp, examples/dbus/chat/chat.py:
	Ported a bit more of the chat.py example.
	[29f1055846b0]

	* PyQt4.msp, examples/dbus/chat/chat.py, qpy/QtCore/qpycore.pro,
	qpy/QtCore/qpycore_api.h, qpy/QtCore/qpycore_types.cpp:
	Completed the implementation of QtCore.Q_CLASSINFO().
	[3229fd6d4c92]

	* PyQt4.msp, examples/dbus/chat/chat.py:
	Added the Q_CLASSINFO() stub.
	[2efabc06a7d8]

2011-11-08  Phil Thompson  <phil@riverbankcomputing.com>

	* Makefile, examples/dbus/chat/chat.py,
	examples/dbus/chat/chatmainwindow.ui,
	examples/dbus/chat/chatsetnickname.ui,
	examples/dbus/chat/ui_chatmainwindow.py,
	examples/dbus/chat/ui_chatsetnickname.py:
	Added the start of the chat.py DBus example.
	[d9bfe569854a]

	* Makefile, qpy/QtDBus/qpydbusreply.cpp, qpy/QtDBus/qpydbusreply.h,
	qpy/QtDBus/qpydbusreply.sip:
	Fixed the GIL for QPyDBusReply. Added the copy ctor for
	QPyDBusReply.
	[7e4361f52744]

	* qpy/QtOpenGL/qpyopengl_attribute_array.cpp:
	Backed out the change to the QGLShaderProgram.setAttributeArray()
	helper as it introduces a bug (in Python v2.6 and earlier) whereas
	the original was correct.
	[0bf9f9872be5]

2011-11-07  Phil Thompson  <phil@riverbankcomputing.com>

	* PyQt4.msp, examples/dbus/listnames.py, lib/configure.py,
	qpy/QtDBus/qpydbus.pro, qpy/QtDBus/qpydbusreply.cpp,
	qpy/QtDBus/qpydbusreply.h, qpy/QtDBus/qpydbusreply.sip:
	Implemented enough of the QtDBus module to support the listnames.py
	example.
	[cf69468dba00]

2011-11-05  Phil Thompson  <phil@riverbankcomputing.com>

	* PyQt4.msp:
	Completed to QtGui updates for Qt v4.8.0rc1.
	[ed449d9adff7]

	* PyQt4.msp:
	Updated the sub-class convertor code for QObject in QtGui.
	[e7a4f9f75ad8]

	* PyQt4.msp, lib/SubclassCode/QtGui.versions:
	Updated the first half of QtGui for Qt v4.8.0rc1.
	[0cadf9149173]

2011-11-04  Phil Thompson  <phil@riverbankcomputing.com>

	* PyQt4.msp, qpy/QtOpenGL/qpyopengl_api.h,
	qpy/QtOpenGL/qpyopengl_uniform_value_array.cpp:
	Completed the implementation of
	QGLShaderProgram.setUniformValueArray().
	[e1b10bc36bf1]

2011-11-03  Phil Thompson  <phil@riverbankcomputing.com>

	* qpy/QtOpenGL/qpyopengl.pro, qpy/QtOpenGL/qpyopengl_api.h,
	qpy/QtOpenGL/qpyopengl_attribute_array.cpp,
	qpy/QtOpenGL/qpyopengl_uniform_value_array.cpp:
	Added the helper for QGLShader.setUniformValueArray().
	[fb7bb12b65c7]

	* PyQt4.msp:
	Completed the QtCore support for Qt v4.8.0rc1.
	[f28f97fec2ba]

2011-11-01  Phil Thompson  <phil@riverbankcomputing.com>

	* PyQt4.msp:
	Updated the first half of QtCore for Qt v4.8.0rc1.
	[452ae420dd46]

	* PyQt4.msp, lib/SubclassCode/QtNetwork.versions:
	Updated QtNetwork for Qt v4.8.0rc1 (except for one TODO).
	[deb6d08bb8bc]

	* PyQt4.msp, lib/configure.py, qpy/QtOpenGL/opengl_types.sip:
	Reverted the support for QGLFunctions in Qt v4.8.0rc1 as it isn't
	sophisticated enough to replace PyOpenGL.
	[934f5555ce16]

2011-10-31  Phil Thompson  <phil@riverbankcomputing.com>

	* PyQt4.msp, lib/configure.py, qpy/QtOpenGL/opengl_types.sip:
	A first cut through the QtOpenGL changes for Qt v4.8.0rc1.
	[4e4a7415a211]

	* PyQt4.msp:
	Updated QtWebKit for Qt v4.8.0rc1 (except for a couple of things
	whose status may change before the final release).
	[7ca83083a01e]

	* PyQt4.msp:
	Updated QtHelp for Qt v4.8.0rc1.
	[60026a1e47b2]

	* PyQt4.msp:
	Updated QtTest for Qt v4.8.0rc1.
	[084c25ccf2fc]

	* PyQt4.msp:
	Updated QtSql for Qt v4.8.0rc1.
	[c150249bb91f]

	* PyQt4.msp:
	Dealt with all the new .h files in Qt v4.8.0rc1.
	[eb6134f7a7f4]

	* PyQt4.msp:
	Scanned the header directories of Qt v4.8.0rc1.
	[22d519818725]

2011-10-30  Phil Thompson  <phil@riverbankcomputing.com>

	* build.py:
	metasip is now called msip.
	[119dee8b2525]

	* .hgtags, Makefile, NEWS, PyQt4.msp, doc/pyqtdoc/PyQt4.xfm,
	lib/configure.py, qpy/QtOpenGL/qpyopengl_attribute_array.cpp:
	Fixes to build against Qt v4.8.0 (for OS/X at least). Updated the
	build system for Qt v4.8.0.
	[b29fc7106cb9]

2011-10-29  Phil Thompson  <phil@riverbankcomputing.com>

	* doc/pyqt4ref.txt, lib/LICENSE-MERGED-GPL2-GPL3, lib/mksccode.py,
	pyuic/LICENSE, test/sigslots/double_disable.py,
	test/sigslots/form4.ui, test/sigslots/sample-main.py, test/sigslots
	/sample-thread.py, test/sigslots/signalsignal.py,
	test/sigslots/sigsig2.py, test/sigslots/slottypes.py,
	test/sigslots/timer_leak.py, test/test_StandardKey.py,
	test/test_findChildren.py, test/test_gc_thread.py,
	test/test_pickle.py, test/test_postEvent.py,
	test/test_virtual_operators.py, test/tests/pyuic/test_loadUiType.py,
	test/tests/pyuic/ui/simple.ui:
	Merged the v4.8 branch into the trunk.
	[ffc1822f6ff7]

2011-10-24  Phil Thompson  <phil@riverbankcomputing.com>

	* .hgtags:
	Added tag 4.8.6 for changeset 18d40472293e
	[35f6bb2812bd] <4.8-maint>

	* Makefile, NEWS:
	Released as v4.8.6.
	[18d40472293e] [4.8.6] <4.8-maint>

2011-10-10  Phil Thompson  <phil@riverbankcomputing.com>

	* qpy/QtCore/qpycore_chimera.cpp, qpy/QtCore/qpycore_chimera.h,
	qpy/QtCore/qpycore_pyqtconfigure.cpp:
	Fixed the setting of properties using keyword arguments when the
	type of the property is QVariant.
	[67a20677a936] <4.8-maint>

2011-10-07  Phil Thompson  <phil@riverbankcomputing.com>

	* PyQt4.msp:
	Fixed the QLayoutItem sub-class convertor code.
	[29f302970b82] <4.8-maint>

2011-10-06  Phil Thompson  <phil@riverbankcomputing.com>

	* NEWS:
	Updated the NEWS file.
	[03226caad3fb] <4.8-maint>

	* PyQt4.msp:
	QAbstractFileEngine.beginEntryList() was added to Qt v4.3.
	[94dc8f29ac57] <4.8-maint>

2011-09-13  Phil Thompson  <phil@riverbankcomputing.com>

	* Makefile, qpy/QtCore/qpycore_pyqtproxy.cpp:
	Made sure that PyQtProxy instances are always deleted in the correct
	thread.
	[4726879563e5] <4.8-maint>

2011-09-02  Phil Thompson  <phil@riverbankcomputing.com>

	* Makefile, PyQt4.msp, doc/pyqtdoc/PyQt4.xfm, installers/PyQt-gpl.nsi:
	Updated for Qt v4.7.4.
	[501237dfc183] <4.8-maint>

	* qpy/QtCore/qpycore_pyqtproxy.cpp, qpy/QtCore/qpycore_pyqtproxy.h,
	qpy/QtCore/qpycore_qobject_helpers.cpp:
	The result from QObject::sender() will now not be qobject_cast() to
	a short-circuit signal unless short-circuit signals are actually in
	use.
	[b6792225f0b7] <4.8-maint>

	* qpy/QtCore/qpycore_qsettings_value.cpp:
	When QSettings.value() reads an invalid QVariant (eg. after writing
	an empty list) then it will call the type keyword argument (if
	given) to create an instance of the requested type (eg. an empty
	list).
	[325ee738d2ae] <4.8-maint>

2011-08-30  Phil Thompson  <phil@riverbankcomputing.com>

	* PyQt4.msp:
	Made sure that QObject::sender() is never called with the GIL.
	[2867ad3ae2e0] <4.8-maint>

2011-08-25  Phil Thompson  <phil@riverbankcomputing.com>

	* PyQt4.msp:
	Fixed a memory leak in QObject.findChild().
	[e6842fdef3f9] <4.8-maint>

	* lib/configure.py:
	The qtdirs.cpp program generated by configure.py now creates a
	QCoreApplication instance so that any qt.conf file is taken into
	account.
	[60212b09b4c4] <4.8-maint>

2011-08-02  Phil Thompson  <phil@riverbankcomputing.com>

	* .hgtags:
	Added tag 4.8.5 for changeset 4eca6e428cc6
	[8411290f16ee] <4.8-maint>

	* NEWS:
	Released as v4.8.5.
	[4eca6e428cc6] [4.8.5] <4.8-maint>

2011-07-29  Phil Thompson  <phil@riverbankcomputing.com>

	* pyuic/uic/Compiler/qtproxies.py, pyuic/uic/properties.py:
	pyuic now sets the cursor for the viewport of a scroll area rather
	than the scroll area itself.
	[cb6f8462472d] <4.8-maint>

	* pyuic/uic/properties.py:
	pyuic now handles cursor shapes properly when passed to
	setProperty().
	[254546c3721e] <4.8-maint>

	* pyuic/uic/Compiler/qtproxies.py:
	pyuic no longer encodes the name of a property when calling
	setProperty().
	[2f929d6f4732] <4.8-maint>

	* examples/activeqt/webbrowser/webbrowser.py:
	Fixed a syntax error in the webbrowser.py example.
	[5a33bfe6f7ac] <4.8-maint>

	* pyuic/uic/Compiler/qtproxies.py, pyuic/uic/uiparser.py,
	test/tests/pyuic/QWidget/Widget05.ui:
	pyuic fixes for QTreeWidgetItem.
	[fee63a088396] <4.8-maint>

	* pyuic/uic/properties.py:
	pyuic now sets font properties in the same order as uic (just in
	case it makes a difference).
	[ad519dee0410] <4.8-maint>

2011-07-28  Phil Thompson  <phil@riverbankcomputing.com>

	* pyuic/uic/Compiler/qtproxies.py, pyuic/uic/uiparser.py,
	test/tests/pyuic/QWidget/Widget04.ui:
	Similar pyuic fixes for QListWidget.
	[7f3ac1d91b9b] <4.8-maint>

	* pyuic/uic/properties.py, pyuic/uic/uiparser.py,
	test/tests/pyuic/QWidget/Widget03.ui,
	test/tests/pyuic/test_pyuic.py:
	Fixed a couple of bugs in the QTableWidget fixes. Added the
	QTableWidget test case.
	[4f5bab56b4ae] <4.8-maint>

	* pyuic/uic/Compiler/qtproxies.py, pyuic/uic/uiparser.py:
	pyuic now supports all QTableWidgetItem properties.
	[8a223d455098] <4.8-maint>

	* pyuic/uic/uiparser.py:
	pyuic no longer sets calculated row and column counts for
	QTableWidget if they have been set explicitly.
	[97814780c8fe] <4.8-maint>

	* pyuic/uic/properties.py:
	pyuic now handles the kerning and style strategy of fonts.
	[66a52b54b333] <4.8-maint>

	* Makefile, NEWS, PyQt4.msp:
	Added support for Q_IPV6ADDR.
	[457cb1b0d7e6] <4.8-maint>

2011-06-24  Phil Thompson  <phil@riverbankcomputing.com>

	* Makefile, pylupdate/fetchtr.cpp:
	Fixed pylupdate4 so that it handles (by ignoring) the standard
	Python string literal prefixes.
	[a9b83eac34c4] <4.8-maint>

2011-06-13  Phil Thompson  <phil@riverbankcomputing.com>

	* Makefile, build.py:
	Fixed the internal build system for MacOS as the development
	platform.
	[7598c7a759f6] <4.8-maint>

2011-06-07  Phil Thompson  <phil@riverbankcomputing.com>

	* Makefile, PyQt4.msp:
	Fixed the pre- and post-hooks for all exec() methods for Python v3.
	[d01847f40748] <4.8-maint>

2011-06-06  Phil Thompson  <phil@riverbankcomputing.com>

	* installers/pyqt-check.py:
	Added checks for image formats to pyqt-check.py.
	[b863a334ea62] <4.8-maint>

2011-06-04  Phil Thompson  <phil@riverbankcomputing.com>

	* qpy/QtCore/qpycore_pyqtpyobject.cpp:
	Third thoughts about the printing of the traceback on the pickling
	failure.
	[b5deb25a693d] <4.8-maint>

	* qpy/QtCore/qpycore_pyqtpyobject.cpp:
	Backed out changeset 45ce710ff4ee It's not clear how common the
	circumstances are that the changeset fixes, so back it out in case
	it is very common (and benign).
	[a06b73188df9] <4.8-maint>

	* qpy/QtCore/qpycore_pyqtpyobject.cpp:
	Print a traceback if the pickling of a PyQt_PyObject fails.
	[45ce710ff4ee] <4.8-maint>

2011-06-03  Phil Thompson  <phil@riverbankcomputing.com>

	* pyuic/uic/Compiler/qtproxies.py:
	pyuic fixes for all QDialog sub-classes that define enums.
	[8c5ccf68cc32] <4.8-maint>

2011-05-24  Phil Thompson  <phil@riverbankcomputing.com>

	* PyQt4.msp:
	Added the missing QAbstractFileEngine.beginEntryList(). Added the
	(now required) /Supertype/ annotation to
	QAbstractFileEngineIterator.
	[c10f1319b2cc] <4.8-maint>

2011-05-16  Phil Thompson  <phil@riverbankcomputing.com>

	* build.py, doc/pyqtdoc/PyQt4.xfm, installers/BuildGPL.txt, installers
	/PyQt-gpl.nsi:
	Updated the build instructions for the latest MySQL version and to
	include the compiler installation and configuration. Updated the
	documentation and installer for Qt v4.7.3. Automatically generate
	the merged GPL license for the installer.
	[4bd2045a6bc8] <4.8-maint>

2011-05-15  Phil Thompson  <phil@riverbankcomputing.com>

	* pyqtdoc/xform.py:
	Fixed the documentation builder so that it will run under Python
	v2.6.
	[581427363f63] <4.8-maint>

2011-05-13  Phil Thompson  <phil@riverbankcomputing.com>

	* build.py, lib/LICENSE-MERGED-GPL2-GPL3, lib/LICENSE.gpl.short:
	Removed some out of date links from the license information. Removed
	a redundant license file.
	[288c330edfb1] <4.8-maint>

2011-05-11  Phil Thompson  <phil@riverbankcomputing.com>

	* PyQt4.msp:
	Removed an incorrect /Transfer/ from QAbstractSpinBox.lineEdit().
	[d2944e0c5f07] <4.8-maint>

2011-05-10  Phil Thompson  <phil@riverbankcomputing.com>

	* qpy/QtCore/qpycore_chimera.cpp, test/tests/classes/test_QVariant.py:
	Fixed a bug converting from a QVariant containing a UInt with the
	high bit set on systems where sizeof (int) == sizeof (long).
	[4b711e1aa672] <4.8-maint>

	* pyuic/uic/objcreator.py:
	pyuic now opens plugins using universal newlines.
	[529530a7a12e] <4.8-maint>

	* Makefile, PyQt4.msp:
	Updated for Qt v4.7.3.
	[0bda5008e28c] <4.8-maint>

2011-05-01  Phil Thompson  <phil@riverbankcomputing.com>

	* .hgtags:
	Added tag 4.8.4 for changeset 029a580e7fd0
	[1ffa469394c5] <4.8-maint>

	* NEWS:
	Released as v4.8.4.
	[029a580e7fd0] [4.8.4] <4.8-maint>

	* doc/pyqtdoc/qtsql.html#details, doc/pyqtdoc/qtxml.html#details,
	pyqtdoc/xform.py:
	Backed out the changes to the summary documentation now we that we
	have a better understanding of the problem. Fixed the documentation
	generator so that it doesn't choke on HTML entities that are mapped
	to non-ASCII strings.
	[94bccd75f0cc] <4.8-maint>

	* pyqtdoc/xform.py:
	Fixed a problem with the documentation generator caused by a change
	in the Qt docs HTML structure.
	[623214152b29] <4.8-maint>

2011-04-30  Phil Thompson  <phil@riverbankcomputing.com>

	* NEWS:
	Updated the NEWS file.
	[091c062de20b] <4.8-maint>

	* doc/pyqtdoc/qtsql.html#details, doc/pyqtdoc/qtxml.html#details:
	Fixed the summary documentation as the version of Python included
	with the latest Ubuntu seems to have problems xmlcharrefreplace.
	[96ddd757d5cf] <4.8-maint>

	* sphinx/installation.rst:
	Fixed a documentation typo.
	[4ed62a7e29d4] <4.8-maint>

2011-04-26  Phil Thompson  <phil@riverbankcomputing.com>

	* pylupdate/metatranslator.h, pylupdate/translator.h:
	Further fixes for when the Qt namespace macros aren't defined.
	[69c456457274] <4.8-maint>

2011-04-25  Phil Thompson  <phil@riverbankcomputing.com>

	* Makefile, installers/PyQt-gpl.nsi, installers/pyqt-check.py,
	installers/pyqt-config.bat, installers/sip-config.bat:
	The Windows installers no longer use a bin directory. All the .exe,
	.bat and .dll files are placed in the PyQt4 directory alongside the
	.pyd files. This means the correct DLLs will be found even if
	alternatives have been installed in the standard Windows
	directories,
	[1a684f18251f] <4.8-maint>

2011-04-22  Phil Thompson  <phil@riverbankcomputing.com>

	* PyQt4.msp:
	QObject.findChild() and QObject.findChildren() now support a tuple
	of types as the first argument (cf. isinstance()).
	[22ca0308bb05] <4.8-maint>

	* Makefile, qpy/QtCore/qpycore.pro, qpy/QtCore/qpycore_api.h,
	qpy/QtCore/qpycore_namespace.h,
	qpy/QtCore/qpycore_pyqtboundsignal.h,
	qpy/QtCore/qpycore_pyqtmethodproxy.h,
	qpy/QtCore/qpycore_pyqtproxy.h,
	qpy/QtCore/qpycore_qobject_helpers.h, qpy/QtCore/qpycore_shared.h,
	qpy/QtCore/qpycore_sip_helpers.h:
	Change the handling of QT_BEGIN_NAMESPACE etc. as it isn't defined
	in early versions of Qt v4.
	[62e5e3e440f0] <4.8-maint>

2011-04-19  Phil Thompson  <phil@riverbankcomputing.com>

	* PyQt4.msp:
	Fixed a wrong #include in handwritten code for QHash.
	[d68034dc738f] <4.8-maint>

2011-04-18  Phil Thompson  <phil@riverbankcomputing.com>

	* Makefile, PyQt4.msp:
	Fixed QTreeWidget.setItemWidget() and QTreeWidget.removeItemWidget()
	so that they behave in the same way as the corresponding QListWidget
	and QTableWidget methods.
	[b96c9204daca] <4.8-maint>

2011-04-14  Phil Thompson  <phil@riverbankcomputing.com>

	* PyQt4.msp:
	Removed QTouchEventSequence as it's API makes it impossible to use.
	[a7888a3a52e8] <4.8-maint>

2011-04-13  Phil Thompson  <phil@riverbankcomputing.com>

	* PyQt4.msp:
	Added the missing QTest.touchEvent().
	[412ee013f951] <4.8-maint>

2011-04-12  Phil Thompson  <phil@riverbankcomputing.com>

	* qpy/QtOpenGL/qpyopengl_api.h,
	qpy/QtOpenGL/qpyopengl_attribute_array.cpp:
	Fixed the setAttributeArray() support for versions of Qt prior to
	v4.6.
	[3e01f41da96d] <4.8-maint>

2011-04-10  Phil Thompson  <phil@riverbankcomputing.com>

	* NEWS:
	Updated the NEWS file.
	[fcc9a5e7012b] <4.8-maint>

	* Makefile, examples/opengl/textures/textures.py:
	More simplifications to the textures.py example.
	[1234bc91622d] <4.8-maint>

	* qpy/QtOpenGL/qpyopengl_attribute_array.cpp:
	Completed the support for setAttributeArray() by eliminating the
	memory leak.
	[64ebd63e6d29] <4.8-maint>

2011-04-09  Phil Thompson  <phil@riverbankcomputing.com>

	* examples/opengl/textures/textures.py:
	Efficiency improvements to the textures.py example.
	[3d327c604b80] <4.8-maint>

	* qpy/QtOpenGL/qpyopengl_attribute_array.cpp:
	Added initial support (with memory leaks) for setAttributeArray().
	[ad428a5f7198] <4.8-maint>

	* examples/opengl/textures/textures.py:
	Updated the textures.py example so that it used setAttributeArray().
	[93b8010e7712] <4.8-maint>

	* Makefile, PyQt4.msp, qpy/QtOpenGL/qpyopengl_api.h,
	qpy/QtOpenGL/qpyopengl_attribute_array.cpp:
	Updated the setAttributeArray() support stubs.
	[d244799d2efe] <4.8-maint>

	* PyQt4.msp, lib/configure.py, qpy/QtOpenGL/qpyopengl.pro,
	qpy/QtOpenGL/qpyopengl_api.h,
	qpy/QtOpenGL/qpyopengl_attribute_array.cpp:
	Added the stubs for supporting QGLShaderProgram.setAttributeArray().
	[328bdc539a66] <4.8-maint>

2011-03-29  Phil Thompson  <phil@riverbankcomputing.com>

	* Makefile, NEWS:
	Updated the NEWS file.
	[8641ecc135b3] <4.8-maint>

2011-03-28  Phil Thompson  <phil@riverbankcomputing.com>

	* lib/configure.py:
	A couple of cleanups to configure.py.
	[8bf81a18fd40] <4.8-maint>

	* PyQt4.msp:
	Tracked objects now explicitly untrack themselves rather than wait
	for Qt to detect when the C++ object has been destroyed. This works
	around a (not well understood) problem in threaded applications.
	[2aed3a4a9e4d] <4.8-maint>

	* PyQt4.msp:
	Make sure the GIL is released when cleaning up any tracked objects.
	[13344c3e829f] <4.8-maint>

2011-03-26  Phil Thompson  <phil@riverbankcomputing.com>

	* Makefile, PyQt4.msp:
	Fixed the QList and QSet mapped types that have TYPE * arguments so
	that TYPE can be const.
	[0390c07b8d21] <4.8-maint>

	* PyQt4.msp:
	Set the version number of the QtCore module to 1.
	[13f0d229b2bc] <4.8-maint>

2011-03-20  Phil Thompson  <phil@riverbankcomputing.com>

	* lib/configure.py:
	Fixed a bug when building a debug version on Windows when there is
	no release version of Qt installed.
	[6643385d640e] <4.8-maint>

2011-03-19  Phil Thompson  <phil@riverbankcomputing.com>

	* qpy/QtCore/qpycore_qsettings_value.cpp:
	Release the GIL when calling QSettings::value() to avoid a possible
	deadlock.
	[0095ea59ff7c] <4.8-maint>

	* PyQt4.msp, qpy/QtCore/qpycore.pro, qpy/QtCore/qpycore_api.h,
	qpy/QtCore/qpycore_qabstracteventdispatcher.cpp:
	Added limited support for the setEventFilter() and filterEvent()
	methods of QAbstractEventDispatcher.
	[55f10f91528f] <4.8-maint>

2011-03-18  Phil Thompson  <phil@riverbankcomputing.com>

	* PyQt4.msp, lib/configure.py:
	Used the new /KeepReference/ function annotation in QtDeclarative so
	that the common view.engine().rootContext().setContextObject(...)
	pattern works as far as keeping the right references alive is
	concerned.
	[48a0ac66e283] <4.8-maint>

	* PyQt4.msp:
	Added a missing /KeepReference/ to
	QDeclarativeContext::setContextProperty().
	[93f6ee4c108d] <4.8-maint>

	* PyQt4.msp:
	Fixed QResource.data() so that it handles embedded '\0' bytes.
	[8e1289c53929] <4.8-maint>

	* pyrcc/rcc.h:
	pyrcc will now compress by default to match the current behaviour of
	rcc.
	[b3661b647e21] <4.8-maint>

2011-03-17  Phil Thompson  <phil@riverbankcomputing.com>

	* PyQt4.msp, lib/SubclassCode/QtGui.versions,
	lib/SubclassCode/mksccode.py, lib/mksccode.py:
	Added the QCommonStyle class as it will never be in a plugin. The
	mksccode.py utility now takes a file containing version information.
	[a7197c7d0b68] <4.8-maint>

2011-03-13  Phil Thompson  <phil@riverbankcomputing.com>

	* lib/configure.py:
	Prevented a potential exception in configure.py on Linux when Python
	is built as a static library.
	[e9b7f3421862] <4.8-maint>

2011-03-03  Phil Thompson  <phil@riverbankcomputing.com>

	* pylupdate/merge.cpp, pylupdate/metatranslator.cpp,
	pylupdate/metatranslator.h:
	Applied a pylupdate patch from Giuseppe Corbelli that adds source
	language support.
	[549adf8a3ff7] <4.8-maint>

2011-03-01  Phil Thompson  <phil@riverbankcomputing.com>

	* Makefile, PyQt4.msp, doc/pyqtdoc/PyQt4.xfm, installers/PyQt-gpl.nsi,
	lib/configure.py:
	Added support for Qt v4.7.2.
	[1c4f4bfe9a83] <4.8-maint>

2011-02-23  Phil Thompson  <phil@riverbankcomputing.com>

	* lib/configure.py:
	configure.py will now look in the LIBDIR directory for the Python
	shared library as well as exec_prefix/lib.
	[e8c290c7fcb7] <4.8-maint>

2011-02-22  Phil Thompson  <phil@riverbankcomputing.com>

	* sphinx/new_style_signals_slots.rst:
	Updated the docs for overloaded signals describing potential
	problems when inadvertantly creating signals with the same C++
	signature.
	[17e24ab57cf9] <4.8-maint>

	* contrib/pymodeltest/modeltest.py:
	More modeltest.py fixes.
	[792bcb59ffc1] <4.8-maint>

2011-02-21  Phil Thompson  <phil@riverbankcomputing.com>

	* contrib/pymodeltest/modeltest.py:
	Updates to modeltest.py from Andreas Pakulat.
	[69b59e029c55] <4.8-maint>

	* Makefile, installers/PyQt-gpl.nsi:
	Python v3.2 is now the default.
	[585b966615ad] <4.8-maint>

2011-01-29  Phil Thompson  <phil@riverbankcomputing.com>

	* .hgignore, Makefile, pyuic/uic/uiparser.py,
	test/tests/pyuic/QWidget/Widget02.ui:
	Fixed a bug dynamically loading .ui files containing a button box.
	[278054fd857c] <4.8-maint>

2011-01-24  Phil Thompson  <phil@riverbankcomputing.com>

	* sphinx/new_style_signals_slots.rst:
	Documented the fact that new-style connect() and disconnect() can
	raise an exception.
	[31c67a41aaf8] <4.8-maint>

	* NEWS, pyuic/uic/Compiler/qobjectcreator.py,
	pyuic/uic/Loader/qobjectcreator.py:
	Removed the conversion of widget names in a plugin to a set as it
	breaks __import__(). (Python v2.6 only?)
	[063b15785a32] <4.8-maint>

	* doc/pyqtdoc/PyQt4.xfm:
	Fixed a broken link in the class documentation to the main reference
	guide.
	[0f6c844c6597] <4.8-maint>

2011-01-23  Phil Thompson  <phil@riverbankcomputing.com>

	* .hgtags:
	Added tag 4.8.3 for changeset bf299afd00df
	[d2a923040ed1] <4.8-maint>

	* NEWS:
	Released as v4.8.3.
	[bf299afd00df] [4.8.3] <4.8-maint>

	* installers/PyQt-gpl.nsi:
	Updated the Windows installer for the revised documentation.
	[1ffe9742db5f] <4.8-maint>

	* Makefile, NEWS, PyQt4.msp:
	Fixed the QWizard.registerField() implementation so that it compiles
	when protected is not public.
	[01f2ca7146a3] <4.8-maint>

2011-01-21  Phil Thompson  <phil@riverbankcomputing.com>

	* NEWS, PyQt4.msp, qpy/QtCore/qpycore_api.h,
	qpy/QtCore/qpycore_init.cpp, qpy/QtCore/qpycore_pyqtboundsignal.cpp,
	qpy/QtCore/qpycore_shared.h:
	QWizardPage.registerField() can now take an unbound or bound signal
	as its 'changedSignal' argument.
	[4b6c9bc41eeb] <4.8-maint>

	* lib/configure.py:
	Slightly improved the abiflags support.
	[c1be10c35550] <4.8-maint>

2011-01-20  Phil Thompson  <phil@riverbankcomputing.com>

	* lib/configure.py:
	Fixed the build of the Designer plugin for Python v3.2.
	[d49a73b31f81] <4.8-maint>

	* Makefile, qpy/QtCore/qpycore_qpynullvariant.cpp:
	Eliminated a signed/unsigned comparison warning message.
	[7487e3ef4fcd] <4.8-maint>

	* PyQt4.msp:
	Removed the /Factory/ annotation from QMainWindow.createPopupMenu()
	because Qt gives the menu a parent and so doesn't really transfer
	ownership to the caller.
	[072544d080b3] <4.8-maint>

2011-01-15  Phil Thompson  <phil@riverbankcomputing.com>

	* sphinx/conf.py, sphinx/static/logo_tn.ico:
	Added a favicon to Sphinx.
	[fbc8b1362812] <4.8-maint>

	* sphinx/conf.py, sphinx/static/default.css, sphinx/static/logo.png:
	Added a new Sphinx stylesheet.
	[87067636cd34] <4.8-maint>

2011-01-14  Phil Thompson  <phil@riverbankcomputing.com>

	* qpy/QtCore/qpycore_qsettings_value.cpp:
	Fixed a bad function return type.
	[454d07a16153] <4.8-maint>

	* NEWS, doc/pyqtdoc/qpynullvariant#details,
	sphinx/incompatibilities.rst, sphinx/incompatible_apis.rst,
	sphinx/index.rst, sphinx/python_v3.rst:
	Updated the documentation and the NEWS file.
	[7a845a3f49e6] <4.8-maint>

2011-01-13  Phil Thompson  <phil@riverbankcomputing.com>

	* pyuic/uic/Compiler/qtproxies.py,
	test/tests/pyuic/QToolBox/ToolBox01.ui:
	Fixed untranslatable tab names of QTabWidget and QToolBox in pyuic.
	[fe1609e59f2f] <4.8-maint>

	* Makefile, pyuic/uic/Compiler/qtproxies.py, pyuic/uic/properties.py,
	pyuic/uic/uiparser.py, test/tests/pyuic/QToolBox/ToolBox00.ui:
	Added support for the tabSpacing pseudo-property of QToolBox to
	pyuic.
	[41d2b8cf4c08] <4.8-maint>

	* PyQt4.msp:
	Fixed __repr__ for all classes that have an isNull() method.
	[2cba2c51e2bf] <4.8-maint>

	* Makefile, PyQt4.msp:
	Added the missing QVariant.Type values from the v2 API.
	[76e234e40188] <4.8-maint>

	* PyQt4.msp, qpy/QtCore/qpycore.pro, qpy/QtCore/qpycore_chimera.cpp,
	qpy/QtCore/qpycore_qpynullvariant.cpp,
	qpy/QtCore/qpycore_qpynullvariant.h:
	Completed the implementation of QPyNullVariant.
	[571010ef6ec1] <4.8-maint>

2011-01-11  Phil Thompson  <phil@riverbankcomputing.com>

	* Makefile, qpy/QtCore/qpycore.pro, qpy/QtCore/qpycore_api.h,
	qpy/QtCore/qpycore_qpynullvariant.cpp,
	qpy/QtCore/qpynullvariant.sip:
	Implemented the QPyNullVariant class.
	[e124d3feac67] <4.8-maint>

2011-01-07  Phil Thompson  <phil@riverbankcomputing.com>

	* sphinx/index.rst, sphinx/qsettings.rst:
	Documented the QSettings.value() changes.
	[073f68f71e37] <4.8-maint>

	* sphinx/installation.rst:
	Fixed a broken documentation reference.
	[6a1a95079795] <4.8-maint>

	* Makefile, build.py, lib/LICENSE-MERGED-GPL2-GPL3, lib/LICENSE.GPL2,
	lib/LICENSE.GPL3, lib/LICENSE.commercial.short,
	lib/LICENSE.gpl.short, lib/LICENSE.internal, pyqtdoc/renderer.py,
	pyuic/uic/Compiler/compiler.py, pyuic/uic/Compiler/indenter.py,
	pyuic/uic/Compiler/misc.py, pyuic/uic/Compiler/proxy_type.py,
	pyuic/uic/Compiler/qobjectcreator.py,
	pyuic/uic/Compiler/qtproxies.py, pyuic/uic/Loader/loader.py,
	pyuic/uic/Loader/qobjectcreator.py, pyuic/uic/__init__.py,
	pyuic/uic/exceptions.py, pyuic/uic/objcreator.py,
	pyuic/uic/properties.py, pyuic/uic/uiparser.py, pyuic/uic/widget-
	plugins/qtwebkit.py, sphinx/conf.py:
	Updated the copyright notices.
	[5c9b75f65471] <4.8-maint>

	* PyQt4.msp, qpy/QtCore/qpycore.pro, qpy/QtCore/qpycore_api.h,
	qpy/QtCore/qpycore_chimera.cpp,
	qpy/QtCore/qpycore_qsettings_value.cpp:
	QSettings.value() now takes an optional type argument that specifies
	the type of object that should be returned.
	[cf99437e51d9] <4.8-maint>

2011-01-06  Phil Thompson  <phil@riverbankcomputing.com>

	* qpy/QtCore/qpycore_qobject_getattr.cpp:
	Fixed a further build problem with Qt v4.4 and earlier.
	[96ac52f70525] <4.8-maint>

2011-01-04  Phil Thompson  <phil@riverbankcomputing.com>

	* qpy/QtCore/qpycore_pyqtmethodproxy.cpp:
	The new __getattr__ support should now build against with Qt v4.4
	and earlier.
	[f24d690e72b9] <4.8-maint>

2011-01-03  Phil Thompson  <phil@riverbankcomputing.com>

	* sphinx/installation.rst:
	Updated the MacOS installation notes.
	[3726d3d59a6e] <4.8-maint>

	* lib/configure.py, sphinx/installation.rst:
	The build system now uses the deployment target information provided
	by the current SIP snapshot.
	[61841fd707f2] <4.8-maint>

2010-12-31  Phil Thompson  <phil@riverbankcomputing.com>

	* pyuic/uic/Compiler/qtproxies.py, pyuic/uic/properties.py:
	pyuic now respects the disambiguation string when calling
	QApplication.translate().
	[77dd137e13a9] <4.8-maint>

	* examples/demos/qtdemo/mainwindow.py,
	examples/demos/qtdemo/menumanager.py:
	Fixes for qtdemo.py from Hans-Peter Jansen.
	[67a20e22aff7] <4.8-maint>

	* PyQt4.msp:
	Added a couple of missing non-X11 method reimplementations.
	[144f5a9d966e] <4.8-maint>

	* sphinx/qml.rst:
	Documented the behavior of QDeclarativeItem to act as a transparent
	proxy for functions and signals defined using QML.
	[d4ee4c2f7285] <4.8-maint>

	* Makefile, build.py, doc/pyqt4ref.txt, pyqtdoc/renderer.py,
	sphinx/introduction.rst:
	Tidied up the build system for the SPhinx documentation.
	[410a780b044b] <4.8-maint>

	* sphinx/build_system.rst, sphinx/dbus.rst,
	sphinx/deploy_commercial.rst, sphinx/gotchas.rst, sphinx/i18n.rst,
	sphinx/incompatibilities.rst, sphinx/index.rst,
	sphinx/qt_properties.rst, sphinx/resources.rst:
	Completed the port of the reference guide to Sphinx.
	[3a73fd5c2847] <4.8-maint>

2010-12-30  Phil Thompson  <phil@riverbankcomputing.com>

	* build.py, sphinx/buffer_interface.rst, sphinx/conf.py,
	sphinx/designer.rst, sphinx/incompatibilities.rst,
	sphinx/incompatible_apis.rst, sphinx/index.rst,
	sphinx/installation.rst, sphinx/introduction.rst,
	sphinx/keyword_arguments.rst, sphinx/new_style_signals_slots.rst,
	sphinx/old_style_signals_slots.rst, sphinx/pickle.rst,
	sphinx/python_shell.rst, sphinx/qml.rst, sphinx/qt_properties.rst,
	sphinx/qvariant.rst, sphinx/webkit.rst:
	Started porting the reference guide to Sphinx.
	[1dc0063a49b6] <4.8-maint>

	* Makefile, qpy/QtCore/qpycore_pyqtmethodproxy.cpp:
	Completed the __getattr__ implementation.
	[dfe6ca21235b] <4.8-maint>

2010-12-29  Phil Thompson  <phil@riverbankcomputing.com>

	* qpy/QtCore/qpycore_chimera.cpp, qpy/QtCore/qpycore_chimera.h,
	qpy/QtCore/qpycore_pyqtmethodproxy.cpp,
	qpy/QtCore/qpycore_pyqtmethodproxy.h,
	qpy/QtCore/qpycore_qobject_getattr.cpp:
	The __getattr__ support now handles methods (but not yet their
	return values).
	[ac61342d2816] <4.8-maint>

	* Makefile, PyQt4.msp, qpy/QtCore/qpycore.pro,
	qpy/QtCore/qpycore_api.h, qpy/QtCore/qpycore_post_init.cpp,
	qpy/QtCore/qpycore_pyqtboundsignal.cpp,
	qpy/QtCore/qpycore_pyqtmethodproxy.cpp,
	qpy/QtCore/qpycore_pyqtmethodproxy.h,
	qpy/QtCore/qpycore_pyqtsignal.cpp, qpy/QtCore/qpycore_pyqtsignal.h,
	qpy/QtCore/qpycore_qobject_getattr.cpp,
	qpy/QtCore/qpycore_types.cpp:
	Implemented QObject.__getattr__() to implement support for signals
	and (so far only stubs for) methods that are not explicitly wrapped
	(e.g. for QDeclarativeItem's role as a JavaScript proxy).
	[b460c075461f] <4.8-maint>

2010-12-28  Phil Thompson  <phil@riverbankcomputing.com>

	* pyuic/uic/Compiler/qtproxies.py,
	test/tests/pyuic/QWidget/Widget01.ui:
	Taught pyuic about QPainter so that its enums are recognised.
	[1d2c3e10879e] <4.8-maint>

	* examples/dialogs/standarddialogs.py:
	Fixed a string formatting bug in the standarddialogs.py example.
	[220eb9d8c8d9] <4.8-maint>

2010-12-26  Phil Thompson  <phil@riverbankcomputing.com>

	* pyuic/uic/uiparser.py:
	Fixed a regression in pyuic's handling of QStackedWidget.
	[b5e6f8eed455] <4.8-maint>

2010-12-24  Phil Thompson  <phil@riverbankcomputing.com>

	* pyuic/LICENSE, pyuic/uic/Compiler/__init__.py,
	pyuic/uic/Compiler/compiler.py, pyuic/uic/Compiler/indenter.py,
	pyuic/uic/Compiler/misc.py, pyuic/uic/Compiler/proxy_type.py,
	pyuic/uic/Compiler/qobjectcreator.py,
	pyuic/uic/Compiler/qtproxies.py, pyuic/uic/Loader/__init__.py,
	pyuic/uic/Loader/loader.py, pyuic/uic/Loader/qobjectcreator.py,
	pyuic/uic/__init__.py, pyuic/uic/driver.py, pyuic/uic/exceptions.py,
	pyuic/uic/icon_cache.py, pyuic/uic/objcreator.py,
	pyuic/uic/port_v2/__init__.py, pyuic/uic/port_v2/as_string.py,
	pyuic/uic/port_v2/ascii_upper.py, pyuic/uic/port_v2/invoke.py,
	pyuic/uic/port_v2/load_plugin.py, pyuic/uic/port_v2/proxy_base.py,
	pyuic/uic/port_v2/string_io.py, pyuic/uic/port_v3/__init__.py,
	pyuic/uic/port_v3/as_string.py, pyuic/uic/port_v3/ascii_upper.py,
	pyuic/uic/port_v3/invoke.py, pyuic/uic/port_v3/load_plugin.py,
	pyuic/uic/port_v3/proxy_base.py, pyuic/uic/port_v3/string_io.py,
	pyuic/uic/properties.py, pyuic/uic/pyuic.py, pyuic/uic/uiparser.py,
	pyuic/uic/widget-plugins/phonon.py, pyuic/uic/widget-
	plugins/qaxcontainer.py, pyuic/uic/widget-plugins/qscintilla.py,
	pyuic/uic/widget-plugins/qtdeclarative.py, pyuic/uic/widget-
	plugins/qtwebkit.py:
	Moved the uic licensing information to the individual files.
	[deda35789ce1] <4.8-maint>

2010-12-23  Phil Thompson  <phil@riverbankcomputing.com>

	* .hgtags:
	Added tag 4.8.2 for changeset 06dce3d0db11
	[059e04df1537] <4.8-maint>

	* NEWS:
	Released as v4.8.2.
	[06dce3d0db11] [4.8.2] <4.8-maint>

2010-12-21  Phil Thompson  <phil@riverbankcomputing.com>

	* pyuic/uic/uiparser.py:
	Fixed a pyuic bug with the margins of a layout widget.
	[c9917543b4f6] <4.8-maint>

2010-12-20  Phil Thompson  <phil@riverbankcomputing.com>

	* qpy/QtCore/qpycore_types.cpp:
	Disabled the code that detects when Qt generated QObjects get
	deleted as it cannot be reliably implemented.
	[459d6551edc6] <4.8-maint>

	* PyQt4.msp:
	Moved the mapped type for QList<QVariant::Type> from PyQtMobility.
	[6f6c1880fae1] <4.8-maint>

	* PyQt4.msp:
	Added the missing #include of qset.h to the QSet<Qt::DayOfWeek>
	mapped type.
	[4652b6d5bf76] <4.8-maint>

	* PyQt4.msp:
	Added the QSet<Qt::DayOfWeek> mapped type for PyQtMobility. Made all
	mapped types with enum's as template arguments behave the same as a
	function argument.
	[a330e5597d05] <4.8-maint>

2010-12-19  Phil Thompson  <phil@riverbankcomputing.com>

	* qpy/QtCore/qpycore_types.cpp:
	The guard for Qt generated QObjects now uses QWeakPointer if ti is
	available.
	[bd68a9bb55f5] <4.8-maint>

2010-12-16  Phil Thompson  <phil@riverbankcomputing.com>

	* PyQt4.msp:
	Added implementations of QSet<TYPE> for PyQtMobility.
	[51e6bf6173b3] <4.8-maint>

2010-12-11  Phil Thompson  <phil@riverbankcomputing.com>

	* PyQt4.msp:
	Fixes for the changed PySlice_GetIndicesEx() signature in Python
	v3.2b1.
	[0c0f53c0fa42] <4.8-maint>

	* lib/configure.py, pylupdate/fetchtr.cpp,
	pylupdate/metatranslator.cpp, pylupdate/translator.cpp:
	Removed the dependency on QtGui from pylupdate4.
	[4ec01aa8b9bd] <4.8-maint>

2010-12-09  Phil Thompson  <phil@riverbankcomputing.com>

	* NEWS, contrib/lang/Makefile, contrib/lang/lang.py,
	contrib/lang/lang.qrc, contrib/lang/lang/cs_cs.qm,
	contrib/lang/lang/cs_cs.ts, contrib/lang/lang/da_da.qm,
	contrib/lang/lang/da_da.ts, contrib/lang/lang/de_ch.qm,
	contrib/lang/lang/de_ch.ts, contrib/lang/lang/de_de.qm,
	contrib/lang/lang/de_de.ts, contrib/lang/lang/en_gb.qm,
	contrib/lang/lang/en_gb.ts, contrib/lang/lang/en_us.qm,
	contrib/lang/lang/en_us.ts, contrib/lang/lang/es_es.qm,
	contrib/lang/lang/es_es.ts, contrib/lang/lang/et_et.qm,
	contrib/lang/lang/et_et.ts, contrib/lang/lang/fi_fi.qm,
	contrib/lang/lang/fi_fi.ts, contrib/lang/lang/fr_ca.qm,
	contrib/lang/lang/fr_ca.ts, contrib/lang/lang/fr_fr.qm,
	contrib/lang/lang/fr_fr.ts, contrib/lang/lang/hu_hu.qm,
	contrib/lang/lang/hu_hu.ts, contrib/lang/lang/it_it.qm,
	contrib/lang/lang/it_it.ts, contrib/lang/lang/nl_nl.qm,
	contrib/lang/lang/nl_nl.ts, contrib/lang/lang/no_no.qm,
	contrib/lang/lang/no_no.ts, contrib/lang/lang/pl_pl.qm,
	contrib/lang/lang/pl_pl.ts, contrib/lang/lang/pt_pt.qm,
	contrib/lang/lang/pt_pt.ts, contrib/lang/lang/sv_sv.qm,
	contrib/lang/lang/sv_sv.ts, contrib/lang/lang/tr_tr.qm,
	contrib/lang/lang/tr_tr.ts, contrib/lang/mainwindow.ui:
	Added the lang example from Hans-Peter Jansen to the contrib
	directory.
	[c0b24dfbb871] <4.8-maint>

2010-12-07  Phil Thompson  <phil@riverbankcomputing.com>

	* QAxContainer/QAxContainermod.sip:
	Eliminated deprecation warnings from the QAxContainer module.
	[8b918f4306e1] <4.8-maint>

	* lib/configure.py:
	Make sure all generated #line preprocessor directives have absolute
	file names.
	[1d96576cc2a1] <4.8-maint>

	* PyQt4.msp, lib/configure.py:
	configure.py now automatically converts SIP v4 license files to the
	v5 syntax.
	[46bf1618d8ef] <4.8-maint>

	* PyQt4.msp, lib/configure.py:
	Enabled SIP warning messages. Eliminated all deprecation warnings
	(except those related to %License).
	[acb54da3f0e3] <4.8-maint>

2010-12-06  Phil Thompson  <phil@riverbankcomputing.com>

	* pyuic/uic/Loader/loader.py:
	Fixed the last fix.
	[e73d5045bea5] <4.8-maint>

	* pyuic/uic/Loader/loader.py:
	Fixed a pyuic regression when loadUi() is called to load from a
	file-like object.
	[1de813aa574c] <4.8-maint>

2010-12-03  Phil Thompson  <phil@riverbankcomputing.com>

	* NEWS, examples/demos/qtdemo/xml/examples.xml,
	examples/widgets/stylesheet/images/checkbox_checked.png,
	examples/widgets/stylesheet/images/checkbox_checked_hover.png,
	examples/widgets/stylesheet/images/checkbox_checked_pressed.png,
	examples/widgets/stylesheet/images/checkbox_unchecked.png,
	examples/widgets/stylesheet/images/checkbox_unchecked_hover.png,
	examples/widgets/stylesheet/images/checkbox_unchecked_pressed.png,
	examples/widgets/stylesheet/images/down_arrow.png,
	examples/widgets/stylesheet/images/down_arrow_disabled.png,
	examples/widgets/stylesheet/images/frame.png,
	examples/widgets/stylesheet/images/pagefold.png,
	examples/widgets/stylesheet/images/pushbutton.png,
	examples/widgets/stylesheet/images/pushbutton_hover.png,
	examples/widgets/stylesheet/images/pushbutton_pressed.png,
	examples/widgets/stylesheet/images/radiobutton_checked.png,
	examples/widgets/stylesheet/images/radiobutton_checked_hover.png,
	examples/widgets/stylesheet/images/radiobutton_checked_pressed.png,
	examples/widgets/stylesheet/images/radiobutton_unchecked.png,
	examples/widgets/stylesheet/images/radiobutton_unchecked_hover.png,
	e
	xamples/widgets/stylesheet/images/radiobutton_unchecked_pressed.png,
	examples/widgets/stylesheet/images/sizegrip.png,
	examples/widgets/stylesheet/images/spindown.png,
	examples/widgets/stylesheet/images/spindown_hover.png,
	examples/widgets/stylesheet/images/spindown_off.png,
	examples/widgets/stylesheet/images/spindown_pressed.png,
	examples/widgets/stylesheet/images/spinup.png,
	examples/widgets/stylesheet/images/spinup_hover.png,
	examples/widgets/stylesheet/images/spinup_off.png,
	examples/widgets/stylesheet/images/spinup_pressed.png,
	examples/widgets/stylesheet/images/up_arrow.png,
	examples/widgets/stylesheet/images/up_arrow_disabled.png,
	examples/widgets/stylesheet/mainwindow.ui,
	examples/widgets/stylesheet/qss/coffee.qss,
	examples/widgets/stylesheet/qss/default.qss,
	examples/widgets/stylesheet/qss/pagefold.qss,
	examples/widgets/stylesheet/stylesheet.py,
	examples/widgets/stylesheet/stylesheet.qrc,
	examples/widgets/stylesheet/stylesheeteditor.py,
	examples/widgets/stylesheet/stylesheeteditor.ui,
	examples/widgets/stylesheet/ui_mainwindow.py,
	examples/widgets/stylesheet/ui_stylesheeteditor.py:
	Added the stylesheet.py example from Hans-Peter Jansen.
	[24a6ba5f4f0f] <4.8-maint>

	* NEWS, examples/demos/qtdemo/xml/examples.xml,
	examples/widgets/calendarwidget.py:
	Added the calendarwidget.py example from Hans-Peter Jansen.
	[e47f67951eb3] <4.8-maint>

	* examples/itemviews/basicsortfiltermodel.py:
	Improvements to the basicsortfiltermodel.py example from Hans-Peter
	Jansen.
	[5b42b2d93d5d] <4.8-maint>

	* PyQt4.msp:
	The naming convention of functions import via SIP is now to prefix
	with the originating module.
	[6ff375daa94d] <4.8-maint>

	* qpy/QtCore/qpycore_chimera.cpp:
	If there is no registered Qt type for an object then check to see if
	any of its super-classes is registered.
	[4dddaa7e9c07] <4.8-maint>

2010-11-30  Phil Thompson  <phil@riverbankcomputing.com>

	* qpy/QtCore/qpycore_pyqtconfigure.cpp:
	Slight tidy up of the unknown property/signal fix.
	[12b5613b230c] <4.8-maint>

	* lib/configure.py:
	The keyword_arguments %Module argument is now used instead of SIP's
	-k command line option so that argument names can now be restored to
	the .sip files (and, therefore, to the documentation). SIP v4.12 is
	now required.
	[e0d2da5e1f0a] <4.8-maint>

	* qpy/QtCore/qpycore_pyqtconfigure.cpp:
	Fixed the exception when an invalid property or signal is specified
	when there is a following valid one.
	[ad1331aa93a6] <4.8-maint>

2010-11-29  Phil Thompson  <phil@riverbankcomputing.com>

	* NEWS, examples/demos/qtdemo/xml/examples.xml,
	examples/demos/textedit/example.html,
	examples/demos/textedit/images/logo.png,
	examples/demos/textedit/images/logo32.png,
	examples/demos/textedit/images/mac/editcopy.png,
	examples/demos/textedit/images/mac/editcut.png,
	examples/demos/textedit/images/mac/editpaste.png,
	examples/demos/textedit/images/mac/editredo.png,
	examples/demos/textedit/images/mac/editundo.png,
	examples/demos/textedit/images/mac/exportpdf.png,
	examples/demos/textedit/images/mac/filenew.png,
	examples/demos/textedit/images/mac/fileopen.png,
	examples/demos/textedit/images/mac/fileprint.png,
	examples/demos/textedit/images/mac/filesave.png,
	examples/demos/textedit/images/mac/textbold.png,
	examples/demos/textedit/images/mac/textcenter.png,
	examples/demos/textedit/images/mac/textitalic.png,
	examples/demos/textedit/images/mac/textjustify.png,
	examples/demos/textedit/images/mac/textleft.png,
	examples/demos/textedit/images/mac/textright.png,
	examples/demos/textedit/images/mac/textunder.png,
	examples/demos/textedit/images/mac/zoomin.png,
	examples/demos/textedit/images/mac/zoomout.png,
	examples/demos/textedit/images/win/editcopy.png,
	examples/demos/textedit/images/win/editcut.png,
	examples/demos/textedit/images/win/editpaste.png,
	examples/demos/textedit/images/win/editredo.png,
	examples/demos/textedit/images/win/editundo.png,
	examples/demos/textedit/images/win/exportpdf.png,
	examples/demos/textedit/images/win/filenew.png,
	examples/demos/textedit/images/win/fileopen.png,
	examples/demos/textedit/images/win/fileprint.png,
	examples/demos/textedit/images/win/filesave.png,
	examples/demos/textedit/images/win/textbold.png,
	examples/demos/textedit/images/win/textcenter.png,
	examples/demos/textedit/images/win/textitalic.png,
	examples/demos/textedit/images/win/textjustify.png,
	examples/demos/textedit/images/win/textleft.png,
	examples/demos/textedit/images/win/textright.png,
	examples/demos/textedit/images/win/textunder.png,
	examples/demos/textedit/images/win/zoomin.png,
	examples/demos/textedit/images/win/zoomout.png,
	examples/demos/textedit/textedit.py,
	examples/demos/textedit/textedit.qrc:
	Added the textedit.py demonstration from Hans-Peter Jansen.
	[9203df681a76] <4.8-maint>

	* examples/widgets/scribble.py:
	Fixes to the scribble.py example from Hans-Peter Jansen.
	[09a05a14953d] <4.8-maint>

	* examples/demos/qtdemo/xml/examples.xml,
	examples/webkit/domtraversal/domtraversal.py,
	examples/webkit/domtraversal/ui_window.py,
	examples/webkit/domtraversal/window.ui,
	examples/webkit/fancybrowser/fancybrowser.py,
	examples/webkit/fancybrowser/jquery.min.js,
	examples/webkit/fancybrowser/jquery.qrc,
	examples/webkit/framecapture.py, examples/webkit/googlechat/form.ui,
	examples/webkit/googlechat/googlechat.py,
	examples/webkit/googlechat/ui_form.py,
	examples/webkit/previewer/previewer.py,
	examples/webkit/previewer/previewer.ui,
	examples/webkit/previewer/ui_previewer.py,
	examples/webkit/simpleselector/simpleselector.py,
	examples/webkit/simpleselector/ui_window.py,
	examples/webkit/simpleselector/window.ui:
	Added the rest of the WebKit examples from Hans-Peter Jansen.
	[3a14437e3cba] <4.8-maint>

	* contrib/pymodeltest/modeltest.py:
	Updates to modeltest.py from Wolfgang Rohdewald.
	[91376492d40d] <4.8-maint>

	* pyuic/uic/driver.py:
	For Python3 pyuic writes to stdout using UTF-8 no matter what the
	default encoding is. This means that redirecting stdout to a file
	will be identical to using the -o command line flag.
	[ce324d50196a] <4.8-maint>

2010-11-28  Phil Thompson  <phil@riverbankcomputing.com>

	* NEWS, examples/demos/qtdemo/xml/examples.xml,
	examples/webkit/formextractor/form.html,
	examples/webkit/formextractor/formextractor.py,
	examples/webkit/formextractor/formextractor.qrc,
	examples/webkit/formextractor/formextractor.ui,
	examples/webkit/formextractor/ui_formextractor.py:
	Added the formextractor.py example from Hans-Peter Jansen.
	[f509333f6b01] <4.8-maint>

	* NEWS, examples/demos/qtdemo/xml/examples.xml,
	examples/itemviews/combowidgetmapper.py,
	examples/itemviews/customsortfiltermodel.py,
	examples/itemviews/simplewidgetmapper.py:
	Added the combowidgetmapper.py, customsortfiltermodel.py and
	simplewidgetmapper.py examples from Hans-Peter Jansen.
	[241fbaf4620d] <4.8-maint>

2010-11-26  Phil Thompson  <phil@riverbankcomputing.com>

	* examples/demos/qtdemo/xml/examples.xml,
	examples/itemviews/coloreditorfactory.py,
	examples/itemviews/dirview.py, examples/itemviews/fetchmore.py:
	Added the coloreditorfactory.py example from Hans-Peter Jansen.
	[a935ffc263c2] <4.8-maint>

	* qpy/QtCore/qpycore_qobject_helpers.cpp:
	Fixed the support for QMetaProperty::read().
	[4e3c8ff6ae9c] <4.8-maint>

2010-11-24  Phil Thompson  <phil@riverbankcomputing.com>

	* examples/mainwindows/mdi/mdi.py:
	Updated the mdi.py example to match the current Qt version.
	[f7c66cd92585] <4.8-maint>

2010-11-22  Phil Thompson  <phil@riverbankcomputing.com>

	* PyQt4.msp:
	Removed the %MethodCode from QDockWidget.setTitleBarWidget() as it
	is both unnecessary and wrong.
	[f2b28c685066] <4.8-maint>

2010-11-20  Phil Thompson  <phil@riverbankcomputing.com>

	* qpy/QtCore/qpycore_chimera_storage.cpp:
	Fixed a bug when a QVariant is an argument to a pyqtSignal.
	[a1275c515e24] <4.8-maint>

	* installers/BuildGPL.txt, installers/PyQt-gpl.nsi:
	Updated the Windows installer and documentation for 64 bit builds.
	[aa3dcb00f544] <4.8-maint>

2010-11-15  Phil Thompson  <phil@riverbankcomputing.com>

	* doc/pyqt4ref.txt, lib/configure.py:
	Added the --no-timestamp option to configure.py.
	[bb053c0310a3] <4.8-maint>

2010-11-13  Phil Thompson  <phil@riverbankcomputing.com>

	* installers/PyQt-gpl.nsi:
	Minor updates to the Windows installer.
	[5e83add65bb1] <4.8-maint>

2010-11-10  Phil Thompson  <phil@riverbankcomputing.com>

	* installers/PyQt-gpl.nsi:
	Updated the Windows installer for Qt v4.7.1.
	[634f8a2612bf] <4.8-maint>

	* lib/configure.py:
	Fixed a configure.py bug affecting pyuic4 when build away from the
	source directory.
	[4eef69e3e38a] <4.8-maint>

2010-11-09  Phil Thompson  <phil@riverbankcomputing.com>

	* Makefile, PyQt4.msp, build.py, doc/pyqtdoc/PyQt4.xfm,
	lib/configure.py:
	Added support for Qt v4.7.1.
	[49d5dd5db875] <4.8-maint>

2010-11-08  Phil Thompson  <phil@riverbankcomputing.com>

	* qpy/QtCore/qpycore_pyqtsignal.cpp:
	Fixed a regression in QSignalMapper when the QtGui module has not
	been imported (and therefore provided an implementation of QWidget).
	[7aed7c4a1455] <4.8-maint>

2010-11-04  Phil Thompson  <phil@riverbankcomputing.com>

	* PyQt4.msp:
	Fixed a warning message for Python v2.4 and earlier.
	[c2f0a1e8a5fc] <4.8-maint>

	* examples/demos/qtdemo/xml/examples.xml, examples/ipc/README,
	examples/ipc/localfortuneclient.py,
	examples/ipc/localfortuneserver.py,
	examples/ipc/sharedmemory/dialog.py,
	examples/ipc/sharedmemory/dialog.ui,
	examples/ipc/sharedmemory/image.png,
	examples/ipc/sharedmemory/qt.png,
	examples/ipc/sharedmemory/sharedmemory.py:
	Added the IPC examples from Hans-Peter Jansen.
	[eab60beec052] <4.8-maint>

	* pyuic/uic/uiparser.py:
	Fixed a pyuic regression in the handling of QFormLayout.
	[a3d943052dfa] <4.8-maint>

2010-10-29  Phil Thompson  <phil@riverbankcomputing.com>

	* .hgtags:
	Added tag 4.8.1 for changeset 78dec14b3a43
	[cab48c709c18] <4.8-maint>

	* NEWS:
	Released as v4.8.1.
	[78dec14b3a43] [4.8.1] <4.8-maint>

2010-10-25  Phil Thompson  <phil@riverbankcomputing.com>

	* lib/configure.py:
	configure.py will now add the g++ -mstackrealign flag when using
	MinGW and Qt v4.7 and later. This fixes SSE related crashes where Qt
	expects 16 byte aligned stacks but the standard Python Windows
	installers are 4 byte aligned. Thanks to David Hess for working this
	out.
	[285d517097ec] <4.8-maint>

2010-10-24  Phil Thompson  <phil@riverbankcomputing.com>

	* PyQt4.msp, designer/pluginloader.h, pylupdate/metatranslator.h,
	pylupdate/translator.h, qpy/QtCore/qpycore_api.h,
	qpy/QtCore/qpycore_pyqtboundsignal.h,
	qpy/QtCore/qpycore_pyqtproxy.h,
	qpy/QtCore/qpycore_qobject_helpers.h,
	qpy/QtCore/qpycore_sip_helpers.h:
	Added QT_BEGIN_NAMESPACE and QT_END_NAMESPACE support.
	[5dcb936cbd10] <4.8-maint>

2010-10-23  Phil Thompson  <phil@riverbankcomputing.com>

	* pyqtdoc/renderer.py, pyqtdoc/xform.py:
	Fixed the documentation for the new structure of the Qt v4.7
	documentation.
	[620cc57dc977] <4.8-maint>

	* test/sigslots/double_disable.py, test/sigslots/form4.ui,
	test/sigslots/sample-main.py, test/sigslots/sample-thread.py,
	test/sigslots/signalsignal.py, test/sigslots/sigsig2.py,
	test/sigslots/slottypes.py, test/sigslots/timer_leak.py,
	test/test_StandardKey.py, test/test_findChildren.py,
	test/test_gc_thread.py, test/test_pickle.py, test/test_postEvent.py,
	test/test_virtual_operators.py, test/tests/misc/test_pickle.py:
	Integrated the ad-hoc unit tests with the main test suite.
	[73b271c92e4d] <4.8-maint>

	* test/runtests.py, test/tests/pyuic/QMainWindow/MainWindow00.ui,
	test/tests/pyuic/QWidget/Widget00.ui,
	test/tests/pyuic/test_loadUiType.py, test/tests/pyuic/test_pyuic.py,
	test/tests/pyuic/ui/simple.ui:
	Refactored the pyuic unit tests so that they are easier to add to.
	[6ea6e7e88408] <4.8-maint>

	* installers/BuildGPL.txt, installers/pyqt-config.bat, installers/sip-
	config.bat:
	Improvements to the Windows installer build scripts and
	instructions.
	[847788b138e0] <4.8-maint>

	* pyuic/uic/properties.py, pyuic/uic/uiparser.py:
	Fixed a pyuic regression that breaks when Designer doesn't
	explicitly specify the Qt:: scope for enums (eg. when positioning
	toolbars).
	[365854e30a67] <4.8-maint>

2010-10-22  Phil Thompson  <phil@riverbankcomputing.com>

	* .hgtags:
	Added tag 4.8 for changeset 977563ee7cc6
	[9c7ee98c452a]

	* NEWS:
	Released as v4.8.
	[977563ee7cc6] [4.8]

	* examples/activeqt/webbrowser/webbrowser.py,
	examples/animation/animatedtiles/animatedtiles.py,
	examples/animation/appchooser/appchooser.py,
	examples/animation/easing/easing.py,
	examples/animation/moveblocks.py,
	examples/animation/states/states.py,
	examples/animation/stickman/stickman.py,
	examples/declarative/modelviews/objectlistmodel/objectlistmodel.py,
	examples/demos/declarative/minehunt/minehunt.py,
	examples/demos/embedded/lightmaps.py,
	examples/demos/embeddeddialogs/embeddeddialogs.py,
	examples/demos/qtdemo/colors.py, examples/demos/qtdemo/demoitem.py,
	examples/demos/qtdemo/demoitemanimation.py,
	examples/demos/qtdemo/demoscene.py,
	examples/demos/qtdemo/demotextitem.py,
	examples/demos/qtdemo/dockitem.py,
	examples/demos/qtdemo/examplecontent.py,
	examples/demos/qtdemo/guide.py,
	examples/demos/qtdemo/guidecircle.py,
	examples/demos/qtdemo/guideline.py,
	examples/demos/qtdemo/headingitem.py,
	examples/demos/qtdemo/imageitem.py,
	examples/demos/qtdemo/itemcircleanimation.py,
	examples/demos/qtdemo/letteritem.py,
	examples/demos/qtdemo/mainwindow.py,
	examples/demos/qtdemo/menucontent.py,
	examples/demos/qtdemo/menumanager.py,
	examples/demos/qtdemo/qtdemo.py, examples/demos/qtdemo/scanitem.py,
	examples/demos/qtdemo/score.py, examples/demos/qtdemo/textbutton.py,
	examples/designer/calculatorform/calculatorform.py,
	examples/designer/plugins/plugins.py,
	examples/designer/plugins/widgets/analogclock.py,
	examples/designer/plugins/widgets/pydemo.py,
	examples/desktop/screenshot.py, examples/desktop/systray/systray.py,
	examples/dialogs/classwizard/classwizard.py,
	examples/dialogs/configdialog/configdialog.py,
	examples/dialogs/extension.py, examples/dialogs/findfiles.py,
	examples/dialogs/standarddialogs.py, examples/dialogs/tabdialog.py,
	examples/dialogs/trivialwizard.py,
	examples/draganddrop/delayedencoding/delayedencoding.py,
	examples/draganddrop/draggableicons/draggableicons.py,
	examples/draganddrop/draggabletext/draggabletext.py,
	examples/draganddrop/dropsite.py,
	examples/draganddrop/fridgemagnets/fridgemagnets.py,
	examples/draganddrop/puzzle/puzzle.py, examples/effects/lighting.py,
	examples/graphicsview/anchorlayout.py,
	examples/graphicsview/collidingmice/collidingmice.py,
	examples/graphicsview/diagramscene/diagramscene.py,
	examples/graphicsview/dragdroprobot/dragdroprobot.py,
	examples/graphicsview/elasticnodes.py,
	examples/graphicsview/padnavigator/padnavigator.py,
	examples/itemviews/basicsortfiltermodel.py,
	examples/itemviews/chart/chart.py, examples/itemviews/dirview.py,
	examples/itemviews/editabletreemodel/editabletreemodel.py,
	examples/itemviews/fetchmore.py,
	examples/itemviews/pixelator/pixelator.py,
	examples/itemviews/puzzle/puzzle.py,
	examples/itemviews/simpledommodel.py,
	examples/itemviews/simpletreemodel/simpletreemodel.py,
	examples/itemviews/spinboxdelegate.py,
	examples/itemviews/stardelegate.py,
	examples/layouts/basiclayouts.py, examples/layouts/borderlayout.py,
	examples/layouts/flowlayout.py,
	examples/mainwindows/application/application.py,
	examples/mainwindows/dockwidgets/dockwidgets.py,
	examples/mainwindows/mdi/mdi.py, examples/mainwindows/menus.py,
	examples/mainwindows/recentfiles.py,
	examples/mainwindows/sdi/sdi.py,
	examples/mainwindows/separations.py,
	examples/network/blockingfortuneclient.py,
	examples/network/broadcastreceiver.py,
	examples/network/broadcastsender.py,
	examples/network/fortuneclient.py,
	examples/network/fortuneserver.py, examples/network/ftp/ftp.py,
	examples/network/http/http.py, examples/network/loopback.py,
	examples/network/threadedfortuneserver.py,
	examples/opengl/2dpainting.py, examples/opengl/grabber.py,
	examples/opengl/hellogl.py, examples/opengl/overpainting.py,
	examples/opengl/samplebuffers.py,
	examples/opengl/textures/textures.py,
	examples/painting/basicdrawing/basicdrawing.py,
	examples/painting/concentriccircles.py,
	examples/painting/painterpaths.py,
	examples/painting/svgviewer/svgviewer.py,
	examples/painting/transformations.py,
	examples/phonon/capabilities.py, examples/phonon/musicplayer.py,
	examples/pyuic/compile-on-the-fly.py, examples/pyuic/load_ui1.py,
	examples/pyuic/load_ui2.py, examples/richtext/calendar.py,
	examples/richtext/orderform.py,
	examples/richtext/syntaxhighlighter.py,
	examples/richtext/textobject/textobject.py,
	examples/script/helloscript.py, examples/sql/cachedtable.py,
	examples/sql/connection.py, examples/sql/querymodel.py,
	examples/sql/relationaltablemodel.py, examples/sql/tablemodel.py,
	examples/threads/mandelbrot.py, examples/threads/semaphores.py,
	examples/threads/waitconditions.py, examples/tools/codecs/codecs.py,
	examples/tools/i18n/i18n.py, examples/tools/regexp.py,
	examples/tools/settingseditor/settingseditor.py,
	examples/tutorials/addressbook/part1.py,
	examples/tutorials/addressbook/part2.py,
	examples/tutorials/addressbook/part3.py,
	examples/tutorials/addressbook/part4.py,
	examples/tutorials/addressbook/part5.py,
	examples/tutorials/addressbook/part6.py,
	examples/tutorials/addressbook/part7.py,
	examples/widgets/analogclock.py, examples/widgets/calculator.py,
	examples/widgets/charactermap.py, examples/widgets/digitalclock.py,
	examples/widgets/groupbox.py, examples/widgets/icons/icons.py,
	examples/widgets/imageviewer.py, examples/widgets/lineedits.py,
	examples/widgets/movie/movie.py, examples/widgets/scribble.py,
	examples/widgets/shapedclock.py, examples/widgets/sliders.py,
	examples/widgets/spinboxes.py, examples/widgets/styles.py,
	examples/widgets/tetrix.py, examples/widgets/tooltips/tooltips.py,
	examples/widgets/wiggly.py, examples/widgets/windowflags.py,
	examples/xml/dombookmarks/dombookmarks.py,
	examples/xml/saxbookmarks/saxbookmarks.py,
	examples/xmlpatterns/schema/schema.py:
	Updated and unified all of the copyright notices in the examples.
	[209e71ff4780]

2010-10-21  Phil Thompson  <phil@riverbankcomputing.com>

	* Makefile, examples/itemviews/stardelegate.py:
	Removed the workaround in the stardelegate.py example now that sip
	has been fixed.
	[9dd9614b6938]

2010-10-20  Phil Thompson  <phil@riverbankcomputing.com>

	* Makefile, qpy/QtDeclarative/qpydeclarativelistproperty.cpp:
	Fixed a build problem with Python v2.5 and earlier.
	[e0520052e368]

	* Makefile, NEWS, examples/demos/qtdemo/xml/examples.xml,
	examples/itemviews/stardelegate.py:
	Added the stardelegate.py example from Hans-Peter Jansen.
	[d46cda10f6aa]

	* installers/BuildGPL.txt:
	Updated the Windows installer build instructions.
	[5b87b4565e69]

2010-10-19  Phil Thompson  <phil@riverbankcomputing.com>

	* NEWS, PyQt4.msp:
	Added the missing << operator to QPolygon, QPolygonF and
	QXmlStreamAttributes.
	[528066459af8]

	* examples/itemviews/editabletreemodel/editabletreemodel.py:
	Fixed several bugs in the editabletreemodel.py example.
	[b6014b802088]

	* qpy/QtCore/qpycore_types.cpp, qpy/QtCore/qpycore_types.h:
	Fixed the creation of QMetaObjects for Python classes where they
	included a property with an enum type.
	[1cb9db0a32c3]

2010-10-18  Phil Thompson  <phil@riverbankcomputing.com>

	* designer/pluginloader.cpp:
	Minor updates to the Designer plugin loader.
	[e900b5cd82ec]

	* installers/BuildGPL.txt, installers/PyQt-gpl.nsi:
	Updated the Windows installer now that we are building a customer
	version of the PostgreSQL driver.
	[16abc29b9623]

	* installers/BuildGPL.txt, installers/PyQt-gpl.nsi, installers/pyqt-
	check.py, installers/pyqt-config.bat, installers/qt-config.bat,
	installers/sip-config.bat:
	Updated the Windows installer now that we are using a custom Qt
	build.
	[cd2b402742bc]

2010-10-13  Phil Thompson  <phil@riverbankcomputing.com>

	* pyuic/uic/Compiler/qtproxies.py:
	The recent pyuic4 fix for enum types defined in widgets defined in a
	widget plugin means that all QtGui classes that might be mentioned
	in a .ui file (ie. because they define an enum) must be properly
	defined..
	[3011e73e866d]

2010-10-12  Phil Thompson  <phil@riverbankcomputing.com>

	* contrib/pymodeltest/modeltest.py:
	Fixed obvious connection bugs in modeltest.py.
	[b6bafcae4b28]

	* examples/demos/qtdemo/colors.py,
	examples/demos/qtdemo/mainwindow.py:
	Removed the (unused) Direct3D support from qtdemo.py.
	[ef0262393235]

2010-10-11  Phil Thompson  <phil@riverbankcomputing.com>

	* NEWS:
	Updated the NEWS file.
	[9cbf25e0706a]

2010-10-09  Phil Thompson  <phil@riverbankcomputing.com>

	* installers/PyQt-gpl.nsi:
	Updated the Windows installer for Qt v4.7.
	[884685cb54ea]

	* qpy/QtDeclarative/qpydeclarativelistproperty.sip:
	Fixed build problems on Python v2.6 and earlier.
	[59c7821c6b6d]

2010-10-08  Phil Thompson  <phil@riverbankcomputing.com>

	* PyQt4.msp, build.py, doc/pyqt4ref.txt:
	Updated the docs to use Qt v4.7.
	[d3b4450b28c5]

	* PyQt4.msp:
	Added /KeepReference/ to the QtGui module. Added some missing
	/Transfer/ annotations.
	[00b638275148]

	* PyQt4.msp:
	Added /KeepReference/ to the QtCore module.
	[b0ced7a3eab1]

	* PyQt4.msp:
	Added /KeepReference/ to the QtXml module.
	[c7d2f8acafad]

	* PyQt4.msp:
	Added /KeepReference/ to the QtWebKit module.
	[b18309d9c931]

	* PyQt4.msp:
	Added /KeepReference/ to the QtSvg module.
	[6086954e6cba]

	* PyQt4.msp:
	Added /KeepReference/ to the QtNetwork module.
	[b462bcc8c1ee]

	* PyQt4.msp:
	Added a missing /Transfer/ to QGLWidget.setContext().
	[297ed76cb69a]

	* PyQt4.msp:
	Added /KeepReference/ to the QtDeclarative module.
	[654e20f15b57]

	* PyQt4.msp:
	Added /KeepReference/ to the phonon module.
	[3f337bebdcd0]

	* PyQt4.msp:
	Added /KeepReference/ to the QtScript module.
	[934995a32cfd]

	* PyQt4.msp:
	Added /KeepReference/ to the QtDesigner module.
	[f337ef98c9de]

2010-10-07  Phil Thompson  <phil@riverbankcomputing.com>

	* PyQt4.msp:
	Added /KeepReference/ to the QtXmlPatterns module.
	[33dd14ff8d89]

	* doc/pyqt4ref.txt:
	Added a section of PyQt and QML to the documentation.
	[c0b040c40aae]

	* examples/declarative/tutorials/extending/chapter1-basics/app.qml, ex
	amples/declarative/tutorials/extending/chapter1-basics/chapter1-basi
	cs.py:
	Removed the declarative tutorial as it looks like it is impossible
	to support.
	[8e1bc7d181e6]

	* qpy/QtCore/qpycore_pyqtboundsignal.cpp:
	The new connection API now releases the GIL (like the old one does)
	when calling connect() and disconnect() to avoid a potential
	deadlock.
	[6293bc20bd5f]

	* examples/declarative/tutorials/extending/chapter1-basics/app.qml, ex
	amples/declarative/tutorials/extending/chapter1-basics/chapter1-basi
	cs.py:
	Added the start of the decalarative tutoral - even though there is
	insufficient support to run it.
	[6648296578ce]

2010-10-05  Phil Thompson  <phil@riverbankcomputing.com>

	* examples/demos/embedded/lightmaps.py:
	Applied a patch from Hans-Peter Jansen for the lightmaps.py demo.
	[aa30c55cc918]

	* pyuic/uic/properties.py:
	Fixed a bug with enums contained in classes defined in a widget
	plugin.
	[e04201692531]

	* examples/demos/embedded/lightmaps.py,
	examples/demos/qtdemo/menumanager.py,
	examples/demos/qtdemo/xml/examples.xml,
	qpy/QtDeclarative/qpydeclarative_post_init.cpp,
	qpy/QtDeclarative/qpydeclarativelistproperty.cpp:
	Added the lightmaps.py demo from Hans-Peter Jansen. Ported the
	QtDeclarative support to Python v3.
	[dcdf527ef45a]

	* examples/demos/qtdemo/menumanager.py,
	examples/demos/qtdemo/xml/examples.xml:
	qtdemo.py will now launch minehunt.py as a separate process rather
	than trying to display it.
	[9fae988b2743]

	* examples/demos/declarative/minehunt/MinehuntCore/Explosion.qml,
	examples/demos/declarative/minehunt/MinehuntCore/Tile.qml,
	examples/demos/declarative/minehunt/MinehuntCore/pics/No-Ones-
	Laughing-3.jpg,
	examples/demos/declarative/minehunt/MinehuntCore/pics/back.png,
	examples/demos/declarative/minehunt/MinehuntCore/pics/bomb-
	color.png,
	examples/demos/declarative/minehunt/MinehuntCore/pics/bomb.png,
	examples/demos/declarative/minehunt/MinehuntCore/pics/face-sad.png,
	examples/demos/declarative/minehunt/MinehuntCore/pics/face-smile-
	big.png, examples/demos/declarative/minehunt/MinehuntCore/pics/face-
	smile.png, examples/demos/declarative/minehunt/MinehuntCore/pics
	/flag-color.png,
	examples/demos/declarative/minehunt/MinehuntCore/pics/flag.png,
	examples/demos/declarative/minehunt/MinehuntCore/pics/front.png,
	examples/demos/declarative/minehunt/MinehuntCore/pics/quit.png,
	examples/demos/declarative/minehunt/MinehuntCore/pics/star.png,
	examples/demos/declarative/minehunt/MinehuntCore/qmldir,
	examples/demos/declarative/minehunt/minehunt.py,
	examples/demos/declarative/minehunt/minehunt.qml:
	Added the minehunt.py demo.
	[afd30d583628]

	* qpy/QtDeclarative/qpydeclarative.pro,
	qpy/QtDeclarative/qpydeclarative_listwrapper.cpp,
	qpy/QtDeclarative/qpydeclarative_listwrapper.h,
	qpy/QtDeclarative/qpydeclarative_post_init.cpp,
	qpy/QtDeclarative/qpydeclarative_pydelegate.cpp,
	qpy/QtDeclarative/qpydeclarative_pydelegate.h,
	qpy/QtDeclarative/qpydeclarativelistproperty.cpp,
	qpy/QtDeclarative/qpydeclarativelistproperty.h,
	qpy/QtDeclarative/qpydeclarativelistproperty.sip:
	Further refactoring of QPyDeclarativeListProperty now that we
	understand that the data needs to be a QList.
	[82e3109f9310]

2010-10-04  Phil Thompson  <phil@riverbankcomputing.com>

	* examples/declarative/modelviews/objectlistmodel/objectlistmodel.py,
	examples/declarative/modelviews/objectlistmodel/objectlistmodel.qrc,
	examples/declarative/modelviews/objectlistmodel/view.qml,
	examples/declarative/objectlistmodel/objectlistmodel.py,
	examples/declarative/objectlistmodel/objectlistmodel.qrc,
	examples/declarative/objectlistmodel/view.qml:
	Updated the objectlistmodel.py example so that the QML is unchanged.
	[686880047ab0]

	* doc/pyqt4ref.txt, qpy/QtCore/qpycore_chimera.cpp,
	qpy/QtCore/qpycore_chimera.h,
	qpy/QtDeclarative/qpydeclarative_pydelegate.cpp,
	qpy/QtDeclarative/qpydeclarative_pydelegate.h:
	QVariant now special cases QList<QObject *>. This ensures that an
	QML object's property can be accessed as "foo", "modelData.foo" or
	"model.modelData.foo".
	[06e64b0fb685]

	* qpy/QtDeclarative/qpydeclarative_pydelegate.cpp,
	qpy/QtDeclarative/qpydeclarative_pydelegate.h,
	qpy/QtDeclarative/qpydeclarativelistproperty.cpp:
	The list access of QPyDeclarativeListProperty now seems to work.
	[97a266077e4a]

	* qpy/QtDeclarative/qpydeclarativelistproperty.cpp,
	qpy/QtDeclarative/qpydeclarativelistproperty.sip:
	QPyDeclarativeListProperty now seems to work as the minehunt tiles
	getter no longer crashes.
	[6d1eb2acaea7]

	* qpy/QtDeclarative/qpydeclarative_post_init.cpp:
	More debugging.
	[9b89716ccd71]

2010-10-03  Phil Thompson  <phil@riverbankcomputing.com>

	* qpy/QtDeclarative/qpydeclarative_listwrapper.cpp,
	qpy/QtDeclarative/qpydeclarativelistproperty.cpp,
	qpy/QtDeclarative/qpydeclarativelistproperty.sip:
	Completed the implementation of the QPyDeclarativeListProperty
	mapped type.
	[cd1cf8e3ddaa]

	* PyQt4.msp, qpy/QtDeclarative/qpydeclarative.pro,
	qpy/QtDeclarative/qpydeclarative_api.h,
	qpy/QtDeclarative/qpydeclarative_init.cpp,
	qpy/QtDeclarative/qpydeclarative_listwrapper.cpp,
	qpy/QtDeclarative/qpydeclarative_listwrapper.h,
	qpy/QtDeclarative/qpydeclarative_post_init.cpp,
	qpy/QtDeclarative/qpydeclarative_pydelegate.cpp,
	qpy/QtDeclarative/qpydeclarative_pydelegate.h,
	qpy/QtDeclarative/qpydeclarativelistproperty.cpp,
	qpy/QtDeclarative/qpydeclarativelistproperty.h,
	qpy/QtDeclarative/qpydeclarativelistproperty.sip:
	Major refactoring of QPyDeclarativeListProperty now that we
	understand that QDeclarativeListProperty cannot be sub-classed.
	[e111c7da6bf5]

2010-10-02  Phil Thompson  <phil@riverbankcomputing.com>

	* qpy/QtCore/qpycore_pyqtproperty.cpp, qpy/QtCore/qpycore_types.cpp,
	qpy/QtDeclarative/qpydeclarative_init.cpp,
	qpy/QtDeclarative/qpydeclarativelistproperty.h,
	test/tests/metaobject/test_pyqtproperty.py:
	More fixes for the meta-object data for properties.
	[33ffd322d457]

2010-10-01  Phil Thompson  <phil@riverbankcomputing.com>

	* qpy/QtCore/qpycore_qobject_helpers.cpp,
	qpy/QtDeclarative/qpydeclarative_init.cpp,
	qpy/QtDeclarative/qpydeclarative_pydelegate.cpp:
	Register QPyDeclarativeListProperty so is can be copied to a
	QVariant.
	[dd22ddd04802]

	* qpy/QtCore/qpycore_types.cpp:
	Fixed a bug in the moc revision 4 support as a signal index is
	created for all properties when at least one of them has a notify
	signal.
	[c89005325465]

	* examples/declarative/objectlistmodel/objectlistmodel.py,
	examples/declarative/objectlistmodel/objectlistmodel.qrc,
	examples/declarative/objectlistmodel/view.qml:
	Added thge objectlistmodel.py example.
	[6ea0c764d377]

	* examples/animation/stickman/stickman.py:
	Changed the stickman.py example to use pyqtProperty() as a
	decorator.
	[03f4f0257fd5]

	* Makefile, doc/pyqt4ref.txt, qpy/QtCore/qpycore_pyqtproperty.cpp,
	test/tests/metaobject/test_pyqtproperty.py:
	Completed the pyqtProperty() changes.
	[d808a06dee56]

	* Makefile, qpy/QtCore/qpycore_chimera.cpp,
	qpy/QtCore/qpycore_chimera.h, qpy/QtCore/qpycore_post_init.cpp,
	qpy/QtCore/qpycore_pyqtproperty.cpp,
	qpy/QtCore/qpycore_pyqtproperty.h,
	qpy/QtCore/qpycore_pyqtsignal.cpp,
	qpy/QtCore/qpycore_qobject_helpers.cpp,
	qpy/QtCore/qpycore_types.cpp:
	Added the initial (ie. not debugged) pyqtProperty support for use as
	a decorator.
	[a8a0d2fc6447]

2010-09-30  Phil Thompson  <phil@riverbankcomputing.com>

	* qpy/QtCore/qpycore_pyqtsignal.cpp:
	Fixed a bug in the detection of unknown signals.
	[3c67710d0c58]

	* doc/pyqt4ref.txt, lib/configure.py:
	Added the --assume-shared option to configure.py.
	[40881ea02578]

	* PyQt4.msp:
	Changed the implementation of the new QFlags operators in case the
	enum is protected.
	[2431b1268d63]

	* pyuic/uic/Loader/loader.py:
	Fixed the recent fix to allow QString filenames to be passed to
	uic.loadUi().
	[5adbe8961c5c]

	* doc/pyqt4ref.txt, qpy/QtCore/qpycore_pyqtboundsignal.cpp,
	qpy/QtCore/qpycore_pyqtboundsignal.h,
	qpy/QtCore/qpycore_pyqtproperty.cpp,
	qpy/QtCore/qpycore_pyqtproperty.h,
	qpy/QtCore/qpycore_pyqtsignal.cpp, qpy/QtCore/qpycore_pyqtsignal.h,
	qpy/QtCore/qpycore_types.cpp:
	Added 'notify' support to pyqtProperty.
	[0e7fd1b67654]

2010-09-28  Phil Thompson  <phil@riverbankcomputing.com>

	* qpy/QtCore/qpycore_pyqtboundsignal.cpp,
	qpy/QtCore/qpycore_pyqtsignal.cpp, qpy/QtCore/qpycore_pyqtsignal.h:
	Unbound signals can now be subscripted.
	[a97b3a909200]

	* qpy/QtCore/qpycore_pyqtproperty.cpp,
	qpy/QtCore/qpycore_pyqtsignal.cpp, qpy/QtCore/qpycore_types.cpp,
	qpy/QtDeclarative/qpydeclarativelistproperty.cpp:
	Added support for the layout of moc revision 4.
	[46cdb93f2fa8]

	* PyQt4.msp, qpy/QtCore/qpycore_qobject_helpers.cpp,
	qpy/QtDeclarative/qpydeclarative.pro,
	qpy/QtDeclarative/qpydeclarative_api.h,
	qpy/QtDeclarative/qpydeclarative_init.cpp,
	qpy/QtDeclarative/qpydeclarative_pydelegate.cpp,
	qpy/QtDeclarative/qpydeclarative_pydelegate.h:
	Fixed the support for ReadProperty because QtDeclarative uses a
	slightly different calling convention.
	[5b10a6987013]

	* lib/configure.py, qpy/QtCore/qpycore_pyqtproxy.h,
	qpy/QtDeclarative/qpydeclarative.pro,
	qpy/QtDeclarative/qpydeclarative_pydelegate.cpp,
	qpy/QtDeclarative/qpydeclarative_pydelegate.h,
	qpy/QtDeclarative/qpydeclarativelistproperty.cpp,
	qpy/QtDeclarative/qpydeclarativelistproperty.h,
	qpy/QtDeclarative/qpydeclarativelistproperty.sip:
	Added QPyDeclarativeListProperty as a workaround for the
	QDeclarativeListProperty template.
	[4708e7a57d70]

2010-09-27  Phil Thompson  <phil@riverbankcomputing.com>

	* lib/configure.py:
	Fixed a problem with the Qt consolidated module because
	QtDeclarative was in the wrong place.
	[eac5dd92c907]

2010-09-25  Phil Thompson  <phil@riverbankcomputing.com>

	* doc/pyqtdoc/qpydeclarativepropertyvaluesource#details,
	examples/demos/declarative/samegame/SamegameCore/BoomBlock.qml,
	examples/demos/declarative/samegame/SamegameCore/Button.qml,
	examples/demos/declarative/samegame/SamegameCore/Dialog.qml, example
	s/demos/declarative/samegame/SamegameCore/pics/background.png,
	examples/demos/declarative/samegame/SamegameCore/pics/blueStar.png,
	examples/demos/declarative/samegame/SamegameCore/pics/blueStone.png,
	examples/demos/declarative/samegame/SamegameCore/pics/greenStar.png,
	examples/demos/declarative/samegame/SamegameCore/pics/greenStone.png
	, examples/demos/declarative/samegame/SamegameCore/pics/redStar.png,
	examples/demos/declarative/samegame/SamegameCore/pics/redStone.png,
	examples/demos/declarative/samegame/SamegameCore/pics/star.png, exam
	ples/demos/declarative/samegame/SamegameCore/pics/yellowStone.png,
	examples/demos/declarative/samegame/SamegameCore/qmldir,
	examples/demos/declarative/samegame/SamegameCore/samegame.js,
	examples/demos/declarative/samegame/highscores/README,
	examples/demos/declarative/samegame/highscores/score_data.xml,
	examples/demos/declarative/samegame/highscores/score_style.xsl,
	examples/demos/declarative/samegame/highscores/scores.php,
	examples/demos/declarative/samegame/samegame.qml,
	examples/demos/qtdemo/xml/examples.xml,
	qpy/QtDeclarative/qpydeclarative.pro,
	qpy/QtDeclarative/qpydeclarativepropertyvaluesource.h,
	qpy/QtDeclarative/qpydeclarativepropertyvaluesource.sip:
	Added the samegame QML demo. Added the files I forgot to add in the
	previous changeset.
	[a41b6212d8bb]

	* build.py, lib/configure.py:
	Added the QPyDeclarativePropertyValueSource class to the
	QtDeclarative module.
	[fa5e626bc704]

	* pyuic/LICENSE, pyuic/uic/Compiler/__init__.py,
	pyuic/uic/Compiler/compiler.py, pyuic/uic/Compiler/indenter.py,
	pyuic/uic/Compiler/misc.py, pyuic/uic/Compiler/proxy_type.py,
	pyuic/uic/Compiler/qobjectcreator.py,
	pyuic/uic/Compiler/qtproxies.py, pyuic/uic/Loader/__init__.py,
	pyuic/uic/Loader/loader.py, pyuic/uic/Loader/qobjectcreator.py,
	pyuic/uic/__init__.py, pyuic/uic/driver.py, pyuic/uic/exceptions.py,
	pyuic/uic/icon_cache.py, pyuic/uic/objcreator.py,
	pyuic/uic/port_v2/__init__.py, pyuic/uic/port_v2/as_string.py,
	pyuic/uic/port_v2/ascii_upper.py, pyuic/uic/port_v2/invoke.py,
	pyuic/uic/port_v2/load_plugin.py, pyuic/uic/port_v2/proxy_base.py,
	pyuic/uic/port_v2/string_io.py, pyuic/uic/port_v3/__init__.py,
	pyuic/uic/port_v3/as_string.py, pyuic/uic/port_v3/ascii_upper.py,
	pyuic/uic/port_v3/invoke.py, pyuic/uic/port_v3/load_plugin.py,
	pyuic/uic/port_v3/proxy_base.py, pyuic/uic/port_v3/string_io.py,
	pyuic/uic/properties.py, pyuic/uic/pyuic.py, pyuic/uic/uiparser.py,
	pyuic/uic/widget-plugins/phonon.py, pyuic/uic/widget-
	plugins/qaxcontainer.py, pyuic/uic/widget-plugins/qscintilla.py,
	pyuic/uic/widget-plugins/qtdeclarative.py, pyuic/uic/widget-
	plugins/qtwebkit.py:
	Updated the pyuic4 copyright notices.
	[4fe1a1002991]

	* pyuic/uic/Compiler/proxy_type.py:
	Fixed a long-standing pyuic4 bug that only shows itself with Python
	v3.2.
	[906ffa5fe5ef]

2010-09-24  Phil Thompson  <phil@riverbankcomputing.com>

	* PyQt4.msp:
	Wrapped the rest of the QtDeclarative classes.
	[dbc746cf377e]

	* examples/declarative/toys/README, examples/declarative/ui-
	components/README, examples/declarative/ui-
	components/dialcontrol/content/Dial.qml, examples/declarative/ui-
	components/dialcontrol/content/background.png, examples/declarative
	/ui-components/dialcontrol/content/needle.png, examples/declarative
	/ui-components/dialcontrol/content/needle_shadow.png,
	examples/declarative/ui-components/dialcontrol/content/overlay.png,
	examples/declarative/ui-components/dialcontrol/dialcontrol.qml,
	examples/declarative/ui-components/flipable/content/5_heart.png,
	examples/declarative/ui-components/flipable/content/9_club.png,
	examples/declarative/ui-components/flipable/content/Card.qml,
	examples/declarative/ui-components/flipable/content/back.png,
	examples/declarative/ui-components/flipable/flipable.qml,
	examples/declarative/ui-
	components/progressbar/content/ProgressBar.qml, examples/declarative
	/ui-components/progressbar/content/background.png,
	examples/declarative/ui-components/progressbar/main.qml,
	examples/declarative/ui-components/scrollbar/ScrollBar.qml,
	examples/declarative/ui-components/scrollbar/main.qml,
	examples/declarative/ui-components/scrollbar/pics/niagara_falls.jpg,
	examples/declarative/ui-components/searchbox/SearchBox.qml,
	examples/declarative/ui-components/searchbox/images/clear.png,
	examples/declarative/ui-components/searchbox/images/lineedit-bg-
	focus.png, examples/declarative/ui-components/searchbox/images
	/lineedit-bg.png, examples/declarative/ui-
	components/searchbox/main.qml, examples/declarative/ui-
	components/slideswitch/content/Switch.qml, examples/declarative/ui-
	components/slideswitch/content/background.svg, examples/declarative
	/ui-components/slideswitch/content/knob.svg, examples/declarative
	/ui-components/slideswitch/slideswitch.qml, examples/declarative/ui-
	components/spinner/content/Spinner.qml, examples/declarative/ui-
	components/spinner/content/spinner-bg.png, examples/declarative/ui-
	components/spinner/content/spinner-select.png, examples/declarative
	/ui-components/spinner/main.qml, examples/declarative/ui-
	components/tabwidget/TabWidget.qml, examples/declarative/ui-
	components/tabwidget/main.qml, examples/declarative/ui-
	components/tabwidget/tab.png,
	examples/demos/qtdemo/xml/examples.xml:
	Added the ui-components QML examples.
	[e9e3fa01a693]

	* examples/demos/qtdemo/mainwindow.py,
	examples/demos/qtdemo/menumanager.py:
	Fixed the key event handling in qtdemo.py so that corkboards.qml
	works.
	[12d0f75dfede]

	* PyQt4.msp, examples/declarative/toys/README,
	examples/demos/qtdemo/menumanager.py:
	The QML support in qtdemo.py now basically works. (Note that the
	internal QDeclarativeItem setHeight() and setWidth() methods had to
	be exposed.)
	[885117ca07a7]

	* examples/declarative/toys/README,
	examples/declarative/toys/clocks/clocks.qml,
	examples/declarative/toys/clocks/content/Clock.qml,
	examples/declarative/toys/clocks/content/background.png,
	examples/declarative/toys/clocks/content/center.png,
	examples/declarative/toys/clocks/content/clock-night.png,
	examples/declarative/toys/clocks/content/clock.png,
	examples/declarative/toys/clocks/content/hour.png,
	examples/declarative/toys/clocks/content/minute.png,
	examples/declarative/toys/clocks/content/second.png,
	examples/declarative/toys/corkboards/Day.qml,
	examples/declarative/toys/corkboards/cork.jpg,
	examples/declarative/toys/corkboards/corkboards.qml,
	examples/declarative/toys/corkboards/note-yellow.png,
	examples/declarative/toys/corkboards/tack.png,
	examples/declarative/toys/dynamicscene/dynamicscene.qml,
	examples/declarative/toys/dynamicscene/images/face-smile.png,
	examples/declarative/toys/dynamicscene/images/moon.png,
	examples/declarative/toys/dynamicscene/images/rabbit_brown.png,
	examples/declarative/toys/dynamicscene/images/rabbit_bw.png,
	examples/declarative/toys/dynamicscene/images/star.png,
	examples/declarative/toys/dynamicscene/images/sun.png,
	examples/declarative/toys/dynamicscene/images/tree_s.png,
	examples/declarative/toys/dynamicscene/qml/Button.qml,
	examples/declarative/toys/dynamicscene/qml/GenericSceneItem.qml,
	examples/declarative/toys/dynamicscene/qml/PaletteItem.qml,
	examples/declarative/toys/dynamicscene/qml/PerspectiveItem.qml,
	examples/declarative/toys/dynamicscene/qml/Sun.qml,
	examples/declarative/toys/dynamicscene/qml/itemCreation.js,
	examples/declarative/toys/tic-tac-toe/content/Button.qml,
	examples/declarative/toys/tic-tac-toe/content/TicTac.qml,
	examples/declarative/toys/tic-tac-toe/content/pics/board.png,
	examples/declarative/toys/tic-tac-toe/content/pics/o.png,
	examples/declarative/toys/tic-tac-toe/content/pics/x.png,
	examples/declarative/toys/tic-tac-toe/content/tic-tac-toe.js,
	examples/declarative/toys/tic-tac-toe/tic-tac-toe.qml,
	examples/declarative/toys/tvtennis/tvtennis.qml,
	examples/demos/qtdemo/menumanager.py,
	examples/demos/qtdemo/qmlShell.qml,
	examples/demos/qtdemo/qtdemo.qrc,
	examples/demos/qtdemo/xml/examples.xml:
	Added the toy declarative examples. Initial changes (ie. not
	debugged) for QML support in the qtdemo example.
	[9f71f2748aed]

	* PyQt4.msp, pyuic/uic/widget-plugins/qtdeclarative.py:
	Added the QtDeclarative plugin for pyuic4. Added QDeclarativeItem
	and QDeclarativeParserStatus.
	[9bc58bc1d287]

	* NEWS, doc/pyqt4ref.txt, doc/pyqtdoc/PyQt4.xfm,
	doc/pyqtdoc/qtdeclarative.html#details, lib/configure.py,
	lib/pyqtconfig.py.in, pyqtdoc/renderer.py:
	configure.py now handles the QtDeclarative module. sip v4.11.2 is
	now required. Updated the documentation to include the QtDeclarative
	module. Updated the NEWS file.
	[349603d232a6]

2010-09-23  Phil Thompson  <phil@riverbankcomputing.com>

	* PyQt4.msp:
	Wrapped enough of QtDeclarative fro QDeclarativeView.
	[1a197a687673]

	* pyuic/uic/uiparser.py:
	Another pyuic4 fix for QFormLayout to make sure any child layouts
	are properly configured.
	[46c6a93a48c5]

	* pyuic/uic/uiparser.py:
	Fixed pyuic4 to handle QFormLayout spanning roles properly.
	[3b8ee506fa01]

	* examples/widgets/charactermap.py:
	Python3 fix for the charactermap.py example from Colin McPhail.
	[84f806c673be]

	* .hgignore:
	Added the .hgignore file.
	[09525e443060]

	* PyQt4.msp:
	Completed the updates to QPainter for Qt v4.7.
	[3d2a7b471d98]

	* PyQt4.msp:
	The QtGui now supports Qt v4.7 (except for the QPainter changes).
	[3f51cb4766e3]

2010-09-22  Phil Thompson  <phil@riverbankcomputing.com>

	* PyQt4.msp:
	The QtCore module now fully supports Qt v4.7.
	[9d0dda85c85d]

	* PyQt4.msp:
	The QtNetwork module is now fully ported to Qt v4.7.
	[83323fb38606]

2010-09-21  Phil Thompson  <phil@riverbankcomputing.com>

	* Makefile, PyQt4.msp, doc/pyqt4ref.txt,
	doc/pyqtdoc/qtassistant.html#details, lib/configure.py:
	Updated all modules (except for QtCore, QtGui and QtNetwork) for Qt
	v4.7.
	[16b49a8d7d71]

	* .hgtags, installers/PyQt-gpl.nsi-in, installers/configqt.bat,
	pyuic/uic/port_v2/encode_utf8.py, pyuic/uic/port_v3/encode_utf8.py:
	Merged v4.7.7 back into the trunk.
	[c89624c0bb92]

2010-09-20  Phil Thompson  <phil@riverbankcomputing.com>

	* .hgtags:
	Added tag 4.7.7 for changeset 1f90d0ab1a57
	[8c773e117790] <4.7-maint>

	* NEWS:
	Released as v4.7.7.
	[1f90d0ab1a57] [4.7.7] <4.7-maint>

2010-09-14  Phil Thompson  <phil@riverbankcomputing.com>

	* pyuic/uic/Loader/loader.py:
	uic.loadUi() will now accept a QString filename again.
	[4a8d4a20c40e] <4.7-maint>

2010-09-13  Phil Thompson  <phil@riverbankcomputing.com>

	* examples/painting/svgviewer/files/bubbles.svg,
	examples/painting/svgviewer/svgviewer.py:
	Fixes for the svgviewer.py example from Hans-Peter Janson.
	[91fc183148ef] <4.7-maint>

	* PyQt4.msp:
	QFlags can now be ored (and xored) against an int. At the cost of
	relaxing the type checking this makes the behaviour consistent
	irrespective of the order in which enums of other types are
	specified.
	[a806e692f6d6] <4.7-maint>

	* Makefile, examples/demos/qtdemo/xml/examples.xml,
	examples/mainwindows/separations.py:
	Added the separations.py example from Hans-Peter Jansen.
	[2294e9744452] <4.7-maint>

	* Makefile, examples/demos/qtdemo/xml/examples.xml,
	examples/draganddrop/delayedencoding/delayedencoding.py,
	examples/draganddrop/delayedencoding/delayedencoding.qrc,
	examples/draganddrop/delayedencoding/images/drag.png,
	examples/draganddrop/delayedencoding/images/example.svg:
	Added the delayedencoding.py example for Hans-Peter Jansen.
	[016e6ef9d2f7] <4.7-maint>

	* examples/demos/qtdemo/xml/examples.xml,
	examples/draganddrop/dropsite.py:
	Added the dropsite.py example fro Hans-Peter Jansen.
	[db67dca48864] <4.7-maint>

2010-09-07  Phil Thompson  <phil@riverbankcomputing.com>

	* doc/pyqt4ref.txt, pyuic/uic/__init__.py, pyuic/uic/driver.py:
	Fixed a pyuic regression under Python v2 when using the -o command
	line flag. Fixed a pyuic regression when calling loadUiType().
	[bc395557c0e6] <4.7-maint>

2010-09-06  Phil Thompson  <phil@riverbankcomputing.com>

	* .hgtags:
	Added tag 4.7.6 for changeset 01204d141e00
	[4d303f09bec7] <4.7-maint>

	* NEWS:
	Released as v4.7.6.
	[01204d141e00] [4.7.6] <4.7-maint>

2010-09-05  Phil Thompson  <phil@riverbankcomputing.com>

	* examples/widgets/charactermap.py:
	Fixed the font size selection of the charactermap.py example.
	[7f2e4adc54f7] <4.7-maint>

2010-09-03  Phil Thompson  <phil@riverbankcomputing.com>

	* pyuic/uic/driver.py:
	pyuic under Python v3 now explicitly sets the encoding to utf8 when
	creating the .py file.
	[222dda8c9e02] <4.7-maint>

	* qpy/QtCore/qpycore_chimera.cpp:
	Fixed a bug parsing C++ template types with more than one argument.
	[4943fc9c79cd] <4.7-maint>

2010-08-31  Phil Thompson  <phil@riverbankcomputing.com>

	* .hgtags:
	Added tag 4.7.5 for changeset 9aca2e08d9bf
	[1f9d28cd546e] <4.7-maint>

	* NEWS:
	Released as v4.7.5.
	[9aca2e08d9bf] [4.7.5] <4.7-maint>

2010-08-24  Phil Thompson  <phil@riverbankcomputing.com>

	* Makefile, NEWS, PyQt4.msp:
	Added __str__() and __unicode__() to QStringRef for the QString v1
	API.
	[7088e9094087] <4.7-maint>

2010-08-23  Phil Thompson  <phil@riverbankcomputing.com>

	* Makefile, qpy/QtCore/qpycore_types.cpp:
	Changed the implementation of the QObject access function for the
	latest SIP changes.
	[edb7a88fa689] <4.7-maint>

2010-08-21  Phil Thompson  <phil@riverbankcomputing.com>

	* NEWS:
	Updated the NEWS file.
	[6ad3e35e67ac] <4.7-maint>

	* installers/PyQt-gpl.nsi:
	Added qcollectiongenerator.exe and qhelpgenerator.exe to the Windows
	installer.
	[f1829ee87016] <4.7-maint>

	* qpy/QtCore/qpycore_sip_helpers.cpp:
	A signal defined with pyqtSignal() can now be used with methods that
	contain an implicit call to QObject::connect(), eg.
	QTimer.singleShot().
	[ef0798545c98] <4.7-maint>

2010-08-20  Phil Thompson  <phil@riverbankcomputing.com>

	* doc/pyqt4ref.txt:
	Documented the from_imports argument to uic.compileUi().
	[7da4206f5f23] <4.7-maint>

2010-08-19  Phil Thompson  <phil@riverbankcomputing.com>

	* doc/pyqt4ref.txt, pyuic/uic/Compiler/compiler.py,
	pyuic/uic/Compiler/misc.py, pyuic/uic/__init__.py,
	pyuic/uic/driver.py, pyuic/uic/pyuic.py:
	Added the --from-imports command line argument to pyuic4.
	[ed6631bb036b] <4.7-maint>

	* pyuic/uic/__init__.py:
	Added missing names to uic.__all__.
	[6e18e2a856b8] <4.7-maint>

2010-08-18  Phil Thompson  <phil@riverbankcomputing.com>

	* qpy/QtCore/qpycore_types.cpp:
	Added the release functionality to the QPointer access function.
	[094f9a9a19c4] <4.7-maint>

2010-08-17  Phil Thompson  <phil@riverbankcomputing.com>

	* qpy/QtCore/qpycore_init.cpp, qpy/QtCore/qpycore_types.cpp:
	The custom meta-class now creates the QObject guard when required.
	[3cde421d16d9] <4.7-maint>

	* qpy/QtCore/qpycore_init.cpp:
	Used the new sipRegisterObjectFinaliser() to add support for
	detecting when QObjects created internally by Qt get deleted by Qt
	so that we get an exception instead of a crash when accessing them
	from Python.
	[9df7bb34ee7a] <4.7-maint>

	* pyuic/uic/Compiler/compiler.py, pyuic/uic/Compiler/qtproxies.py,
	pyuic/uic/port_v2/as_string.py, pyuic/uic/port_v2/encode_utf8.py,
	pyuic/uic/port_v3/as_string.py, pyuic/uic/port_v3/encode_utf8.py,
	pyuic/uic/properties.py:
	pyuic now properly supports UTF8 string literals (particularly
	untranslated ones).
	[6df21b6d205c] <4.7-maint>

	* PyQt4.msp:
	Removed the /TransferBack/ annotation from the argument to
	QMainWindow.removeToolBar() because Qt does not change the ownership
	(even thought QMainWindow.addToolBar() does take ownership).
	[a7f1df8878a9] <4.7-maint>

2010-08-16  Phil Thompson  <phil@riverbankcomputing.com>

	* Makefile, qpy/QtCore/qpycore_chimera_signature.cpp,
	qpy/QtCore/qpycore_pyqtboundsignal.cpp,
	qpy/QtCore/qpycore_pyqtslot.cpp, qpy/QtCore/qpycore_qmetaobject.cpp:
	Changes needed to build against Python v3.2. Removed a stray
	debugging printf().
	[2278352b6b01] <4.7-maint>

2010-08-15  Phil Thompson  <phil@riverbankcomputing.com>

	* PyQt4.msp:
	Added the missing %ConvertToSubClassCode for the QtMultimedia
	module.
	[18c3ecd5377f] <4.7-maint>

	* PyQt4.msp:
	Fixed a docstring typo.
	[8932d76486d8] <4.7-maint>

	* PyQt4.msp, qpy/QtCore/qpycore_pyqtboundsignal.cpp:
	Added a mapped type for QSet<int>.
	[3e0889517764] <4.7-maint>

2010-08-05  Phil Thompson  <phil@riverbankcomputing.com>

	* PyQt4.msp:
	Fixed a reference count bug in QXmlNodeModelIndex.internalPointer().
	[8a6793a155e0] <4.7-maint>

	* qpy/QtCore/qpycore_pyqtboundsignal.cpp:
	When connecting to a pyqtSlot decorated Python method, or a non-slot
	Qt method it is no longer necessary to have a matching signature. If
	there is no match then it will fall back to using a proxy. In other
	words, pyqtSlot (apart from creating an entry in the QMetaObject) is
	an optimisation (to avoid the proxy) and not a type checking
	mechanism.
	[b6b6e3eea456] <4.7-maint>

	* PyQt4.msp:
	Added support for QSet<unsigned>.
	[fe83b54a9605] <4.7-maint>

	* PyQt4.msp:
	Added support for QSet<unsigned, unsigned>.
	[8152925d11d1] <4.7-maint>

	* PyQt4.msp:
	Added a missing /Transfer/ to QGraphicsScene.setStyle().
	[400b7120d806] <4.7-maint>

2010-08-04  Phil Thompson  <phil@riverbankcomputing.com>

	* qpy/QtCore/qpycore_chimera.cpp, qpy/QtCore/qpycore_chimera.h:
	The C++ type parser now supports typedefs in template arguments.
	[0981fc363b71] <4.7-maint>

2010-08-03  Phil Thompson  <phil@riverbankcomputing.com>

	* PyQt4.msp, qpy/QtCore/qpycore_chimera.cpp,
	qpy/QtCore/qpycore_chimera.h:
	Added support for QMultiHash mapped types. Fixed exception messages
	when failing to parse types.
	[7f58138d4214] <4.7-maint>

2010-07-31  Phil Thompson  <phil@riverbankcomputing.com>

	* PyQt4.msp:
	Added support for QList<unsigned>.
	[7c36dc5db903] <4.7-maint>

2010-07-27  Phil Thompson  <phil@riverbankcomputing.com>

	* Makefile, build.py, qpy/QtCore/qpycore_pyqtboundsignal.cpp:
	Fixed a regression that breaks pyqtSlot() with certain argument
	types when specified using Python type objects.
	[f64f0e41c36c] <4.7-maint>

2010-07-25  Phil Thompson  <phil@riverbankcomputing.com>

	* PyQt4.msp:
	Added private assignment operators to QListWidgetItem,
	QTableWidgetItem and QTreeWidgetItem in order to suppress the
	assignment helpers and forces them to be handled as pointer types
	rather than value types.
	[17bbf4f4d4fc] <4.7-maint>

2010-07-12  Phil Thompson  <phil@riverbankcomputing.com>

	* .hgtags:
	Added tag 4.7.4 for changeset 8e8d27d6fd9e
	[cee65567956f] <4.7-maint>

	* NEWS, installers/PyQt-gpl.nsi:
	Released as v4.7.4.
	[8e8d27d6fd9e] [4.7.4] <4.7-maint>

2010-07-08  Phil Thompson  <phil@riverbankcomputing.com>

	* NEWS, PyQt4.msp:
	Fixed the operator[](int) of QWebElementCollection so that it is
	consistent with other implementations of the operator.
	[43537429b15a] <4.7-maint>

	* Makefile, PyQt4.msp, lib/configure.py:
	Applied the new __len__ annotation to all count() methods. Added a
	private assignment operator to QXmlParseException as it still cannot
	be copied even though it has a ctor with only default arguments.
	[fe2fc7903045] <4.7-maint>

2010-07-01  Phil Thompson  <phil@riverbankcomputing.com>

	* qpy/QtCore/qpycore_chimera.cpp:
	Fixed a bug in the parsing of a C++ signature that includes a
	template with multiple arguments.
	[51d5d4f1db28] <4.7-maint>

	* PyQt4.msp:
	Added the missing == and != operators from QItemSelection.
	[6645d7b0ce07] <4.7-maint>

2010-06-30  Phil Thompson  <phil@riverbankcomputing.com>

	* test/tests/metaobject/test_sender.py:
	Added some extra unit tests for QObject.sender().
	[02810fa89fcd] <4.7-maint>

2010-06-29  Phil Thompson  <phil@riverbankcomputing.com>

	* examples/phonon/musicplayer.py:
	Removed an unused line in the musicplayer.py example.
	[f3fe5da0634c] <4.7-maint>

	* PyQt4.msp, qpy/QtCore/qpycore_api.h, qpy/QtCore/qpycore_init.cpp,
	qpy/QtCore/qpycore_qobject_helpers.cpp,
	qpy/QtCore/qpycore_qobject_helpers.h,
	test/tests/metaobject/test_sender.py:
	Fixed QObject.sender() for when the slot is decorated with
	pyqtSlot().
	[8f24d3981633] <4.7-maint>

2010-06-13  Phil Thompson  <phil@riverbankcomputing.com>

	* Makefile:
	Fixed the Makefile after eralier debugging.
	[52734a1e36d9] <4.7-maint>

	* Makefile, PyQt4.msp:
	Added /NoCopy/ to the QTextItem argument of
	QPaintEngine.drawTextItem().
	[e1e8eb8f305f] <4.7-maint>

2010-06-11  Phil Thompson  <phil@riverbankcomputing.com>

	* doc/pyqt4ref.txt, qpy/QtCore/qpycore_chimera.cpp,
	qpy/QtCore/qpycore_chimera.h,
	qpy/QtCore/qpycore_pyqtboundsignal.cpp:
	connect() will now check any pyqtSlot() decorators for compatibility
	with the signal being connected. This means that a connection
	between, for example, a list argument to a dict argument will now
	fail.
	[82a8172854e6] <4.7-maint>

	* qpy/QtCore/qpycore_post_init.cpp, qpy/QtCore/qpycore_pyqtsignal.cpp,
	qpy/QtCore/qpycore_pyqtsignal.h, qpy/QtCore/qpycore_types.cpp:
	The user friendly format of a signature is now exactly the same as
	the docstring that SIP generates for signals.
	[cd377e0b0133] <4.7-maint>

2010-06-10  Phil Thompson  <phil@riverbankcomputing.com>

	* qpy/QtCore/qpycore_chimera.cpp, qpy/QtCore/qpycore_chimera.h,
	qpy/QtCore/qpycore_pyqtsignal.cpp, qpy/QtCore/qpycore_pyqtslot.cpp,
	qpy/QtCore/qpycore_sip_helpers.cpp,
	test/tests/metaobject/test_qvariantmap.py:
	If a signal argument is defined as a Python type and implemented as
	PyQt_PyObject then the type of any argument value is checked against
	the Python type when on emit(). Added a new set of unit tests to
	cover the revised behaviour of QVariantMap and dict.
	[6c1c26bcfdab] <4.7-maint>

2010-06-08  Phil Thompson  <phil@riverbankcomputing.com>

	* PyQt4.msp:
	Added /NoCopy/ to QPaintEngine.updateState()'s argument.
	[c96d086ac6b6] <4.7-maint>

	* Makefile, PyQt4.msp, doc/pyqtdoc/PyQt4.xfm, installers/PyQt-gpl.nsi,
	lib/configure.py:
	Added support for Qt v4.6.3.
	[2f66f60f033d] <4.7-maint>

	* PyQt4.msp:
	Added the extra methods to QDataStream to explicitly handle
	QVariantList, QVariantMap and QVariantHash.
	[42bd25f4f0d0] <4.7-maint>

2010-06-06  Phil Thompson  <phil@riverbankcomputing.com>

	* PyQt4.msp:
	Added the /NoCopy/ annotation to all const QStyleOptionViewItem&
	arguments to virtuals because they will actually be sub-classes that
	shouldn't be copied.
	[afe4bd163c12] <4.7-maint>

2010-06-05  Phil Thompson  <phil@riverbankcomputing.com>

	* qpy/QtCore/qpycore_chimera.cpp:
	Fixed a regression in using PyQt_PyObject as a signal argument type.
	[ee96b3d54acb] <4.7-maint>

	* examples/mainwindows/mdi/mdi.py:
	Fixed typos in the mdi.py example.
	[450b86636b26] <4.7-maint>

2010-06-03  Phil Thompson  <phil@riverbankcomputing.com>

	* qpy/QtCore/qpycore_chimera.cpp:
	Fixed the emitting of signals with a char* argument.
	[36c5fbec9a15] <4.7-maint>

	* qpy/QtCore/qpycore_chimera.cpp:
	Fixed the previous fix so that strings from C++ signals are handled
	properly.
	[4ee4a26260b4] <4.7-maint>

2010-05-28  Phil Thompson  <phil@riverbankcomputing.com>

	* examples/mainwindows/mdi/mdi.py:
	Fixed a bug in the mdi.py example.
	[55d63b517349] <4.7-maint>

	* qpy/QtCore/qpycore_chimera.cpp:
	char* is now explicitly handled as a type of a signal argument and
	assumes (possibly incorrectly) that it is a pointer to a '\0'
	terminated string.
	[7b456ce3c36e] <4.7-maint>

2010-05-26  Phil Thompson  <phil@riverbankcomputing.com>

	* pyuic/uic/uiparser.py:
	Fixed a pyuic bug handling a spacer without a size hint.
	[049020f7d72b] <4.7-maint>

2010-05-21  Phil Thompson  <phil@riverbankcomputing.com>

	* PyQt4.msp:
	Added /KeepReference/ to the setItemDelegateForRow() and
	setItemDelegateForColumn() methods of QAbstractItemView.
	[c1bb91578559] <4.7-maint>

2010-05-19  Phil Thompson  <phil@riverbankcomputing.com>

	* PyQt4.msp:
	Added the missing ErrorPageExtensionOption, ErrorPageExtensionReturn
	and ErrorDomain to QWebPage.
	[c521f51bfcdb] <4.7-maint>

	* qpy/QtCore/qpycore_pyqtconfigure.cpp:
	QObject.pyqtConfigure() will now try to configure all arguments an
	only raise an exception about an unknown property or signal at the
	end.
	[3a51493caf91] <4.7-maint>

2010-04-29  Phil Thompson  <phil@riverbankcomputing.com>

	* pyuic/uic/uiparser.py:
	The last fix broke static code generation - now fixed properly.
	[0c4363a40ccf] <4.7-maint>

	* pyuic/uic/uiparser.py:
	Fixed a pyuic regression in the dynamic loading of initialised
	QTableWidgets.
	[331cad500eae] <4.7-maint>

2010-04-25  Phil Thompson  <phil@riverbankcomputing.com>

	* pyuic/uic/properties.py, pyuic/uic/uiparser.py:
	pyuic now supports the background and foreground properties of
	QListWidgetItem, QTableWidgetItem and QTreeWidgetItem.
	[24210f941584] <4.7-maint>

2010-04-23  Phil Thompson  <phil@riverbankcomputing.com>

	* Makefile, pyuic/uic/Loader/loader.py, pyuic/uic/icon_cache.py,
	pyuic/uic/properties.py, pyuic/uic/uiparser.py:
	uic.loadUi() will now look for images in the directory containing
	the .ui that is being loaded.
	[f4c87d2b27ae] <4.7-maint>

	* Makefile, qpy/QtCore/qpycore_chimera.cpp,
	qpy/QtCore/qpycore_chimera.h, qpy/QtCore/qpycore_qmetaobject.cpp:
	Fixed a number of related problems in the type system where a dict
	was being expected to be converted to a QVariantMap (even if it
	couldn't be) and then being allowed to stay as a dict but then being
	interpreted as a QVariantMap.
	[2c4d8d8a58d8] <4.7-maint>

	* PyQt4.msp, lib/configure.py:
	Fix configure.py for when sip.h is installed in a directory path
	that contains spaces.
	[e8456d5adcc3] <4.7-maint>

2010-04-20  Phil Thompson  <phil@riverbankcomputing.com>

	* PyQt4.msp:
	Fixed QLocale.toString() to handle QDateTime before QDate because
	Python's datetime is a sub-class of date.
	[4e4296742920] <4.7-maint>

	* examples/graphicsview/elasticnodes.py:
	Fixed the elasticnodes.py example.
	[ea8f8cf7e314] <4.7-maint>

	* examples/opengl/overpainting.py:
	Fixed the overpainting.py example.
	[9ae8003af022] <4.7-maint>

2010-04-16  Phil Thompson  <phil@riverbankcomputing.com>

	* .hgtags:
	Added tag 4.7.3 for changeset 83ee0fb10389
	[ca6ba7d6038c] <4.7-maint>

	* NEWS:
	Released as v4.7.3.
	[83ee0fb10389] [4.7.3] <4.7-maint>

2010-04-08  Phil Thompson  <phil@riverbankcomputing.com>

	* PyQt4.msp:
	Reverted the tidy up of top level widgets to how it was in v4.7 as
	the new method seems to be causing more problems than it is solving.
	[a3e4c0c57f61] <4.7-maint>

2010-04-02  Phil Thompson  <phil@riverbankcomputing.com>

	* PyQt4.msp:
	Removed the incorrect /Factory/ from
	QNetworkAccessManager::createRequest() as all replies should have
	the access manager as their parent.
	[22b0acdb1b62] <4.7-maint>

2010-04-01  Phil Thompson  <phil@riverbankcomputing.com>

	* lib/configure.py:
	Fixed a configure.py problem formatting the --verbose output with
	Python v3.
	[98f9ff611691] <4.7-maint>

2010-03-26  Phil Thompson  <phil@riverbankcomputing.com>

	* Makefile, PyQt4.msp:
	Only delete top level widgets in the QApplication dtor if they don't
	have a parent.
	[4cf6d2fa926f] <4.7-maint>

2010-03-23  Phil Thompson  <phil@riverbankcomputing.com>

	* Makefile, PyQt4.msp:
	Added evaluateToString() and evaluateToStringList() to QXmlQuery.
	[181797ca2233] <4.7-maint>

2010-03-19  Phil Thompson  <phil@riverbankcomputing.com>

	* qpy/QtCore/qpycore_pyqtboundsignal.cpp:
	Fixed a bug connecting to a Qt slot that has been renamed in Python
	(specifically exec()).
	[b39d419708c6] <4.7-maint>

2010-03-17  Phil Thompson  <phil@riverbankcomputing.com>

	* .hgtags:
	Added tag 4.7.2 for changeset 46fab7c56da0
	[9528814bc9bd] <4.7-maint>

	* NEWS:
	Updated the NEWS file. Released as v4.7.2.
	[46fab7c56da0] [4.7.2] <4.7-maint>

	* qpy/QtCore/qpycore_pyqtboundsignal.cpp:
	Fixed a bug where the pyqtSlot() decorator was being ignored when
	attempting to make a new-style connection from an incompatible
	signal.
	[dcf23fd46bc1] <4.7-maint>

	* .hgtags:
	Added tag 4.7.1 for changeset 6f220acd1b55
	[f2a3ebcf3274] <4.7-maint>

	* NEWS, build.py:
	Fixed the generation of the change log after tagging a release.
	Updated the NEWS file. Released as v4.7.1.
	[6f220acd1b55] [4.7.1] <4.7-maint>

	* PyQt4.msp:
	Added a missing /Transfer/ annotation to
	QGraphicsItem.setGraphicsEffect().
	[4f280420bd96] <4.7-maint>

2010-03-12  Phil Thompson  <phil@riverbankcomputing.com>

	* pyuic/uic/properties.py:
	Fixed a pyuic bug in the handling of string list properties.
	[02f7e71246f9] <4.7-maint>

	* PyQt4.msp:
	The QApplication dtor now explicitly deletes all top level widgets
	rather than just transfer ownership of them to C++.
	[986cf4ca74e2] <4.7-maint>

2010-03-10  Phil Thompson  <phil@riverbankcomputing.com>

	* PyQt4.msp:
	Added the missing pushContext() and popContext() to QScriptEngine.
	[8083c6acc7b0] <4.7-maint>

2010-03-09  Phil Thompson  <phil@riverbankcomputing.com>

	* qpy/QtCore/qpycore_pyqtboundsignal.cpp:
	The new connection API now tries harder to find a usable Qt slot
	before deciding it needs to use a proxy by also looking for slots
	with fewer arguments. This fixes a problem with QSignalMapper.map()
	which doesn't work when called from a proxy (because it expects
	sender() to return something that was passed to a previous call to
	setMapping()).
	[0ec31730fd9d] <4.7-maint>

2010-03-05  Phil Thompson  <phil@riverbankcomputing.com>

	* PyQt4.msp:
	QSystemTrayIcon instances are now tracked to make sure they are
	garbage collected before the QApplication instance.
	[c732dab23703] <4.7-maint>

2010-03-03  Phil Thompson  <phil@riverbankcomputing.com>

	* pyuic/uic/Compiler/proxy_type.py:
	Fixed a pyuic regression related to the orientation of spacer items.
	[6633161a35bf] <4.7-maint>

2010-03-02  Phil Thompson  <phil@riverbankcomputing.com>

	* PyQt4.msp:
	QVariantList and QVariantMap first appeared in Qt v4.1.
	[307e5cccaf6c] <4.7-maint>

	* lib/configure.py:
	Fixed the phonon detection so that KDE's phonon can be detected.
	[38882f630555] <4.7-maint>

	* NEWS, PyQt4.msp:
	Implemented %ConvertToSubClassCode for QStyleOption so that
	instances have a specific sub-class where possible.
	[2c32eca7d817] <4.7-maint>

	* NEWS:
	Updated the NEWS file.
	[3d03d4aeea8f] <4.7-maint>

2010-02-26  Phil Thompson  <phil@riverbankcomputing.com>

	* PyQt4.msp:
	Added /HoldGIL/ to QProcess.start() overloads so that the forked
	process will have the GIL when it starts to run (and calls the
	Python API for possible reimplementations of virtuals) before it
	does an exec(). Otherwise the thread that holds the GIL will not
	itself have been forked and so it will never get released.
	[106919e3444b] <4.7-maint>

2010-02-22  Phil Thompson  <phil@riverbankcomputing.com>

	* lib/configure.py:
	Fixed the building of the debug qpy support libraries under Windows.
	[aea904ce10d7] <4.7-maint>

	* pyuic/uic/properties.py, pyuic/uic/uiparser.py:
	Fixed some pyuic regressions introduced when adding support for
	locales. (The locale element in the .ui file is the only one that
	only uses attributes and has no content.)
	[f4adcd1447a4] <4.7-maint>

2010-02-19  Phil Thompson  <phil@riverbankcomputing.com>

	* PyQt4.msp:
	Applied the /NoCopy/ annotation to all virtual operators. This has
	the side affect of fixing the use of the QStandardItem protected
	ctor.
	[debf7e1f7ab1] <4.7-maint>

	* lib/configure.py:
	Fixed configure.py and the dynamic checking of OpenGL data types
	under MSVC.
	[67a6f98b872f] <4.7-maint>

2010-02-16  Phil Thompson  <phil@riverbankcomputing.com>

	* pyuic/uic/properties.py, pyuic/uic/uiparser.py:
	Added pyuic support for setting the check state of QListWidgetItem,
	QTableWidgetItem and QTreeWidgetItem.
	[55e049012e98] <4.7-maint>

	* pyuic/uic/properties.py:
	Added locale support to pyuic.
	[bd0d04f6413c] <4.7-maint>

	* PyQt4.msp, doc/pyqt4ref.txt, lib/configure.py:
	Applied the fix_objdir_dbus_check and make_bindings_match_qt461
	patches from Kubuntu.
	[b18d1f8b6ec6] <4.7-maint>

2010-02-15  Phil Thompson  <phil@riverbankcomputing.com>

	* Makefile, PyQt4.msp, doc/pyqtdoc/PyQt4.xfm, installers/PyQt-gpl.nsi,
	lib/configure.py:
	Added support for Qt v4.6.2. Fixed a build problem with Python v3
	with the recent QUrl change.
	[841a0e9aa9f3] <4.7-maint>

2010-02-12  Phil Thompson  <phil@riverbankcomputing.com>

	* PyQt4.msp:
	Restored the QXmlQuery.evaluateTo() overloads (for the QString v1
	API only).
	[5014f7c72a58] <4.7-maint>

	* build.py, qpy/QtOpenGL/opengl_types.sip:
	Fixed the generation of the documentation caused by the OpenGL
	configuration changes.
	[92217a989a7d] <4.7-maint>

2010-02-10  Phil Thompson  <phil@riverbankcomputing.com>

	* lib/mksccode.py:
	Fixed the mksccode.py script to handle nested classes properly.
	[d41c39b8ffc2] <4.7-maint>

	* PyQt4.msp, doc/pyqt4ref.txt:
	Fixed the broken %ConvertToSubClassCode in the phonon module.
	[fa9e2abe1209] <4.7-maint>

2010-02-08  Phil Thompson  <phil@riverbankcomputing.com>

	* PyQt4.msp:
	Fixed __repr__ for QUrl and QUuid in case the value contains non-
	ASCII characters.
	[61e83ce803df] <4.7-maint>

2010-02-07  Phil Thompson  <phil@riverbankcomputing.com>

	* PyQt4.msp, doc/pyqt4ref.txt, lib/configure.py:
	configure.py will now determine the OpenGL data types dynamically.
	Updated the documentation for building for MacOS to cover the
	possible issues with different versions of the SDK.
	[cf7968c35249] <4.7-maint>

	* examples/xmlpatterns/schema/schema.py:
	Updated the schema.py example to take advantage of SIP now
	automatically providing copies of const references to classes to
	Python reimplementations of virtuals.
	[50215e3d4e14] <4.7-maint>

2010-02-05  Phil Thompson  <phil@riverbankcomputing.com>

	* examples/demos/qtdemo/xml/examples.xml, examples/xmlpatterns/README,
	examples/xmlpatterns/schema/files/contact.xsd,
	examples/xmlpatterns/schema/files/invalid_contact.xml,
	examples/xmlpatterns/schema/files/invalid_order.xml,
	examples/xmlpatterns/schema/files/invalid_recipe.xml,
	examples/xmlpatterns/schema/files/order.xsd,
	examples/xmlpatterns/schema/files/recipe.xsd,
	examples/xmlpatterns/schema/files/valid_contact.xml,
	examples/xmlpatterns/schema/files/valid_order.xml,
	examples/xmlpatterns/schema/files/valid_recipe.xml,
	examples/xmlpatterns/schema/schema.py,
	examples/xmlpatterns/schema/schema.qrc,
	examples/xmlpatterns/schema/schema.ui,
	examples/xmlpatterns/schema/ui_schema.py:
	Added the XML Patterns schema.py example.
	[c591dc61687c] <4.7-maint>

	* PyQt4.msp:
	Fixed a few default arguments in QtOpenGL that should be GL_RGBA
	rather than GL_RGBA8.
	[683f0e8d9305] <4.7-maint>

2010-02-04  Phil Thompson  <phil@riverbankcomputing.com>

	* PyQt4.msp, lib/configure.py:
	QGLContext.chooseVisual() is disabled under OpenGL ES. Fixed a
	configure.py bug in the OpenGL ES detection.
	[c39e85a8e2ec] <4.7-maint>

	* lib/configure.py:
	Fixed a regression in the detection of Qt's phonon library on case-
	sensitive file systems. (The Qt documentation is wrong.)
	[ef5fe75b1358] <4.7-maint>

2010-02-03  Phil Thompson  <phil@riverbankcomputing.com>

	* PyQt4.msp, lib/configure.py:
	Added support for the alternative QGLFramebufferObject ctors enabled
	when using OpenGL ES.
	[05c7aba8bcc1] <4.7-maint>

2010-02-02  Phil Thompson  <phil@riverbankcomputing.com>

	* Makefile, doc/pyqt4ref.txt, qpy/QtCore/qpycore_chimera.cpp,
	qpy/QtCore/qpycore_chimera.h, test/tests/classes/test_QVariant.py,
	test/tests/metaobject/test_pyqtsignal.py:
	Conversions of sub-classes of standard Python types to QVariant will
	now convert back to those types (rather than the base type). bytes
	and bytearrays are no longer converted back to a QByteArray for
	Python3. Objects that implement the sequence protocol are no longer
	converted to a QVariantList and back to a Python list.
	[08c09018a2d5] <4.7-maint>

	* lib/LICENSE-MERGED-GPL2-GPL3, lib/LICENSE.GPL2, lib/LICENSE.GPL3,
	lib/LICENSE.internal, pyqtdoc/renderer.py, pyuic/LICENSE:
	Fixed the remaining references to 2009 in copyright notices.
	[e554089d649b] <4.7-maint>

	* Makefile, pyuic/uic/Compiler/qtproxies.py:
	Fix to pyuic's handling of layout stretches from Luper Rouch.
	[b7110249ba7a] <4.7-maint>

2010-02-01  Phil Thompson  <phil@riverbankcomputing.com>

	* build.py:
	Fixed build.py to create the HTML for the main documentation.
	[28199fc1869c] <4.7-maint>

	* Makefile, PyQt4.msp, build.py, doc/pyqt4ref.txt,
	doc/pyqtdoc/PyQt4.xfm, installers/PyQt-gpl.nsi, installers/PyQt-gpl
	.nsi-in, lib/configure.py, pyqtdoc/pyqtdoc.py:
	Changes to the internal build system required by the migration to
	Mercurial.
	[e21e17ec6aa7] <4.7-maint>

2010-01-31  phil  <phil>

	* .hgtags:
	Import from SVN.
	[80bee561333b]

2006-07-15  phil  <phil>

	* NEWS, PyQt4.msp:
	Backed out the change to the type of PYQT_VERSION_STR as it breaks
	on SIP versions prior to v4.5. Released as v4.0.1.
	[69788690a3c9] [4.0.1] <4.0-maint>

2006-07-07  phil  <phil>

	* PyQt4.msp, lib/configure.py:
	Worked around the Qt v4.1 bug with QPrinter::setPrintRange() and
	QPrinter::printRange().
	[2bae6b0ce1a8] <4.0-maint>

	* pyuic/uic/properties.py:
	A pyuic QFont fix from Torsten.
	[a0be4e8bd774] <4.0-maint>

2006-07-06  phil  <phil>

	* PyQt4.msp:
	Fixed QTranslator.load().
	[948235efa4ea] <4.0-maint>

2006-07-05  phil  <phil>

	* pylupdate/fetchtr.cpp, pyuic/uic/Compiler/compiler.py,
	pyuic/uic/Compiler/qtproxies.py, pyuic/uic/uiparser.py:
	Changed pyuic to generate the retranslateUi() method so that it is
	the same as the C++ version. Fixed pylupdate so that it properly
	parse the retranslateUi() method.
	[610373dcdebc] <4.0-maint>

	* NEWS, pylupdate/fetchtr.cpp, pylupdate/main.cpp:
	pylupdate4 now handles .ui files (thanks to Andreas Pakulat).
	[995e633e83e0] <4.0-maint>

	* NEWS, PyQt4.msp:
	QPolygon can be constructed from a Python list of pairs of integer
	coordinates. QPolygon.setPoints() can also take a Python list of
	pairs of integer coordinates.
	[988ae56634d7] <4.0-maint>

2006-07-04  phil  <phil>

	* NEWS, doc/pyqt4ref.txt, examples/itemviews/simpledommodel.py,
	examples/itemviews/simpletreemodel/simpletreemodel.py,
	examples/itemviews/sortingmodel/sortingmodel.py, lib/configure.py:
	Added pyqt_config_args to pyqtconfig.py for all versions. Fixed the
	simpledommodel.py, simpletreemodel.py and sortingmodel.py examples
	for 64 bit systems.
	[dd40db39d743] <4.0-maint>

2006-06-22  phil  <phil>

	* Makefile, PyQt4.msp, doc/pyqt4ref.txt, doc/pyqtdoc/PyQt4.xfm,
	installers/PyQt-eval.nsi-in, installers/PyQt-gpl.nsi-in:
	Updated for Qt v4.1.4.
	[678969c563c4] <4.0-maint>

2006-06-19  phil  <phil>

	* PyQt4.msp:
